#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './generalsettings.ui'
**
** Created: Sat Aug 2 19:58:16 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qslider.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "settingswidget.h"
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a GeneralSettings which is a child of 'parent', with the
 *  name 'name'.' 
 */
GeneralSettings::GeneralSettings( QWidget* parent,  const char* name )
    : SettingsWidget( parent, name )
{
    if ( !name )
	setName( "GeneralSettings" );
    GeneralSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "GeneralSettingsLayout"); 

    outputFilesGroupBox = new QGroupBox( this, "outputFilesGroupBox" );
    outputFilesGroupBox->setColumnLayout(0, Qt::Vertical );
    outputFilesGroupBox->layout()->setSpacing( 6 );
    outputFilesGroupBox->layout()->setMargin( 11 );
    outputFilesGroupBoxLayout = new QGridLayout( outputFilesGroupBox->layout() );
    outputFilesGroupBoxLayout->setAlignment( Qt::AlignTop );

    overwriteCheckBox = new QCheckBox( outputFilesGroupBox, "overwriteCheckBox" );
    overwriteCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, overwriteCheckBox->sizePolicy().hasHeightForWidth() ) );

    outputFilesGroupBoxLayout->addMultiCellWidget( overwriteCheckBox, 2, 2, 0, 2 );

    caseInsensitiveCheckBox = new QCheckBox( outputFilesGroupBox, "caseInsensitiveCheckBox" );
    caseInsensitiveCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, caseInsensitiveCheckBox->sizePolicy().hasHeightForWidth() ) );

    outputFilesGroupBoxLayout->addMultiCellWidget( caseInsensitiveCheckBox, 3, 3, 0, 2 );

    replaceCharsCheckBox = new QCheckBox( outputFilesGroupBox, "replaceCharsCheckBox" );
    replaceCharsCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, replaceCharsCheckBox->sizePolicy().hasHeightForWidth() ) );

    outputFilesGroupBoxLayout->addMultiCellWidget( replaceCharsCheckBox, 4, 4, 0, 2 );

    GeneralSettingsLayout->addWidget( outputFilesGroupBox, 0, 0 );

    processPriorityGroupBox = new QGroupBox( this, "processPriorityGroupBox" );
    processPriorityGroupBox->setColumnLayout(0, Qt::Vertical );
    processPriorityGroupBox->layout()->setSpacing( 6 );
    processPriorityGroupBox->layout()->setMargin( 11 );
    processPriorityGroupBoxLayout = new QGridLayout( processPriorityGroupBox->layout() );
    processPriorityGroupBoxLayout->setAlignment( Qt::AlignTop );

    threadsLabel = new QLabel( processPriorityGroupBox, "threadsLabel" );

    processPriorityGroupBoxLayout->addWidget( threadsLabel, 0, 0 );

    layout3 = new QVBoxLayout( 0, 0, 0, "layout3"); 

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    maxPriorityLabel = new QLabel( processPriorityGroupBox, "maxPriorityLabel" );
    layout4->addWidget( maxPriorityLabel );

    minPriorityLabel = new QLabel( processPriorityGroupBox, "minPriorityLabel" );
    layout4->addWidget( minPriorityLabel );
    layout3->addLayout( layout4 );

    prioritySlider = new QSlider( processPriorityGroupBox, "prioritySlider" );
    prioritySlider->setMaxValue( 19 );
    prioritySlider->setPageStep( 4 );
    prioritySlider->setOrientation( QSlider::Horizontal );
    layout3->addWidget( prioritySlider );

    processPriorityGroupBoxLayout->addLayout( layout3, 1, 1 );

    priorityLabel = new QLabel( processPriorityGroupBox, "priorityLabel" );

    processPriorityGroupBoxLayout->addWidget( priorityLabel, 1, 0 );

    layout3_2 = new QVBoxLayout( 0, 0, 0, "layout3_2"); 

    layout4_2 = new QHBoxLayout( 0, 0, 6, "layout4_2"); 

    minThreadsLabel = new QLabel( processPriorityGroupBox, "minThreadsLabel" );
    minThreadsLabel->setMargin( 0 );
    layout4_2->addWidget( minThreadsLabel );

    maxThreadsLabel = new QLabel( processPriorityGroupBox, "maxThreadsLabel" );
    layout4_2->addWidget( maxThreadsLabel );
    layout3_2->addLayout( layout4_2 );

    threadsSlider = new QSlider( processPriorityGroupBox, "threadsSlider" );
    threadsSlider->setMinValue( 1 );
    threadsSlider->setMaxValue( 4 );
    threadsSlider->setPageStep( 1 );
    threadsSlider->setOrientation( QSlider::Horizontal );
    layout3_2->addWidget( threadsSlider );

    processPriorityGroupBoxLayout->addLayout( layout3_2, 0, 1 );

    rtProgressCheckBox = new QCheckBox( processPriorityGroupBox, "rtProgressCheckBox" );

    processPriorityGroupBoxLayout->addMultiCellWidget( rtProgressCheckBox, 2, 2, 0, 1 );

    GeneralSettingsLayout->addWidget( processPriorityGroupBox, 1, 0 );
    spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GeneralSettingsLayout->addItem( spacer1, 3, 0 );

    miscelaneousGroupBox = new QGroupBox( this, "miscelaneousGroupBox" );
    miscelaneousGroupBox->setColumnLayout(0, Qt::Vertical );
    miscelaneousGroupBox->layout()->setSpacing( 6 );
    miscelaneousGroupBox->layout()->setMargin( 11 );
    miscelaneousGroupBoxLayout = new QGridLayout( miscelaneousGroupBox->layout() );
    miscelaneousGroupBoxLayout->setAlignment( Qt::AlignTop );

    notifyProgressCheckBox = new QCheckBox( miscelaneousGroupBox, "notifyProgressCheckBox" );
    notifyProgressCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, notifyProgressCheckBox->sizePolicy().hasHeightForWidth() ) );

    miscelaneousGroupBoxLayout->addMultiCellWidget( notifyProgressCheckBox, 3, 3, 0, 1 );

    askConfirmationCheckBox = new QCheckBox( miscelaneousGroupBox, "askConfirmationCheckBox" );
    askConfirmationCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, askConfirmationCheckBox->sizePolicy().hasHeightForWidth() ) );

    miscelaneousGroupBoxLayout->addMultiCellWidget( askConfirmationCheckBox, 2, 2, 0, 1 );

    tempDirLabel = new QLabel( miscelaneousGroupBox, "tempDirLabel" );

    miscelaneousGroupBoxLayout->addWidget( tempDirLabel, 0, 0 );

    tempDirURLRequester = new KURLRequester( miscelaneousGroupBox, "tempDirURLRequester" );
    tempDirURLRequester->setEnabled( TRUE );

    miscelaneousGroupBoxLayout->addWidget( tempDirURLRequester, 0, 1 );

    logEventsURLRequester = new KURLRequester( miscelaneousGroupBox, "logEventsURLRequester" );
    logEventsURLRequester->setEnabled( FALSE );

    miscelaneousGroupBoxLayout->addWidget( logEventsURLRequester, 1, 1 );

    logEventsCheckBox = new QCheckBox( miscelaneousGroupBox, "logEventsCheckBox" );
    logEventsCheckBox->setMinimumSize( QSize( 110, 0 ) );

    miscelaneousGroupBoxLayout->addWidget( logEventsCheckBox, 1, 0 );

    showTrayCheckBox = new QCheckBox( miscelaneousGroupBox, "showTrayCheckBox" );

    miscelaneousGroupBoxLayout->addMultiCellWidget( showTrayCheckBox, 4, 4, 0, 1 );

    GeneralSettingsLayout->addWidget( miscelaneousGroupBox, 2, 0 );
    languageChange();
    resize( QSize(430, 459).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( askConfirmationCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( caseInsensitiveCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( logEventsCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( notifyProgressCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( overwriteCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( prioritySlider, SIGNAL( valueChanged(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( replaceCharsCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( showTrayCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( logEventsCheckBox, SIGNAL( toggled(bool) ), logEventsURLRequester, SLOT( setEnabled(bool) ) );
    connect( threadsSlider, SIGNAL( valueChanged(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( rtProgressCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( tempDirURLRequester, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( logEventsURLRequester, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );

    // tab order
    setTabOrder( overwriteCheckBox, caseInsensitiveCheckBox );
    setTabOrder( caseInsensitiveCheckBox, replaceCharsCheckBox );
    setTabOrder( replaceCharsCheckBox, threadsSlider );
    setTabOrder( threadsSlider, prioritySlider );
    setTabOrder( prioritySlider, rtProgressCheckBox );
    setTabOrder( rtProgressCheckBox, tempDirURLRequester );
    setTabOrder( tempDirURLRequester, logEventsCheckBox );
    setTabOrder( logEventsCheckBox, logEventsURLRequester );
    setTabOrder( logEventsURLRequester, askConfirmationCheckBox );
    setTabOrder( askConfirmationCheckBox, notifyProgressCheckBox );
    setTabOrder( notifyProgressCheckBox, showTrayCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSettings::~GeneralSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSettings::languageChange()
{
    setCaption( tr2i18n( "General Settings" ) );
    outputFilesGroupBox->setTitle( tr2i18n( "Output Files" ) );
    overwriteCheckBox->setText( tr2i18n( "Allow over&writing of existing files" ) );
    overwriteCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( overwriteCheckBox, tr2i18n( "<qt>If this option is not checked, sufixes will be appended to output files when needed to avoid clashing.</qt>" ) );
    QWhatsThis::add( overwriteCheckBox, QString::null );
    caseInsensitiveCheckBox->setText( tr2i18n( "Case in&sensitive filename comparisons" ) );
    caseInsensitiveCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QToolTip::add( caseInsensitiveCheckBox, tr2i18n( "<qt>Check this if you'll be outputing files to a vfat file system.</qt>" ) );
    QWhatsThis::add( caseInsensitiveCheckBox, QString::null );
    replaceCharsCheckBox->setText( tr2i18n( "&Replace special characters with underscores" ) );
    replaceCharsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QToolTip::add( replaceCharsCheckBox, tr2i18n( "<qt>Replace <b>\\*?:|<>\"</b> characters with underscores.<br/>Check this if you'll be outputing files to a vfat file system.<qt>" ) );
    QWhatsThis::add( replaceCharsCheckBox, QString::null );
    processPriorityGroupBox->setTitle( tr2i18n( "Processes" ) );
    threadsLabel->setText( tr2i18n( "Simultaneos jobs<br>\n"
"(needs restart)" ) );
    maxPriorityLabel->setText( tr2i18n( "<p align=\"left\">max</p>" ) );
    minPriorityLabel->setText( tr2i18n( "<p align=\"right\">min</p>" ) );
    QToolTip::add( prioritySlider, tr2i18n( "<qt>Sets the priority of the decoding and encoding processes.</qt>" ) );
    priorityLabel->setText( tr2i18n( "Processes priority" ) );
    minThreadsLabel->setText( tr2i18n( "<p align=\"left\">1</p>" ) );
    maxThreadsLabel->setText( tr2i18n( "<p align=\"right\">4</p>" ) );
    QToolTip::add( threadsSlider, tr2i18n( "<qt>Sets the priority of the decoding and encoding processes.</qt>" ) );
    rtProgressCheckBox->setText( tr2i18n( "Show realtime progress indication" ) );
    miscelaneousGroupBox->setTitle( tr2i18n( "Miscelaneous" ) );
    notifyProgressCheckBox->setText( tr2i18n( "Show track in process and error &notifications" ) );
    notifyProgressCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( notifyProgressCheckBox, tr2i18n( "<qt>Show passive popups with information and error messages.</qt>" ) );
    askConfirmationCheckBox->setText( tr2i18n( "Show &comfirmation dialog on transcode request" ) );
    askConfirmationCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QToolTip::add( askConfirmationCheckBox, tr2i18n( "<qt>Ask for confirmation before enqueuing transcoding jobs.</qt>" ) );
    tempDirLabel->setText( tr2i18n( "Temporary directory" ) );
    logEventsCheckBox->setText( tr2i18n( "&Log events to file" ) );
    logEventsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( logEventsCheckBox, tr2i18n( "<qt>Check to enable logging of transcode events.<br/> Log file is truncated on program start.</qt>" ) );
    showTrayCheckBox->setText( tr2i18n( "Show &tray icon" ) );
    showTrayCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( showTrayCheckBox, tr2i18n( "<qt>Check to enable system tray icon.</qt>" ) );
}

#include "generalsettings.moc"
