#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './informationdialog.ui'
**
** Created: Sat Aug 2 19:58:16 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "informationdialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <ktextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextedit.h"
#include "./informationdialog.ui.h"

/*
 *  Constructs a InformationDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
InformationDialog::InformationDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "InformationDialog" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setModal( FALSE );
    InformationDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "InformationDialogLayout"); 

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacer5 = new QSpacerItem( 300, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer5 );

    okButton = new QPushButton( this, "okButton" );
    okButton->setDefault( TRUE );
    layout1->addWidget( okButton );

    InformationDialogLayout->addLayout( layout1, 1, 0 );

    infoTextEdit = new KTextEdit( this, "infoTextEdit" );
    infoTextEdit->setFrameShape( KTextEdit::LineEditPanel );
    infoTextEdit->setResizePolicy( KTextEdit::Manual );
    infoTextEdit->setWordWrap( KTextEdit::WidgetWidth );
    infoTextEdit->setWrapColumnOrWidth( 488 );
    infoTextEdit->setReadOnly( TRUE );
    infoTextEdit->setAutoFormatting( int( KTextEdit::AutoAll ) );

    InformationDialogLayout->addWidget( infoTextEdit, 0, 0 );
    languageChange();
    resize( QSize(514, 457).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okButton, SIGNAL( clicked() ), this, SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
InformationDialog::~InformationDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void InformationDialog::languageChange()
{
    setCaption( tr2i18n( "Information Dialog" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
}

#include "informationdialog.moc"
