#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './flacencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:55:36 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "flacencoderdialogbase.h"

#include <qvariant.h>
#include <kdecspinbox.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "kcombobox.h"
#include "knuminput.h"
#include "klineedit.h"
#include "kdecspinbox.h"
#include "./flacencoderdialogbase.ui.h"

/*
 *  Constructs a FLACEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
FLACEncoderDialogBase::FLACEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "FLACEncoderDialogBase" );
    FLACEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "FLACEncoderDialogBaseLayout"); 

    layout9_2 = new QHBoxLayout( 0, 0, 6, "layout9_2"); 
    spacer16 = new QSpacerItem( 0, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    layout9_2->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout9_2->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout9_2->addWidget( cancelButton );

    FLACEncoderDialogBaseLayout->addLayout( layout9_2, 1, 0 );

    tabWidget2 = new QTabWidget( this, "tabWidget2" );

    TabPage = new QWidget( tabWidget2, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    buttonGroup5 = new QButtonGroup( TabPage, "buttonGroup5" );
    buttonGroup5->setColumnLayout(0, Qt::Vertical );
    buttonGroup5->layout()->setSpacing( 6 );
    buttonGroup5->layout()->setMargin( 11 );
    buttonGroup5Layout = new QGridLayout( buttonGroup5->layout() );
    buttonGroup5Layout->setAlignment( Qt::AlignTop );

    maxLPCOrderCheckBox = new QCheckBox( buttonGroup5, "maxLPCOrderCheckBox" );
    maxLPCOrderCheckBox->setEnabled( TRUE );
    maxLPCOrderCheckBox->setChecked( FALSE );

    buttonGroup5Layout->addMultiCellWidget( maxLPCOrderCheckBox, 2, 2, 0, 2 );

    profileComboBox = new KComboBox( FALSE, buttonGroup5, "profileComboBox" );
    profileComboBox->setMinimumSize( QSize( 140, 0 ) );
    profileComboBox->setMaximumSize( QSize( 140, 32767 ) );

    buttonGroup5Layout->addWidget( profileComboBox, 0, 3 );

    maxLPCOrderSpinBox = new KIntSpinBox( buttonGroup5, "maxLPCOrderSpinBox" );
    maxLPCOrderSpinBox->setEnabled( FALSE );
    maxLPCOrderSpinBox->setMinimumSize( QSize( 140, 0 ) );
    maxLPCOrderSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    maxLPCOrderSpinBox->setMaxValue( 32 );
    maxLPCOrderSpinBox->setValue( 12 );

    buttonGroup5Layout->addWidget( maxLPCOrderSpinBox, 2, 3 );

    exhaustiveModelSearchCheckBox = new QCheckBox( buttonGroup5, "exhaustiveModelSearchCheckBox" );
    exhaustiveModelSearchCheckBox->setEnabled( TRUE );
    exhaustiveModelSearchCheckBox->setChecked( FALSE );

    buttonGroup5Layout->addMultiCellWidget( exhaustiveModelSearchCheckBox, 1, 1, 0, 2 );

    quantizedLPCPrecisionComboBox = new KComboBox( FALSE, buttonGroup5, "quantizedLPCPrecisionComboBox" );
    quantizedLPCPrecisionComboBox->setEnabled( FALSE );
    quantizedLPCPrecisionComboBox->setMinimumSize( QSize( 140, 0 ) );
    quantizedLPCPrecisionComboBox->setMaximumSize( QSize( 140, 32767 ) );

    buttonGroup5Layout->addWidget( quantizedLPCPrecisionComboBox, 3, 3 );

    quantizedLPCPrecisionCheckBox = new QCheckBox( buttonGroup5, "quantizedLPCPrecisionCheckBox" );
    quantizedLPCPrecisionCheckBox->setEnabled( TRUE );

    buttonGroup5Layout->addMultiCellWidget( quantizedLPCPrecisionCheckBox, 3, 3, 0, 2 );
    spacer4_2_2_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    buttonGroup5Layout->addItem( spacer4_2_2_2, 8, 0 );
    spacer4_4_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    buttonGroup5Layout->addItem( spacer4_4_2, 7, 0 );

    blockSizeCheckBox = new QCheckBox( buttonGroup5, "blockSizeCheckBox" );
    blockSizeCheckBox->setEnabled( TRUE );
    blockSizeCheckBox->setChecked( FALSE );

    buttonGroup5Layout->addMultiCellWidget( blockSizeCheckBox, 6, 6, 0, 1 );

    strictBlockSizeLabel = new QLabel( buttonGroup5, "strictBlockSizeLabel" );
    strictBlockSizeLabel->setEnabled( FALSE );

    buttonGroup5Layout->addWidget( strictBlockSizeLabel, 7, 2 );

    laxBlockSizeLabel = new QLabel( buttonGroup5, "laxBlockSizeLabel" );
    laxBlockSizeLabel->setEnabled( FALSE );

    buttonGroup5Layout->addWidget( laxBlockSizeLabel, 8, 2 );

    strictBlockSizeComboBox = new KComboBox( FALSE, buttonGroup5, "strictBlockSizeComboBox" );
    strictBlockSizeComboBox->setEnabled( FALSE );
    strictBlockSizeComboBox->setMinimumSize( QSize( 140, 0 ) );
    strictBlockSizeComboBox->setMaximumSize( QSize( 140, 32767 ) );

    buttonGroup5Layout->addWidget( strictBlockSizeComboBox, 7, 3 );

    laxBlockSizeSpinBox = new KIntSpinBox( buttonGroup5, "laxBlockSizeSpinBox" );
    laxBlockSizeSpinBox->setEnabled( FALSE );
    laxBlockSizeSpinBox->setMinimumSize( QSize( 140, 0 ) );
    laxBlockSizeSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    laxBlockSizeSpinBox->setMaxValue( 65535 );
    laxBlockSizeSpinBox->setMinValue( 16 );

    buttonGroup5Layout->addWidget( laxBlockSizeSpinBox, 8, 3 );

    strictBlockSizeRadioButton = new QRadioButton( buttonGroup5, "strictBlockSizeRadioButton" );
    strictBlockSizeRadioButton->setEnabled( FALSE );
    strictBlockSizeRadioButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, strictBlockSizeRadioButton->sizePolicy().hasHeightForWidth() ) );
    strictBlockSizeRadioButton->setChecked( TRUE );

    buttonGroup5Layout->addWidget( strictBlockSizeRadioButton, 7, 1 );

    laxBlockSizeRadioButton = new QRadioButton( buttonGroup5, "laxBlockSizeRadioButton" );
    laxBlockSizeRadioButton->setEnabled( FALSE );
    laxBlockSizeRadioButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, laxBlockSizeRadioButton->sizePolicy().hasHeightForWidth() ) );

    buttonGroup5Layout->addWidget( laxBlockSizeRadioButton, 8, 1 );

    stereoModeCheckBox = new QCheckBox( buttonGroup5, "stereoModeCheckBox" );
    stereoModeCheckBox->setEnabled( TRUE );
    stereoModeCheckBox->setChecked( FALSE );

    buttonGroup5Layout->addMultiCellWidget( stereoModeCheckBox, 9, 9, 0, 2 );

    stereoModeComboBox = new KComboBox( FALSE, buttonGroup5, "stereoModeComboBox" );
    stereoModeComboBox->setEnabled( FALSE );
    stereoModeComboBox->setMinimumSize( QSize( 140, 0 ) );
    stereoModeComboBox->setMaximumSize( QSize( 140, 32767 ) );

    buttonGroup5Layout->addWidget( stereoModeComboBox, 9, 3 );

    minResidualPOSpinBox = new KIntSpinBox( buttonGroup5, "minResidualPOSpinBox" );
    minResidualPOSpinBox->setEnabled( FALSE );
    minResidualPOSpinBox->setMinimumSize( QSize( 140, 0 ) );
    minResidualPOSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    minResidualPOSpinBox->setMaxValue( 16 );
    minResidualPOSpinBox->setValue( 3 );

    buttonGroup5Layout->addWidget( minResidualPOSpinBox, 5, 3 );

    minResidualPOCheckBox = new QCheckBox( buttonGroup5, "minResidualPOCheckBox" );
    minResidualPOCheckBox->setEnabled( TRUE );
    minResidualPOCheckBox->setChecked( FALSE );

    buttonGroup5Layout->addMultiCellWidget( minResidualPOCheckBox, 5, 5, 0, 2 );

    maxResidualPOSpinBox = new KIntSpinBox( buttonGroup5, "maxResidualPOSpinBox" );
    maxResidualPOSpinBox->setEnabled( FALSE );
    maxResidualPOSpinBox->setMinimumSize( QSize( 140, 0 ) );
    maxResidualPOSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    maxResidualPOSpinBox->setMaxValue( 16 );
    maxResidualPOSpinBox->setValue( 6 );

    buttonGroup5Layout->addWidget( maxResidualPOSpinBox, 4, 3 );

    maxResidualPOCheckBox = new QCheckBox( buttonGroup5, "maxResidualPOCheckBox" );
    maxResidualPOCheckBox->setEnabled( TRUE );
    maxResidualPOCheckBox->setChecked( FALSE );

    buttonGroup5Layout->addMultiCellWidget( maxResidualPOCheckBox, 4, 4, 0, 2 );

    profileCheckBox = new QCheckBox( buttonGroup5, "profileCheckBox" );

    buttonGroup5Layout->addMultiCellWidget( profileCheckBox, 0, 0, 0, 1 );

    TabPageLayout->addWidget( buttonGroup5, 0, 0 );
    tabWidget2->insertTab( TabPage, QString::fromLatin1("") );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    miscGroupBox = new QGroupBox( tab, "miscGroupBox" );
    miscGroupBox->setColumnLayout(0, Qt::Vertical );
    miscGroupBox->layout()->setSpacing( 6 );
    miscGroupBox->layout()->setMargin( 11 );
    miscGroupBoxLayout = new QGridLayout( miscGroupBox->layout() );
    miscGroupBoxLayout->setAlignment( Qt::AlignTop );

    sectorAlignCheckBox = new QCheckBox( miscGroupBox, "sectorAlignCheckBox" );

    miscGroupBoxLayout->addWidget( sectorAlignCheckBox, 2, 0 );

    oggFLACCheckBox = new QCheckBox( miscGroupBox, "oggFLACCheckBox" );

    miscGroupBoxLayout->addWidget( oggFLACCheckBox, 0, 0 );

    verifyFileCheckBox = new QCheckBox( miscGroupBox, "verifyFileCheckBox" );

    miscGroupBoxLayout->addWidget( verifyFileCheckBox, 1, 0 );

    tabLayout->addWidget( miscGroupBox, 0, 0 );

    buttonGroup4 = new QButtonGroup( tab, "buttonGroup4" );
    buttonGroup4->setColumnLayout(0, Qt::Vertical );
    buttonGroup4->layout()->setSpacing( 6 );
    buttonGroup4->layout()->setMargin( 11 );
    buttonGroup4Layout = new QGridLayout( buttonGroup4->layout() );
    buttonGroup4Layout->setAlignment( Qt::AlignTop );

    replayGainCheckBox = new QCheckBox( buttonGroup4, "replayGainCheckBox" );

    buttonGroup4Layout->addMultiCellWidget( replayGainCheckBox, 0, 0, 0, 2 );

    cueSheetLineEdit = new KLineEdit( buttonGroup4, "cueSheetLineEdit" );
    cueSheetLineEdit->setEnabled( FALSE );

    buttonGroup4Layout->addMultiCellWidget( cueSheetLineEdit, 2, 2, 1, 3 );

    cueSheetButton = new QPushButton( buttonGroup4, "cueSheetButton" );
    cueSheetButton->setEnabled( FALSE );
    cueSheetButton->setMinimumSize( QSize( 30, 0 ) );
    cueSheetButton->setMaximumSize( QSize( 30, 32767 ) );

    buttonGroup4Layout->addWidget( cueSheetButton, 2, 4 );
    spacer16_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    buttonGroup4Layout->addItem( spacer16_2, 2, 0 );
    spacer16_2_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    buttonGroup4Layout->addItem( spacer16_2_2, 3, 0 );

    cueSheetCheckBox = new QCheckBox( buttonGroup4, "cueSheetCheckBox" );

    buttonGroup4Layout->addMultiCellWidget( cueSheetCheckBox, 1, 1, 0, 4 );

    noCueSheetPointsCheckBox = new QCheckBox( buttonGroup4, "noCueSheetPointsCheckBox" );
    noCueSheetPointsCheckBox->setEnabled( FALSE );

    buttonGroup4Layout->addMultiCellWidget( noCueSheetPointsCheckBox, 3, 3, 1, 3 );

    paddingSpinBox = new KIntSpinBox( buttonGroup4, "paddingSpinBox" );
    paddingSpinBox->setEnabled( FALSE );
    paddingSpinBox->setMinimumSize( QSize( 140, 0 ) );
    paddingSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    paddingSpinBox->setMaxValue( 2147483647 );

    buttonGroup4Layout->addMultiCellWidget( paddingSpinBox, 4, 4, 3, 4 );

    paddingCheckBox = new QCheckBox( buttonGroup4, "paddingCheckBox" );

    buttonGroup4Layout->addMultiCellWidget( paddingCheckBox, 4, 4, 0, 1 );

    paddingLabel = new QLabel( buttonGroup4, "paddingLabel" );
    paddingLabel->setEnabled( FALSE );

    buttonGroup4Layout->addWidget( paddingLabel, 4, 2 );

    tabLayout->addWidget( buttonGroup4, 1, 0 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    startButtonGroup = new QButtonGroup( tab_2, "startButtonGroup" );
    startButtonGroup->setCheckable( TRUE );
    startButtonGroup->setChecked( FALSE );
    startButtonGroup->setColumnLayout(0, Qt::Vertical );
    startButtonGroup->layout()->setSpacing( 6 );
    startButtonGroup->layout()->setMargin( 11 );
    startButtonGroupLayout = new QGridLayout( startButtonGroup->layout() );
    startButtonGroupLayout->setAlignment( Qt::AlignTop );

    startTimeRadioButton = new QRadioButton( startButtonGroup, "startTimeRadioButton" );
    startTimeRadioButton->setEnabled( FALSE );
    startTimeRadioButton->setChecked( TRUE );

    startButtonGroupLayout->addWidget( startTimeRadioButton, 1, 1 );
    spacer4 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    startButtonGroupLayout->addItem( spacer4, 1, 0 );
    spacer4_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    startButtonGroupLayout->addItem( spacer4_2, 2, 0 );

    startSamplesRadioButton = new QRadioButton( startButtonGroup, "startSamplesRadioButton" );
    startSamplesRadioButton->setEnabled( FALSE );

    startButtonGroupLayout->addWidget( startSamplesRadioButton, 2, 1 );

    startSamplesSpinBox = new KIntSpinBox( startButtonGroup, "startSamplesSpinBox" );
    startSamplesSpinBox->setEnabled( FALSE );
    startSamplesSpinBox->setMinimumSize( QSize( 140, 0 ) );
    startSamplesSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    startSamplesSpinBox->setMaxValue( 2147483647 );

    startButtonGroupLayout->addWidget( startSamplesSpinBox, 2, 2 );

    layout3_2 = new QHBoxLayout( 0, 0, 6, "layout3_2"); 

    startMinsSpinBox = new KIntSpinBox( startButtonGroup, "startMinsSpinBox" );
    startMinsSpinBox->setEnabled( FALSE );
    startMinsSpinBox->setMaximumSize( QSize( 44, 32767 ) );
    startMinsSpinBox->setMaxValue( 2147483647 );
    startMinsSpinBox->setValue( 0 );
    layout3_2->addWidget( startMinsSpinBox );

    startSecsSpinBox = new KIntSpinBox( startButtonGroup, "startSecsSpinBox" );
    startSecsSpinBox->setEnabled( FALSE );
    startSecsSpinBox->setMaximumSize( QSize( 40, 32767 ) );
    startSecsSpinBox->setMaxValue( 59 );
    layout3_2->addWidget( startSecsSpinBox );

    startMsecsSpinBox = new KIntSpinBox( startButtonGroup, "startMsecsSpinBox" );
    startMsecsSpinBox->setEnabled( FALSE );
    startMsecsSpinBox->setMaximumSize( QSize( 44, 32767 ) );
    startMsecsSpinBox->setMaxValue( 999 );
    startMsecsSpinBox->setValue( 0 );
    layout3_2->addWidget( startMsecsSpinBox );

    startButtonGroupLayout->addLayout( layout3_2, 1, 2 );

    tabLayout_2->addWidget( startButtonGroup, 0, 0 );

    durationButtonGroup = new QButtonGroup( tab_2, "durationButtonGroup" );
    durationButtonGroup->setCheckable( TRUE );
    durationButtonGroup->setChecked( FALSE );
    durationButtonGroup->setColumnLayout(0, Qt::Vertical );
    durationButtonGroup->layout()->setSpacing( 6 );
    durationButtonGroup->layout()->setMargin( 11 );
    durationButtonGroupLayout = new QGridLayout( durationButtonGroup->layout() );
    durationButtonGroupLayout->setAlignment( Qt::AlignTop );

    durationSamplesRadioButton = new QRadioButton( durationButtonGroup, "durationSamplesRadioButton" );
    durationSamplesRadioButton->setEnabled( FALSE );

    durationButtonGroupLayout->addWidget( durationSamplesRadioButton, 2, 1 );

    durationSamplesSpinBox = new KIntSpinBox( durationButtonGroup, "durationSamplesSpinBox" );
    durationSamplesSpinBox->setEnabled( FALSE );
    durationSamplesSpinBox->setMinimumSize( QSize( 140, 0 ) );
    durationSamplesSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    durationSamplesSpinBox->setMaxValue( 2147483647 );

    durationButtonGroupLayout->addWidget( durationSamplesSpinBox, 2, 2 );

    relativeToEndCheckBox = new QCheckBox( durationButtonGroup, "relativeToEndCheckBox" );
    relativeToEndCheckBox->setEnabled( FALSE );

    durationButtonGroupLayout->addMultiCellWidget( relativeToEndCheckBox, 3, 3, 1, 2 );
    spacer4_3_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    durationButtonGroupLayout->addItem( spacer4_3_2, 2, 0 );
    spacer4_3 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    durationButtonGroupLayout->addItem( spacer4_3, 1, 0 );
    spacer4_3_3 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    durationButtonGroupLayout->addItem( spacer4_3_3, 3, 0 );

    durationTimeRadioButton = new QRadioButton( durationButtonGroup, "durationTimeRadioButton" );
    durationTimeRadioButton->setEnabled( FALSE );
    durationTimeRadioButton->setChecked( TRUE );

    durationButtonGroupLayout->addWidget( durationTimeRadioButton, 1, 1 );

    layout3_2_2 = new QHBoxLayout( 0, 0, 6, "layout3_2_2"); 

    durationMinsSpinBox = new KIntSpinBox( durationButtonGroup, "durationMinsSpinBox" );
    durationMinsSpinBox->setEnabled( FALSE );
    durationMinsSpinBox->setMaximumSize( QSize( 44, 32767 ) );
    durationMinsSpinBox->setMaxValue( 2147483647 );
    durationMinsSpinBox->setValue( 0 );
    layout3_2_2->addWidget( durationMinsSpinBox );

    durationSecsSpinBox = new KIntSpinBox( durationButtonGroup, "durationSecsSpinBox" );
    durationSecsSpinBox->setEnabled( FALSE );
    durationSecsSpinBox->setMaximumSize( QSize( 40, 32767 ) );
    durationSecsSpinBox->setMaxValue( 59 );
    layout3_2_2->addWidget( durationSecsSpinBox );

    durationMsecsSpinBox = new KIntSpinBox( durationButtonGroup, "durationMsecsSpinBox" );
    durationMsecsSpinBox->setEnabled( FALSE );
    durationMsecsSpinBox->setMaximumSize( QSize( 44, 32767 ) );
    durationMsecsSpinBox->setMaxValue( 999 );
    durationMsecsSpinBox->setValue( 0 );
    layout3_2_2->addWidget( durationMsecsSpinBox );

    durationButtonGroupLayout->addLayout( layout3_2_2, 1, 2 );

    tabLayout_2->addWidget( durationButtonGroup, 1, 0 );

    seekPointsButtonGroup = new QButtonGroup( tab_2, "seekPointsButtonGroup" );
    seekPointsButtonGroup->setCheckable( TRUE );
    seekPointsButtonGroup->setChecked( FALSE );
    seekPointsButtonGroup->setColumnLayout(0, Qt::Vertical );
    seekPointsButtonGroup->layout()->setSpacing( 6 );
    seekPointsButtonGroup->layout()->setMargin( 11 );
    seekPointsButtonGroupLayout = new QGridLayout( seekPointsButtonGroup->layout() );
    seekPointsButtonGroupLayout->setAlignment( Qt::AlignTop );

    seekPointsCountRadioButton = new QRadioButton( seekPointsButtonGroup, "seekPointsCountRadioButton" );
    seekPointsCountRadioButton->setEnabled( FALSE );
    seekPointsCountRadioButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, seekPointsCountRadioButton->sizePolicy().hasHeightForWidth() ) );

    seekPointsButtonGroupLayout->addWidget( seekPointsCountRadioButton, 1, 1 );

    seekPointsCountSpinBox = new KIntSpinBox( seekPointsButtonGroup, "seekPointsCountSpinBox" );
    seekPointsCountSpinBox->setEnabled( FALSE );
    seekPointsCountSpinBox->setMinimumSize( QSize( 140, 0 ) );
    seekPointsCountSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    seekPointsCountSpinBox->setMaxValue( 2147483647 );

    seekPointsButtonGroupLayout->addWidget( seekPointsCountSpinBox, 1, 2 );
    spacer4_4 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    seekPointsButtonGroupLayout->addItem( spacer4_4, 0, 0 );

    seekPointsSecsRadioButton = new QRadioButton( seekPointsButtonGroup, "seekPointsSecsRadioButton" );
    seekPointsSecsRadioButton->setEnabled( FALSE );
    seekPointsSecsRadioButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, seekPointsSecsRadioButton->sizePolicy().hasHeightForWidth() ) );
    seekPointsSecsRadioButton->setChecked( TRUE );

    seekPointsButtonGroupLayout->addWidget( seekPointsSecsRadioButton, 0, 1 );

    seekPointsSecsDecSpinBox = new KDecSpinBox( seekPointsButtonGroup, "seekPointsSecsDecSpinBox" );
    seekPointsSecsDecSpinBox->setEnabled( FALSE );
    seekPointsSecsDecSpinBox->setMinimumSize( QSize( 140, 0 ) );
    seekPointsSecsDecSpinBox->setMaximumSize( QSize( 140, 32767 ) );
    seekPointsSecsDecSpinBox->setMaxValue( 2147483647 );
    seekPointsSecsDecSpinBox->setValue( 10000 );
    seekPointsSecsDecSpinBox->setPrecision( 3 );

    seekPointsButtonGroupLayout->addWidget( seekPointsSecsDecSpinBox, 0, 2 );
    spacer4_2_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    seekPointsButtonGroupLayout->addItem( spacer4_2_2, 1, 0 );

    tabLayout_2->addWidget( seekPointsButtonGroup, 2, 0 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );

    FLACEncoderDialogBaseLayout->addWidget( tabWidget2, 0, 0 );
    languageChange();
    resize( QSize(389, 405).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( blockSizeCheckBox, SIGNAL( toggled(bool) ), this, SLOT( setCheckedBlockSize(bool) ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( cueSheetButton, SIGNAL( clicked() ), this, SLOT( selectCueSheet() ) );
    connect( cueSheetCheckBox, SIGNAL( toggled(bool) ), cueSheetButton, SLOT( setEnabled(bool) ) );
    connect( cueSheetCheckBox, SIGNAL( toggled(bool) ), cueSheetLineEdit, SLOT( setEnabled(bool) ) );
    connect( cueSheetCheckBox, SIGNAL( toggled(bool) ), noCueSheetPointsCheckBox, SLOT( setEnabled(bool) ) );
    connect( durationButtonGroup, SIGNAL( toggled(bool) ), this, SLOT( setCheckedDuration(bool) ) );
    connect( durationSamplesRadioButton, SIGNAL( toggled(bool) ), durationSamplesSpinBox, SLOT( setEnabled(bool) ) );
    connect( durationTimeRadioButton, SIGNAL( toggled(bool) ), durationMinsSpinBox, SLOT( setEnabled(bool) ) );
    connect( durationTimeRadioButton, SIGNAL( toggled(bool) ), durationSecsSpinBox, SLOT( setEnabled(bool) ) );
    connect( durationTimeRadioButton, SIGNAL( toggled(bool) ), durationMsecsSpinBox, SLOT( setEnabled(bool) ) );
    connect( laxBlockSizeRadioButton, SIGNAL( toggled(bool) ), laxBlockSizeLabel, SLOT( setEnabled(bool) ) );
    connect( laxBlockSizeRadioButton, SIGNAL( toggled(bool) ), laxBlockSizeSpinBox, SLOT( setEnabled(bool) ) );
    connect( maxLPCOrderCheckBox, SIGNAL( toggled(bool) ), maxLPCOrderSpinBox, SLOT( setEnabled(bool) ) );
    connect( maxResidualPOCheckBox, SIGNAL( toggled(bool) ), maxResidualPOSpinBox, SLOT( setEnabled(bool) ) );
    connect( maxResidualPOCheckBox, SIGNAL( toggled(bool) ), this, SLOT( setCheckedMaxResidualPO(bool) ) );
    connect( minResidualPOCheckBox, SIGNAL( toggled(bool) ), minResidualPOSpinBox, SLOT( setEnabled(bool) ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( paddingCheckBox, SIGNAL( toggled(bool) ), paddingLabel, SLOT( setEnabled(bool) ) );
    connect( paddingCheckBox, SIGNAL( toggled(bool) ), paddingSpinBox, SLOT( setEnabled(bool) ) );
    connect( profileCheckBox, SIGNAL( toggled(bool) ), profileComboBox, SLOT( setEnabled(bool) ) );
    connect( quantizedLPCPrecisionCheckBox, SIGNAL( toggled(bool) ), quantizedLPCPrecisionComboBox, SLOT( setEnabled(bool) ) );
    connect( sectorAlignCheckBox, SIGNAL( toggled(bool) ), this, SLOT( setCheckedSectorAlign(bool) ) );
    connect( seekPointsButtonGroup, SIGNAL( toggled(bool) ), this, SLOT( setCheckedSeekPoints(bool) ) );
    connect( seekPointsCountRadioButton, SIGNAL( toggled(bool) ), seekPointsCountSpinBox, SLOT( setEnabled(bool) ) );
    connect( seekPointsSecsRadioButton, SIGNAL( toggled(bool) ), seekPointsSecsDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( startButtonGroup, SIGNAL( toggled(bool) ), this, SLOT( setCheckedStart(bool) ) );
    connect( startSamplesRadioButton, SIGNAL( toggled(bool) ), startSamplesSpinBox, SLOT( setEnabled(bool) ) );
    connect( startTimeRadioButton, SIGNAL( toggled(bool) ), startMinsSpinBox, SLOT( setEnabled(bool) ) );
    connect( startTimeRadioButton, SIGNAL( toggled(bool) ), startSecsSpinBox, SLOT( setEnabled(bool) ) );
    connect( startTimeRadioButton, SIGNAL( toggled(bool) ), startMsecsSpinBox, SLOT( setEnabled(bool) ) );
    connect( stereoModeCheckBox, SIGNAL( toggled(bool) ), stereoModeComboBox, SLOT( setEnabled(bool) ) );
    connect( strictBlockSizeRadioButton, SIGNAL( toggled(bool) ), strictBlockSizeLabel, SLOT( setEnabled(bool) ) );
    connect( strictBlockSizeRadioButton, SIGNAL( toggled(bool) ), strictBlockSizeComboBox, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( tabWidget2, profileCheckBox );
    setTabOrder( profileCheckBox, profileComboBox );
    setTabOrder( profileComboBox, exhaustiveModelSearchCheckBox );
    setTabOrder( exhaustiveModelSearchCheckBox, maxLPCOrderCheckBox );
    setTabOrder( maxLPCOrderCheckBox, maxLPCOrderSpinBox );
    setTabOrder( maxLPCOrderSpinBox, quantizedLPCPrecisionCheckBox );
    setTabOrder( quantizedLPCPrecisionCheckBox, quantizedLPCPrecisionComboBox );
    setTabOrder( quantizedLPCPrecisionComboBox, maxResidualPOCheckBox );
    setTabOrder( maxResidualPOCheckBox, maxResidualPOSpinBox );
    setTabOrder( maxResidualPOSpinBox, minResidualPOCheckBox );
    setTabOrder( minResidualPOCheckBox, minResidualPOSpinBox );
    setTabOrder( minResidualPOSpinBox, blockSizeCheckBox );
    setTabOrder( blockSizeCheckBox, strictBlockSizeRadioButton );
    setTabOrder( strictBlockSizeRadioButton, strictBlockSizeComboBox );
    setTabOrder( strictBlockSizeComboBox, laxBlockSizeSpinBox );
    setTabOrder( laxBlockSizeSpinBox, stereoModeCheckBox );
    setTabOrder( stereoModeCheckBox, stereoModeComboBox );
    setTabOrder( stereoModeComboBox, oggFLACCheckBox );
    setTabOrder( oggFLACCheckBox, verifyFileCheckBox );
    setTabOrder( verifyFileCheckBox, sectorAlignCheckBox );
    setTabOrder( sectorAlignCheckBox, replayGainCheckBox );
    setTabOrder( replayGainCheckBox, cueSheetCheckBox );
    setTabOrder( cueSheetCheckBox, cueSheetLineEdit );
    setTabOrder( cueSheetLineEdit, cueSheetButton );
    setTabOrder( cueSheetButton, noCueSheetPointsCheckBox );
    setTabOrder( noCueSheetPointsCheckBox, paddingCheckBox );
    setTabOrder( paddingCheckBox, paddingSpinBox );
    setTabOrder( paddingSpinBox, startTimeRadioButton );
    setTabOrder( startTimeRadioButton, startMinsSpinBox );
    setTabOrder( startMinsSpinBox, startSecsSpinBox );
    setTabOrder( startSecsSpinBox, startMsecsSpinBox );
    setTabOrder( startMsecsSpinBox, startSamplesSpinBox );
    setTabOrder( startSamplesSpinBox, durationTimeRadioButton );
    setTabOrder( durationTimeRadioButton, durationMinsSpinBox );
    setTabOrder( durationMinsSpinBox, durationSecsSpinBox );
    setTabOrder( durationSecsSpinBox, durationMsecsSpinBox );
    setTabOrder( durationMsecsSpinBox, durationSamplesSpinBox );
    setTabOrder( durationSamplesSpinBox, relativeToEndCheckBox );
    setTabOrder( relativeToEndCheckBox, seekPointsSecsRadioButton );
    setTabOrder( seekPointsSecsRadioButton, seekPointsSecsDecSpinBox );
    setTabOrder( seekPointsSecsDecSpinBox, seekPointsCountSpinBox );
    setTabOrder( seekPointsCountSpinBox, okButton );
    setTabOrder( okButton, cancelButton );
    setTabOrder( cancelButton, laxBlockSizeRadioButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FLACEncoderDialogBase::~FLACEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FLACEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "FLAC" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    buttonGroup5->setTitle( tr2i18n( "Compression" ) );
    maxLPCOrderCheckBox->setText( tr2i18n( "Max &LPC order" ) );
    maxLPCOrderCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( maxLPCOrderCheckBox, tr2i18n( "<b>Max LPC order (<i>-l value | --max-lpc-order=value</i>)</b><br/>\n"
"Set the maximum LPC (linear-predictor coefficient) order; 0 means use only the fixed predictors." ) );
    profileComboBox->clear();
    profileComboBox->insertItem( tr2i18n( "0 - Fastest / Worst Comp." ) );
    profileComboBox->insertItem( tr2i18n( "1" ) );
    profileComboBox->insertItem( tr2i18n( "2" ) );
    profileComboBox->insertItem( tr2i18n( "3" ) );
    profileComboBox->insertItem( tr2i18n( "4" ) );
    profileComboBox->insertItem( tr2i18n( "5" ) );
    profileComboBox->insertItem( tr2i18n( "6" ) );
    profileComboBox->insertItem( tr2i18n( "7" ) );
    profileComboBox->insertItem( tr2i18n( "8 - Slowest / Best Comp." ) );
    profileComboBox->setCurrentItem( 8 );
    exhaustiveModelSearchCheckBox->setText( tr2i18n( "&Exhaustive model search" ) );
    exhaustiveModelSearchCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QWhatsThis::add( exhaustiveModelSearchCheckBox, tr2i18n( "<b>Exhaustive model search (<i>-e | --exhaustive-model-search</i>)</b><br/>\n"
"Do exhaustive model search (expensive!)" ) );
    quantizedLPCPrecisionComboBox->clear();
    quantizedLPCPrecisionComboBox->insertItem( tr2i18n( "Do Precision search" ) );
    quantizedLPCPrecisionComboBox->insertItem( tr2i18n( "0" ) );
    quantizedLPCPrecisionComboBox->insertItem( tr2i18n( "1" ) );
    quantizedLPCPrecisionComboBox->insertItem( tr2i18n( "2" ) );
    quantizedLPCPrecisionComboBox->insertItem( tr2i18n( "3" ) );
    quantizedLPCPrecisionComboBox->insertItem( tr2i18n( "4" ) );
    quantizedLPCPrecisionComboBox->insertItem( tr2i18n( "5" ) );
    quantizedLPCPrecisionComboBox->setCurrentItem( 1 );
    quantizedLPCPrecisionCheckBox->setText( tr2i18n( "&Quantized LPC precision" ) );
    quantizedLPCPrecisionCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QWhatsThis::add( quantizedLPCPrecisionCheckBox, tr2i18n( "<b>Quantized LPC precision</b><br/>\n"
"<br/>\n"
"<b>0-5 (<i>-q value | --qlp-coeff-precision=value</i>)</b><br/>\n"
"Precision of the quantized linear-predictor coefficients (min precisoin is 5, default is 0).<br/>\n"
"<b>Do exhaustive search (<i>-p</i> | <i>--qlp-coeff-precision-search</i>)</b><br/>\n"
"Expensive! Overrides <i>-q value</i>; does nothing if using <i>-l 0</i>" ) );
    blockSizeCheckBox->setText( tr2i18n( "&Block size" ) );
    blockSizeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( blockSizeCheckBox, tr2i18n( "<b>Block size (<i>-b size | --blocksize=size</i>)</b><br/>\n"
"<br/>\n"
"Specify the block size in samples. Default is 1152 for <i>-l 0</i>, else 4608.<br/>" ) );
    strictBlockSizeLabel->setText( tr2i18n( "<p align=\"right\">samples</p>" ) );
    laxBlockSizeLabel->setText( tr2i18n( "<p align=\"right\">samples</p>" ) );
    strictBlockSizeComboBox->clear();
    strictBlockSizeComboBox->insertItem( tr2i18n( "192" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "576" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "1152" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "2304" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "4608" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "256" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "512" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "1024" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "2048" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "4096" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "8192" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "16384" ) );
    strictBlockSizeComboBox->insertItem( tr2i18n( "32768" ) );
    strictBlockSizeComboBox->setCurrentItem( 4 );
    strictBlockSizeRadioButton->setText( tr2i18n( "S&trict" ) );
    strictBlockSizeRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QWhatsThis::add( strictBlockSizeRadioButton, tr2i18n( "<b>Strict (<i>-b size | --blocksize=size</i>)</b><br/>\n"
"Block <i>size</i> must be one of 192, 576, 1152, 2304, 4608, 256, 512, 1024, 2048, 4096, 8192, 16384, or 32768." ) );
    laxBlockSizeRadioButton->setText( tr2i18n( "&Lax" ) );
    laxBlockSizeRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( laxBlockSizeRadioButton, tr2i18n( "<b>Lax (<i>--lax -b size | --lax --blocksize=size</i>)</b><br/>\n"
"Allow encoder to generate non-Subset files. The resulting FLAC file may not be streamable or might have trouble being played in all players (especially hardware devices), so you should only use this option in combination with custom encoding options meant for archival." ) );
    stereoModeCheckBox->setText( tr2i18n( "&Stereo mode" ) );
    stereoModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( stereoModeCheckBox, tr2i18n( "<b>Stereo mode</b><br/>\n"
"<br/>\n"
"<b>Mid-Side (<i>-m | --mid-side</i>)</b><br/>\n"
"Try mid-side coding for each frame.<br/>\n"
"<b>Adaptative Mid-Side (<i>-M | --adaptive-mid-side</i>)</b><br/>\n"
"Adaptive mid-side coding for all frames.<br/>\n"
"Note: only for stereo input." ) );
    stereoModeComboBox->clear();
    stereoModeComboBox->insertItem( tr2i18n( "Mid-Side" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Adaptative Mid-Side" ) );
    minResidualPOCheckBox->setText( tr2i18n( "Mi&n residual partition order" ) );
    minResidualPOCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QWhatsThis::add( minResidualPOCheckBox, tr2i18n( "<b>Min residual partition order (<i>-r [min,]max | --rice-partition-order=[min,]max</i>)</b><br/>\n"
"Set the min residual partition order. Defaults to 0 if unspecified and max is set or to 3 if none is set." ) );
    maxResidualPOCheckBox->setText( tr2i18n( "Ma&x residual partition order" ) );
    maxResidualPOCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    QWhatsThis::add( maxResidualPOCheckBox, tr2i18n( "<b>Max residual partition order (<i>-r [min,]max | --rice-partition-order=[min,]max</i>)</b><br/>\n"
"Set the max residual partition order (0..16). Default is 3." ) );
    profileCheckBox->setText( tr2i18n( "Profile" ) );
    tabWidget2->changeTab( TabPage, tr2i18n( "Compression" ) );
    miscGroupBox->setTitle( tr2i18n( "Misc" ) );
    sectorAlignCheckBox->setText( tr2i18n( "Sector &align" ) );
    sectorAlignCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QWhatsThis::add( sectorAlignCheckBox, tr2i18n( "<b>Sector Align (<i>--sector-align</i>)</b><br/>\n"
"Align encoding of multiple CD format WAVE files on sector boundaries. See the HTML documentation for more information." ) );
    oggFLACCheckBox->setText( tr2i18n( "O&gg FLAC output" ) );
    oggFLACCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QWhatsThis::add( oggFLACCheckBox, tr2i18n( "<b>Ogg FLAC output (<i>--ogg</i>)</b><br/>\n"
"Generate Ogg FLAC output instead of native FLAC. Ogg FLAC streams are FLAC streams wrapped in an Ogg transport layer. The resulting file should have an '.ogg' extension and will still be decodable by flac." ) );
    verifyFileCheckBox->setText( tr2i18n( "&Verify encoded file" ) );
    verifyFileCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( verifyFileCheckBox, tr2i18n( "<b>Verify encoded file (<i>-V | --verify</i>)</b><br/>\n"
"Verify a correct encoding by decoding the output in parallel and comparing to the original." ) );
    buttonGroup4->setTitle( tr2i18n( "Metadata" ) );
    replayGainCheckBox->setText( tr2i18n( "Calculate and store &replay gain" ) );
    replayGainCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( replayGainCheckBox, tr2i18n( "<b>Calculate and store replay gain (<i>--replay-gain</i>)</b><br/>\n"
"Calculate ReplayGain values and store in Vorbis comments, similar to vorbisgain. The sample rate must be one of 8, 11.025, 12, 16, 22.05, 24, 32, 44.1, or 48 kHz. Also note that this option may leave a few extra bytes in a PADDING block as the exact size of the tags is not known until all files are processed." ) );
    cueSheetButton->setText( tr2i18n( "..." ) );
    cueSheetCheckBox->setText( tr2i18n( "Import c&ue sheet" ) );
    cueSheetCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QWhatsThis::add( cueSheetCheckBox, tr2i18n( "<b>Import cue sheet (<i>--cuesheet=filename</i>)</b><br/>\n"
"Import the given cuesheet file and store it in a CUESHEET metadata block." ) );
    noCueSheetPointsCheckBox->setText( tr2i18n( "Don't add &seek points" ) );
    noCueSheetPointsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( noCueSheetPointsCheckBox, tr2i18n( "<b>Don't add seek points (<i>--no-cued-seekpoints</i>)</b><br/>\n"
"A seekpoint will be added for each index point in the cuesheet to the SEEKTABLE unless this option is specified." ) );
    paddingCheckBox->setText( tr2i18n( "Add &padding" ) );
    paddingCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    QWhatsThis::add( paddingCheckBox, tr2i18n( "<b>Add padding (<i>-P length | --padding=length</i>)</b><br/>\n"
"Tell the encoder to write a PADDING metadata block of the given <i>length</i> (in bytes) after the STREAMINFO block. This is useful if you plan to tag the file later with an APPLICATION block; instead of having to rewrite the entire file later just to insert your block, you can write directly over the PADDING block. Note that the total length of the PADDING block will be 4 bytes longer than the length given because of the 4 metadata block header bytes. You can force no PADDING block at all to be written with <i>--no-</i><i>padding</i>. The encoder writes a PADDING block of 4096 bytes by default.<br/>\n"
"Transcode note: this interface will interpret a padding of zero (0) bytes as <i>--</i><i>no</i><i>-</i><i>padding</i> flag." ) );
    paddingLabel->setText( tr2i18n( "<p align=\"right\">bytes</p>" ) );
    tabWidget2->changeTab( tab, tr2i18n( "Misc" ) );
    startButtonGroup->setTitle( tr2i18n( "Start Point" ) );
    QWhatsThis::add( startButtonGroup, tr2i18n( "<b>Start point (<i>--skip=samples | --skip=mm:ss.ms</i>)</b><br/>\n"
"Skip over the first number of <i>samples</i> of the input.&nbsp;The alternative form <i>mm:ss.ms</i> can be used to specify minutes, seconds, and fractions of a second." ) );
    startTimeRadioButton->setText( tr2i18n( "&min:sec:msec" ) );
    startTimeRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QWhatsThis::add( startTimeRadioButton, tr2i18n( "<b>Start point (<i>--skip=mm:ss.ms</i>)</b><br/>\n"
"Skip over to the specified time of the input file." ) );
    startSamplesRadioButton->setText( tr2i18n( "&Samples" ) );
    startSamplesRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( startSamplesRadioButton, tr2i18n( "<b>Start point (<i>--skip=samples</i>)</b><br/>\n"
"Skip over the first number of <i>samples</i> of the input file." ) );
    durationButtonGroup->setTitle( tr2i18n( "Duration" ) );
    QWhatsThis::add( durationButtonGroup, tr2i18n( "<b>Duration (<i>--until=[+|-]sample | --until[+|-]mm:ss.ms</i>)</b><br/>\n"
"Stop at the given <i>sample</i> number for each input file (the given sample number is not included). The alternative form <i>mm:ss.ms</i> can be used to specify minutes, seconds, and fractions of a second." ) );
    durationSamplesRadioButton->setText( tr2i18n( "S&amples" ) );
    durationSamplesRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QWhatsThis::add( durationSamplesRadioButton, tr2i18n( "<b>Duration (<i>--until[+|-]sample<</i>)</b><br/>\n"
"Stop at the given <i>sample</i> number for each input file (the given sample number is not included)." ) );
    relativeToEndCheckBox->setText( tr2i18n( "Relative to the end" ) );
    QWhatsThis::add( relativeToEndCheckBox, tr2i18n( "<b>Relative to the end</b><br/>\n"
"If this option is checked the <i>--until</i> point is relative to end of the audio, otherwise the <i>--until</i> point is relative to the <i>--skip</i> point." ) );
    durationTimeRadioButton->setText( tr2i18n( "m&in:sec:msec" ) );
    durationTimeRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    QWhatsThis::add( durationTimeRadioButton, tr2i18n( "<b>Duration (<i>--until[+|-]mm:ss.ms</i>)</b><br/>\n"
"Stop at the given time for each input file." ) );
    seekPointsButtonGroup->setTitle( tr2i18n( "Seek points" ) );
    QWhatsThis::add( seekPointsButtonGroup, tr2i18n( "<b>Seek points (<i>-S #x | --seekpoint=#x | -S #s | --seekpoint=#s</i>)</b><br/>\n"
"Include a point or points in a SEEKTABLE.<br/>\n"
"Using <i>#x</i>, <i>#</i> evenly spaced seek points will be added, the first being at sample 0.<br/>\n"
"Using <i>#s</i>, a seekpoint will be added every <i>#</i> seconds. With no <i>-S</i> options, flac defaults to '<i>-S 10s</i>'.<br/>\n"
"Use <i>--no-seektable</i> for no SEEKTABLE (not recommended for normal use)." ) );
    seekPointsCountRadioButton->setText( tr2i18n( "&X points equally separated" ) );
    seekPointsCountRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    QWhatsThis::add( seekPointsCountRadioButton, tr2i18n( "<b>Seek points (<i>-S #x | --seekpoint=#x</i>)</b><br/>\n"
"# evenly spaced seek points will be added, the first being at sample 0." ) );
    QWhatsThis::add( seekPointsCountSpinBox, tr2i18n( "<b>Seek points (<i>-S #x</i> / <i>--seekpoint=#x</i>)</b><br/>\n"
"# evenly spaced seek points will be added, the first being at sample 0." ) );
    seekPointsSecsRadioButton->setText( tr2i18n( "&Every X seconds" ) );
    seekPointsSecsRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QWhatsThis::add( seekPointsSecsRadioButton, tr2i18n( "<b>Seek points (<i>-S #s | --seekpoint=#s</i>)</b><br/>\n"
"A seekpoint will be added every <i>#</i> seconds." ) );
    QWhatsThis::add( seekPointsSecsDecSpinBox, tr2i18n( "<b>Seek points (<i>-S #s</i> / <i>--seekpoint=#s</i>)</b><br/>\n"
"A seekpoint will be added every <i>#</i> seconds." ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "Encoding Limits" ) );
}

#include "flacencoderdialogbase.moc"
