#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wavpackencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:57:34 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wavpackencoderdialogbase.h"

#include <qvariant.h>
#include <kdecspinbox.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "kcombobox.h"
#include "knuminput.h"
#include "kdecspinbox.h"
#include "./wavpackencoderdialogbase.ui.h"

/*
 *  Constructs a WavPackEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
WavPackEncoderDialogBase::WavPackEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "WavPackEncoderDialogBase" );
    WavPackEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "WavPackEncoderDialogBaseLayout"); 

    compressionGroupBox = new QGroupBox( this, "compressionGroupBox" );
    compressionGroupBox->setColumnLayout(0, Qt::Vertical );
    compressionGroupBox->layout()->setSpacing( 6 );
    compressionGroupBox->layout()->setMargin( 11 );
    compressionGroupBoxLayout = new QGridLayout( compressionGroupBox->layout() );
    compressionGroupBoxLayout->setAlignment( Qt::AlignTop );

    jointStereoCheckBox = new QCheckBox( compressionGroupBox, "jointStereoCheckBox" );

    compressionGroupBoxLayout->addMultiCellWidget( jointStereoCheckBox, 1, 1, 0, 1 );

    encodingModeCheckBox = new QCheckBox( compressionGroupBox, "encodingModeCheckBox" );

    compressionGroupBoxLayout->addMultiCellWidget( encodingModeCheckBox, 0, 0, 0, 1 );

    extraProcessingCheckBox = new QCheckBox( compressionGroupBox, "extraProcessingCheckBox" );

    compressionGroupBoxLayout->addMultiCellWidget( extraProcessingCheckBox, 2, 2, 0, 1 );

    jointStereoComboBox = new KComboBox( FALSE, compressionGroupBox, "jointStereoComboBox" );
    jointStereoComboBox->setEnabled( FALSE );
    jointStereoComboBox->setMinimumSize( QSize( 100, 0 ) );
    jointStereoComboBox->setMaximumSize( QSize( 100, 32767 ) );

    compressionGroupBoxLayout->addWidget( jointStereoComboBox, 1, 2 );

    encodingModeComboBox = new KComboBox( FALSE, compressionGroupBox, "encodingModeComboBox" );
    encodingModeComboBox->setEnabled( FALSE );
    encodingModeComboBox->setMinimumSize( QSize( 100, 0 ) );
    encodingModeComboBox->setMaximumSize( QSize( 100, 32767 ) );

    compressionGroupBoxLayout->addWidget( encodingModeComboBox, 0, 2 );

    extraProcessingLevelSpinBox = new KIntSpinBox( compressionGroupBox, "extraProcessingLevelSpinBox" );
    extraProcessingLevelSpinBox->setEnabled( FALSE );
    extraProcessingLevelSpinBox->setMinimumSize( QSize( 100, 0 ) );
    extraProcessingLevelSpinBox->setMaximumSize( QSize( 100, 32767 ) );
    extraProcessingLevelSpinBox->setMaxValue( 6 );
    extraProcessingLevelSpinBox->setMinValue( 1 );

    compressionGroupBoxLayout->addWidget( extraProcessingLevelSpinBox, 3, 2 );

    extraProcessingLevelCheckBox = new QCheckBox( compressionGroupBox, "extraProcessingLevelCheckBox" );
    extraProcessingLevelCheckBox->setEnabled( FALSE );

    compressionGroupBoxLayout->addWidget( extraProcessingLevelCheckBox, 3, 1 );
    spacer3 = new QSpacerItem( 14, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    compressionGroupBoxLayout->addItem( spacer3, 3, 0 );

    WavPackEncoderDialogBaseLayout->addWidget( compressionGroupBox, 0, 0 );

    hybridButtonGroup = new QButtonGroup( this, "hybridButtonGroup" );
    hybridButtonGroup->setCheckable( TRUE );
    hybridButtonGroup->setChecked( FALSE );
    hybridButtonGroup->setColumnLayout(0, Qt::Vertical );
    hybridButtonGroup->layout()->setSpacing( 6 );
    hybridButtonGroup->layout()->setMargin( 11 );
    hybridButtonGroupLayout = new QGridLayout( hybridButtonGroup->layout() );
    hybridButtonGroupLayout->setAlignment( Qt::AlignTop );

    kbitsPerSecondSpinBox = new KIntSpinBox( hybridButtonGroup, "kbitsPerSecondSpinBox" );
    kbitsPerSecondSpinBox->setMinimumSize( QSize( 100, 0 ) );
    kbitsPerSecondSpinBox->setMaximumSize( QSize( 100, 32767 ) );
    kbitsPerSecondSpinBox->setMaxValue( 9600 );
    kbitsPerSecondSpinBox->setMinValue( 24 );
    kbitsPerSecondSpinBox->setValue( 196 );

    hybridButtonGroupLayout->addWidget( kbitsPerSecondSpinBox, 1, 1 );

    bitsPerSampleDecSpinBox = new KDecSpinBox( hybridButtonGroup, "bitsPerSampleDecSpinBox" );
    bitsPerSampleDecSpinBox->setMinimumSize( QSize( 100, 0 ) );
    bitsPerSampleDecSpinBox->setMaximumSize( QSize( 100, 32767 ) );
    bitsPerSampleDecSpinBox->setMaxValue( 239 );
    bitsPerSampleDecSpinBox->setMinValue( 20 );
    bitsPerSampleDecSpinBox->setPrecision( 1 );

    hybridButtonGroupLayout->addWidget( bitsPerSampleDecSpinBox, 0, 1 );

    noiseShapingDecSpinBox = new KDecSpinBox( hybridButtonGroup, "noiseShapingDecSpinBox" );
    noiseShapingDecSpinBox->setMinimumSize( QSize( 100, 0 ) );
    noiseShapingDecSpinBox->setMaximumSize( QSize( 100, 32767 ) );
    noiseShapingDecSpinBox->setMaxValue( 10 );
    noiseShapingDecSpinBox->setMinValue( -10 );
    noiseShapingDecSpinBox->setPrecision( 1 );

    hybridButtonGroupLayout->addWidget( noiseShapingDecSpinBox, 5, 1 );

    noiseShapingCheckBox = new QCheckBox( hybridButtonGroup, "noiseShapingCheckBox" );

    hybridButtonGroupLayout->addWidget( noiseShapingCheckBox, 5, 0 );

    maxHybridCompCheckBox = new QCheckBox( hybridButtonGroup, "maxHybridCompCheckBox" );

    hybridButtonGroupLayout->addWidget( maxHybridCompCheckBox, 3, 0 );

    correctionFileCheckBox = new QCheckBox( hybridButtonGroup, "correctionFileCheckBox" );

    hybridButtonGroupLayout->addWidget( correctionFileCheckBox, 2, 0 );

    kbitsPerSecondRadioButton = new QRadioButton( hybridButtonGroup, "kbitsPerSecondRadioButton" );
    kbitsPerSecondRadioButton->setChecked( TRUE );

    hybridButtonGroupLayout->addWidget( kbitsPerSecondRadioButton, 1, 0 );

    bitsPerSampleRadioButton = new QRadioButton( hybridButtonGroup, "bitsPerSampleRadioButton" );

    hybridButtonGroupLayout->addWidget( bitsPerSampleRadioButton, 0, 0 );

    WavPackEncoderDialogBaseLayout->addWidget( hybridButtonGroup, 1, 0 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    WavPackEncoderDialogBaseLayout->addLayout( layout7, 3, 0 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    riffHeaderCheckBox = new QCheckBox( groupBox2, "riffHeaderCheckBox" );

    groupBox2Layout->addWidget( riffHeaderCheckBox, 0, 0 );

    auditionCheckBox = new QCheckBox( groupBox2, "auditionCheckBox" );

    groupBox2Layout->addWidget( auditionCheckBox, 3, 0 );

    md5sumCheckBox = new QCheckBox( groupBox2, "md5sumCheckBox" );

    groupBox2Layout->addWidget( md5sumCheckBox, 4, 0 );

    practicalFloatCheckBox = new QCheckBox( groupBox2, "practicalFloatCheckBox" );

    groupBox2Layout->addWidget( practicalFloatCheckBox, 2, 0 );

    ignoreHeaderCheckBox = new QCheckBox( groupBox2, "ignoreHeaderCheckBox" );

    groupBox2Layout->addWidget( ignoreHeaderCheckBox, 1, 0 );

    WavPackEncoderDialogBaseLayout->addWidget( groupBox2, 2, 0 );
    languageChange();
    resize( QSize(313, 509).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( encodingModeCheckBox, SIGNAL( toggled(bool) ), encodingModeComboBox, SLOT( setEnabled(bool) ) );
    connect( jointStereoCheckBox, SIGNAL( toggled(bool) ), jointStereoComboBox, SLOT( setEnabled(bool) ) );
    connect( extraProcessingLevelCheckBox, SIGNAL( toggled(bool) ), extraProcessingLevelSpinBox, SLOT( setEnabled(bool) ) );
    connect( bitsPerSampleRadioButton, SIGNAL( toggled(bool) ), bitsPerSampleDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( kbitsPerSecondRadioButton, SIGNAL( toggled(bool) ), kbitsPerSecondSpinBox, SLOT( setEnabled(bool) ) );
    connect( noiseShapingCheckBox, SIGNAL( toggled(bool) ), noiseShapingDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( extraProcessingCheckBox, SIGNAL( toggled(bool) ), this, SLOT( toggleExtraProcessing() ) );
    connect( hybridButtonGroup, SIGNAL( toggled(bool) ), this, SLOT( toggleHybridCompression() ) );
    connect( extraProcessingCheckBox, SIGNAL( toggled(bool) ), extraProcessingLevelCheckBox, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( encodingModeCheckBox, encodingModeComboBox );
    setTabOrder( encodingModeComboBox, jointStereoCheckBox );
    setTabOrder( jointStereoCheckBox, jointStereoComboBox );
    setTabOrder( jointStereoComboBox, extraProcessingCheckBox );
    setTabOrder( extraProcessingCheckBox, extraProcessingLevelCheckBox );
    setTabOrder( extraProcessingLevelCheckBox, extraProcessingLevelSpinBox );
    setTabOrder( extraProcessingLevelSpinBox, bitsPerSampleDecSpinBox );
    setTabOrder( bitsPerSampleDecSpinBox, kbitsPerSecondSpinBox );
    setTabOrder( kbitsPerSecondSpinBox, kbitsPerSecondRadioButton );
    setTabOrder( kbitsPerSecondRadioButton, correctionFileCheckBox );
    setTabOrder( correctionFileCheckBox, maxHybridCompCheckBox );
    setTabOrder( maxHybridCompCheckBox, noiseShapingCheckBox );
    setTabOrder( noiseShapingCheckBox, noiseShapingDecSpinBox );
    setTabOrder( noiseShapingDecSpinBox, riffHeaderCheckBox );
    setTabOrder( riffHeaderCheckBox, ignoreHeaderCheckBox );
    setTabOrder( ignoreHeaderCheckBox, practicalFloatCheckBox );
    setTabOrder( practicalFloatCheckBox, auditionCheckBox );
    setTabOrder( auditionCheckBox, md5sumCheckBox );
    setTabOrder( md5sumCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WavPackEncoderDialogBase::~WavPackEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WavPackEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "WavPack" ) );
    compressionGroupBox->setTitle( tr2i18n( "Compression" ) );
    jointStereoCheckBox->setText( tr2i18n( "Joint-Stereo override" ) );
    QWhatsThis::add( jointStereoCheckBox, tr2i18n( "<qt><b>Joint-stereo override</b><br/>\n"
"WavPack normally defaults to joint stereo (aka as mid/side) in which the left and right channels are combined to form an alternate representation (essentially L+R and L-R) that compresses better in lossless mode and improves quality in lossy mode. This option allows this feature to be forced either on or off.</qt>" ) );
    encodingModeCheckBox->setText( tr2i18n( "Encoding mode" ) );
    QWhatsThis::add( encodingModeCheckBox, tr2i18n( "<b>Fast Mode (<i>-f</i>)</b><br/>\n"
"Fast, but some compromise in compression ratio.<br/>\n"
"The \"fast\" mode should be used when compression (or decompression) speed is more important than compression ratio (or, in lossy mode, audio quality).<br/>\n"
"<b>Normal Mode</b><br/>\n"
"This is the default mode.<br/>\n"
"<b>High Quality (<i>-h</i>)</b><br/>\n"
"Best compression in all modes, but slower.<br/>\n"
"The \"high\" mode should be used when compression ratio (or, in lossy mode, audio quality) is more important than compression (or decompression) speed. This option slows both by about a factor of 2.</qt>" ) );
    extraProcessingCheckBox->setText( tr2i18n( "Extra encode processing" ) );
    QWhatsThis::add( extraProcessingCheckBox, tr2i18n( "<qt><b>Extra encode processing <i>(-x[n]; optional n = 1-6 for more/less)</i></b><br/>\n"
"WavPack now has an option to work \"asymmetrically\", so that extra processing can be done during encoding to provide better compression, but with NO corresponding cost to decoding performance!<br/>\n"
"This is enabled with the <i>-x</i> option and provides an average improvement in CD music compression of about 1% in \"fast\" mode, about 0.5% in the normal mode, and about 0.25% in \"high\" mode. Because the standard compression parameters are optimized for \"normal\" CD music audio, this option works best with non-standard audio (synthesized sounds, non-standard sampling rates, etc) where it can often achieve enormous gains. It should be noted that this mode is not just a little slower than the regular mode; it is <i>much</i> slower. However, the fact that it has no effect on decode time could make it attractive in some situations.<br/>\n"
"The \"extra\" option provides a level of extra processing that has been optimized for the encoding mode selected (i.e. normal, \"fast\" or \"high\"). This level can be overridden with the optional numeric parameter from 1 to 6, although this is not generally recommended.</qt>" ) );
    jointStereoComboBox->clear();
    jointStereoComboBox->insertItem( tr2i18n( "Mid / Side" ) );
    jointStereoComboBox->insertItem( tr2i18n( "Left / Right" ) );
    encodingModeComboBox->clear();
    encodingModeComboBox->insertItem( tr2i18n( "High Quality" ) );
    encodingModeComboBox->insertItem( tr2i18n( "Normal" ) );
    encodingModeComboBox->insertItem( tr2i18n( "Fast" ) );
    extraProcessingLevelCheckBox->setText( tr2i18n( "Level" ) );
    QWhatsThis::add( extraProcessingLevelCheckBox, tr2i18n( "<qt><b>Extra encode processing <i>(-x[n]; optional n = 1-6 for more/less)</i></b><br/>\n"
"WavPack now has an option to work \"asymmetrically\", so that extra processing can be done during encoding to provide better compression, but with NO corresponding cost to decoding performance!<br/>\n"
"This is enabled with the <i>-x</i> option and provides an average improvement in CD music compression of about 1% in \"fast\" mode, about 0.5% in the normal mode, and about 0.25% in \"high\" mode. Because the standard compression parameters are optimized for \"normal\" CD music audio, this option works best with non-standard audio (synthesized sounds, non-standard sampling rates, etc) where it can often achieve enormous gains. It should be noted that this mode is not just a little slower than the regular mode; it is <i>much</i> slower. However, the fact that it has no effect on decode time could make it attractive in some situations.<br/>\n"
"The \"extra\" option provides a level of extra processing that has been optimized for the encoding mode selected (i.e. normal, \"fast\" or \"high\"). This level can be overridden with the optional numeric parameter from 1 to 6, although this is not generally recommended.</qt>" ) );
    hybridButtonGroup->setTitle( tr2i18n( "Hybrid Compression" ) );
    QWhatsThis::add( hybridButtonGroup, tr2i18n( "<qt><b>Enable hybrid compression (<i>-bn; n = 2.0 to 23.9 bits/sample, or n = 24-9600 kbps</i>)</b><br/>\n"
"The default operation of WavPack is pure lossless, which means that the .wv file contains all the information that was in the original .wav file. The hybrid mode allows the user to specify a target bitrate for the output file, either in kilobits per second (kbps) or bits per sample. If the track can be losslessly compressed without exceeding the specified bitrate, then it will be and WavPack will report the compression as lossless. If lossless compression would exceed the specified bitrate, then WavPack will begin carefully discarding the least significant portion of the audio information to stay within the limit. Every effort is made to keep this inaudible, including the use of joint stereo, dynamic bit allocation and noise shaping. WavPack will report this as \"lossy\" compression. Although the option accepts bitrates as low as 24 kbps, the actual value that WavPack can achieve is usually much higher than that. For example, with CD-audio sampled at 44.1k the lower limit is about 196 kbps.</qt>" ) );
    noiseShapingCheckBox->setText( tr2i18n( "Noise shaping override" ) );
    QWhatsThis::add( noiseShapingCheckBox, tr2i18n( "<qt><b>Noise shaping override (<i>-sn; n = -1.0 to 1.0, 0 = off</i>)</b><br/>\n"
"WavPack uses first-order noise shaping to improve the perceived quality of lossy files and to improve the hybrid lossless compression ratio. Normally WavPack will choose the noise shaping most appropriate for the application, but this option allows the user to override the default. The parameter range is +/- 1.0, where positive values shift the noise higher in frequency and negative values shift the noise lower in frequency. Values very close to -1.0 are clipped to prevent problems associated with very high gain near DC.</qt>" ) );
    maxHybridCompCheckBox->setText( tr2i18n( "Maximum hybrid compression" ) );
    QWhatsThis::add( maxHybridCompCheckBox, tr2i18n( "<qt><b>Maximum hybrid compression (<i>-cc</i>)</b><br/>\n"
"Hurts lossy quality and decode speed.<br/>\n"
"Normally, when the <i>-c</i> option is used to create a correction file in the hybrid mode, WavPack attempts to optimize for the quality of the lossy file and let the combined lossless compression of the two files fall where it may. This option tells WavPack to optimize for the overall compression ratio instead, even if this means some possible degradation of lossy quality (and this can also have a small effect on lossless decompression speed). Keep in mind the effect of this option is not too significant either way.</qt>" ) );
    correctionFileCheckBox->setText( tr2i18n( "Create correction file" ) );
    QWhatsThis::add( correctionFileCheckBox, tr2i18n( "<qt><b>Create correction file (<i>-c</i>)</b><br/>\n"
"If the <i>-c</i> option is specified, then WavPack will generate an additional file that will contain the information that was discarded to generate the lossy .wv file. This file will have the same name as the .wv file but will have the extension .wvc (the 'c' is for \"correction\"). When WvUnpack is used to restore the .wav file, it will attempt to find the .wvc file in the same directory as the .wv file. If it is found then the decompression will be lossless and will be reported as such, otherwise lossy decompression will be reported (assuming that any information was actually discarded during the original compression). If <i>-c</i> is specified but no actual information is discarded, the correction file will be deleted. The extra overhead involved with having these two files instead of a single pure lossless file is usually less than 1% of the original .WAV file and can be as low as 0.25% at high bitrates. Note that CRCs are stored for both the lossy and lossless versions, so error detection works correctly whether the .wvc file is used or not.</qt>" ) );
    kbitsPerSecondRadioButton->setText( tr2i18n( "kbits per second" ) );
    bitsPerSampleRadioButton->setText( tr2i18n( "bits per sample" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    groupBox2->setTitle( tr2i18n( "Miscelaneous" ) );
    riffHeaderCheckBox->setText( tr2i18n( "Generate new RIFF wav header" ) );
    QWhatsThis::add( riffHeaderCheckBox, tr2i18n( "<qt><b>Generate new RIFF wav header (<i>-r</i>)</b><br/>\n"
"WavPack normally saves all the RIFF header information contained in the wav file (including any chunks after the audio data). This is done so that WvUnpack.exe can restore the original wav files exactly. The <i>-r</i> option causes WavPack to discard the header contained in the source file (and any extra chunks) and generate a fresh wav header. Obviously the source wav header is still used to determine the format and size of the file (i.e. this is not a \"raw\" mode). Note that for multichannel files a WAVEFORMATEXTENSIBLE header is generated whether the source file had one or not. Also note that this option cannot be used with certain floating-point wav files generated by CoolEdit or Audition because they are not properly normalized.</qt>" ) );
    auditionCheckBox->setText( tr2i18n( "Adobe Audition mode for 32-bit floats" ) );
    QWhatsThis::add( auditionCheckBox, tr2i18n( "<qt><b>Adobe Audition mode for 32-bit floats (<i>-a</i>)</b><br/>\n"
"The WAVEFORMATEXTENSIBLE structure is used (if present) to determine the format details. However, there are some programs that use their own non-standard format extensions. The most popular of these is Adobe's Audition (previously Syntrillium's CoolEdit) which created two new 32-bit floating point formats. An option has been added to WavPack (<i>-a</i>) to force the \"adobe\" interpretation of these floating point formats. If you are compressing integer files do NOT use this option.</qt>" ) );
    md5sumCheckBox->setText( tr2i18n( "Compute and store MD5sum of raw audio data" ) );
    md5sumCheckBox->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( md5sumCheckBox, tr2i18n( "<qt><b>Compute and store MD5sum of raw audio data (<i>-m</i>)</b><br/>\n"
"Calculate and display the MD5 checksum of the uncompressed audio data and store it in the compressed file. These sums are commonly used in file trading communities to compare versions of tracks, and as such the sums generated by WavPack match those of FLAC, OptimFROG, Shntool, and get_id3(). They can also be used by WvUnpack during decompression to verify the data integrity of lossless files.</qt>" ) );
    practicalFloatCheckBox->setText( tr2i18n( "Practical float storage" ) );
    QWhatsThis::add( practicalFloatCheckBox, tr2i18n( "<qt><b>Practical float storage (<i>-p</i>)</b><br/>\n"
"This option reduces the storage of some floating-point data files by up to about 10% by eliminating some information that has virtually no effect on the audio data. While this does technically make the compression lossy, it retains all the advantages of floating point data (>600 dB of dynamic range, no clipping, and 25 bits of resolution). This also affects large integer compression by limiting the resolution to 24 bits.</qt>" ) );
    ignoreHeaderCheckBox->setText( tr2i18n( "Ignore length in wav header" ) );
    QWhatsThis::add( ignoreHeaderCheckBox, tr2i18n( "<qt><b>Ignore length in wav header (<i>-i</i>)</b><br/>\n"
"Some programs that pipe data to encoders do not always give the correct length in the wav headers that they provide (foobar's clienc and CDex are examples). In these cases use this option to force WavPack to ignore the header and accept the actual length.</qt>" ) );
}

#include "wavpackencoderdialogbase.moc"
