#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './metadatawidgetbase.ui'
**
** Created: Sat Aug 2 19:59:23 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "metadatawidgetbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <kpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <ktextedit.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"
#include "klineedit.h"
#include "knuminput.h"
#include "ktextedit.h"
#include "kcombobox.h"

/*
 *  Constructs a MetadataWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MetadataWidgetBase::MetadataWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "MetadataWidgetBase" );
    MetadataWidgetBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "MetadataWidgetBaseLayout"); 

    outputFilesGroupBox = new QGroupBox( this, "outputFilesGroupBox" );
    outputFilesGroupBox->setColumnLayout(0, Qt::Vertical );
    outputFilesGroupBox->layout()->setSpacing( 6 );
    outputFilesGroupBox->layout()->setMargin( 11 );
    outputFilesGroupBoxLayout = new QGridLayout( outputFilesGroupBox->layout() );
    outputFilesGroupBoxLayout->setAlignment( Qt::AlignTop );
    spacer1 = new QSpacerItem( 360, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    outputFilesGroupBoxLayout->addItem( spacer1, 0, 2 );

    setButton = new KPushButton( outputFilesGroupBox, "setButton" );
    setButton->setEnabled( FALSE );

    outputFilesGroupBoxLayout->addWidget( setButton, 0, 0 );

    resetButton = new KPushButton( outputFilesGroupBox, "resetButton" );
    resetButton->setEnabled( FALSE );

    outputFilesGroupBoxLayout->addWidget( resetButton, 0, 1 );

    layout5 = new QGridLayout( 0, 1, 1, 0, 6, "layout5"); 

    trackLabel = new QLabel( outputFilesGroupBox, "trackLabel" );

    layout5->addWidget( trackLabel, 3, 1 );

    artistLineEdit = new KLineEdit( outputFilesGroupBox, "artistLineEdit" );
    artistLineEdit->setEnabled( FALSE );

    layout5->addMultiCellWidget( artistLineEdit, 1, 1, 2, 5 );

    titleCheckBox = new QCheckBox( outputFilesGroupBox, "titleCheckBox" );

    layout5->addWidget( titleCheckBox, 0, 0 );

    genreCheckBox = new QCheckBox( outputFilesGroupBox, "genreCheckBox" );

    layout5->addWidget( genreCheckBox, 4, 0 );

    yearSpinBox = new KIntSpinBox( outputFilesGroupBox, "yearSpinBox" );
    yearSpinBox->setEnabled( FALSE );
    yearSpinBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, yearSpinBox->sizePolicy().hasHeightForWidth() ) );
    yearSpinBox->setMaxValue( 3000 );

    layout5->addWidget( yearSpinBox, 3, 5 );

    commentTextEdit = new KTextEdit( outputFilesGroupBox, "commentTextEdit" );
    commentTextEdit->setEnabled( FALSE );

    layout5->addMultiCellWidget( commentTextEdit, 5, 5, 2, 5 );

    commentCheckBox = new QCheckBox( outputFilesGroupBox, "commentCheckBox" );

    layout5->addWidget( commentCheckBox, 5, 0 );

    artistLabel = new QLabel( outputFilesGroupBox, "artistLabel" );

    layout5->addWidget( artistLabel, 1, 1 );

    artistCheckBox = new QCheckBox( outputFilesGroupBox, "artistCheckBox" );

    layout5->addWidget( artistCheckBox, 1, 0 );

    trackSpinBox = new KIntSpinBox( outputFilesGroupBox, "trackSpinBox" );
    trackSpinBox->setEnabled( FALSE );
    trackSpinBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, trackSpinBox->sizePolicy().hasHeightForWidth() ) );
    trackSpinBox->setMaxValue( 99 );
    trackSpinBox->setValue( 0 );

    layout5->addWidget( trackSpinBox, 3, 2 );

    albumLabel = new QLabel( outputFilesGroupBox, "albumLabel" );

    layout5->addWidget( albumLabel, 2, 1 );

    titleLabel = new QLabel( outputFilesGroupBox, "titleLabel" );

    layout5->addWidget( titleLabel, 0, 1 );

    composerCheckBox = new QCheckBox( outputFilesGroupBox, "composerCheckBox" );

    layout5->addWidget( composerCheckBox, 4, 3 );

    trackCheckBox = new QCheckBox( outputFilesGroupBox, "trackCheckBox" );

    layout5->addWidget( trackCheckBox, 3, 0 );

    composerLabel = new QLabel( outputFilesGroupBox, "composerLabel" );

    layout5->addWidget( composerLabel, 4, 4 );

    commentLabel = new QLabel( outputFilesGroupBox, "commentLabel" );

    layout5->addWidget( commentLabel, 5, 1 );

    genreLabel = new QLabel( outputFilesGroupBox, "genreLabel" );

    layout5->addWidget( genreLabel, 4, 1 );

    composerLineEdit = new KLineEdit( outputFilesGroupBox, "composerLineEdit" );
    composerLineEdit->setEnabled( FALSE );

    layout5->addWidget( composerLineEdit, 4, 5 );

    genreComboBox = new KComboBox( FALSE, outputFilesGroupBox, "genreComboBox" );
    genreComboBox->setEnabled( FALSE );
    genreComboBox->setEditable( TRUE );

    layout5->addWidget( genreComboBox, 4, 2 );

    yearCheckBox = new QCheckBox( outputFilesGroupBox, "yearCheckBox" );

    layout5->addWidget( yearCheckBox, 3, 3 );

    titleLineEdit = new KLineEdit( outputFilesGroupBox, "titleLineEdit" );
    titleLineEdit->setEnabled( FALSE );

    layout5->addMultiCellWidget( titleLineEdit, 0, 0, 2, 5 );

    yearLabel = new QLabel( outputFilesGroupBox, "yearLabel" );

    layout5->addWidget( yearLabel, 3, 4 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    albumLineEdit = new KLineEdit( outputFilesGroupBox, "albumLineEdit" );
    albumLineEdit->setEnabled( FALSE );
    layout4->addWidget( albumLineEdit );

    discNumberCheckBox = new QCheckBox( outputFilesGroupBox, "discNumberCheckBox" );
    layout4->addWidget( discNumberCheckBox );

    discNumberLabel = new QLabel( outputFilesGroupBox, "discNumberLabel" );
    layout4->addWidget( discNumberLabel );

    discNumberSpinBox = new KIntSpinBox( outputFilesGroupBox, "discNumberSpinBox" );
    discNumberSpinBox->setEnabled( FALSE );
    discNumberSpinBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, discNumberSpinBox->sizePolicy().hasHeightForWidth() ) );
    discNumberSpinBox->setMinimumSize( QSize( 50, 0 ) );
    discNumberSpinBox->setMaximumSize( QSize( 70, 32767 ) );
    discNumberSpinBox->setMaxValue( 20 );
    discNumberSpinBox->setValue( 0 );
    layout4->addWidget( discNumberSpinBox );

    layout5->addMultiCellLayout( layout4, 2, 2, 2, 5 );

    albumCheckBox = new QCheckBox( outputFilesGroupBox, "albumCheckBox" );

    layout5->addWidget( albumCheckBox, 2, 0 );

    outputFilesGroupBoxLayout->addMultiCellLayout( layout5, 1, 1, 0, 2 );

    MetadataWidgetBaseLayout->addWidget( outputFilesGroupBox, 0, 0 );
    languageChange();
    resize( QSize(611, 281).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( titleCheckBox, SIGNAL( toggled(bool) ), titleLineEdit, SLOT( setEnabled(bool) ) );
    connect( artistCheckBox, SIGNAL( toggled(bool) ), artistLineEdit, SLOT( setEnabled(bool) ) );
    connect( albumCheckBox, SIGNAL( toggled(bool) ), albumLineEdit, SLOT( setEnabled(bool) ) );
    connect( trackCheckBox, SIGNAL( toggled(bool) ), trackSpinBox, SLOT( setEnabled(bool) ) );
    connect( discNumberCheckBox, SIGNAL( toggled(bool) ), discNumberSpinBox, SLOT( setEnabled(bool) ) );
    connect( trackCheckBox, SIGNAL( toggled(bool) ), trackSpinBox, SLOT( setEnabled(bool) ) );
    connect( yearCheckBox, SIGNAL( toggled(bool) ), yearSpinBox, SLOT( setEnabled(bool) ) );
    connect( genreCheckBox, SIGNAL( toggled(bool) ), genreComboBox, SLOT( setEnabled(bool) ) );
    connect( composerCheckBox, SIGNAL( toggled(bool) ), composerLineEdit, SLOT( setEnabled(bool) ) );
    connect( commentCheckBox, SIGNAL( toggled(bool) ), commentTextEdit, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( setButton, resetButton );
    setTabOrder( resetButton, titleCheckBox );
    setTabOrder( titleCheckBox, titleLineEdit );
    setTabOrder( titleLineEdit, artistCheckBox );
    setTabOrder( artistCheckBox, artistLineEdit );
    setTabOrder( artistLineEdit, albumCheckBox );
    setTabOrder( albumCheckBox, albumLineEdit );
    setTabOrder( albumLineEdit, discNumberCheckBox );
    setTabOrder( discNumberCheckBox, discNumberSpinBox );
    setTabOrder( discNumberSpinBox, trackCheckBox );
    setTabOrder( trackCheckBox, trackSpinBox );
    setTabOrder( trackSpinBox, yearCheckBox );
    setTabOrder( yearCheckBox, yearSpinBox );
    setTabOrder( yearSpinBox, genreCheckBox );
    setTabOrder( genreCheckBox, genreComboBox );
    setTabOrder( genreComboBox, composerCheckBox );
    setTabOrder( composerCheckBox, composerLineEdit );
    setTabOrder( composerLineEdit, commentCheckBox );
    setTabOrder( commentCheckBox, commentTextEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MetadataWidgetBase::~MetadataWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MetadataWidgetBase::languageChange()
{
    setCaption( tr2i18n( "Metadata" ) );
    outputFilesGroupBox->setTitle( tr2i18n( "Metadata" ) );
    setButton->setText( tr2i18n( "&Set" ) );
    setButton->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    resetButton->setText( tr2i18n( "&Reset" ) );
    resetButton->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    trackLabel->setText( tr2i18n( "Track:" ) );
    titleCheckBox->setText( QString::null );
    genreCheckBox->setText( QString::null );
    yearSpinBox->setSpecialValueText( QString::null );
    commentCheckBox->setText( QString::null );
    artistLabel->setText( tr2i18n( "Artist:" ) );
    artistCheckBox->setText( QString::null );
    trackSpinBox->setSpecialValueText( QString::null );
    albumLabel->setText( tr2i18n( "Album:" ) );
    titleLabel->setText( tr2i18n( "Title:" ) );
    composerCheckBox->setText( QString::null );
    trackCheckBox->setText( QString::null );
    composerLabel->setText( tr2i18n( "Composer:" ) );
    commentLabel->setText( tr2i18n( "Comment:" ) );
    genreLabel->setText( tr2i18n( "Genre:" ) );
    genreComboBox->clear();
    genreComboBox->insertItem( tr2i18n( "Blues" ) );
    genreComboBox->insertItem( tr2i18n( "Classic Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Country" ) );
    genreComboBox->insertItem( tr2i18n( "Dance" ) );
    genreComboBox->insertItem( tr2i18n( "Disco" ) );
    genreComboBox->insertItem( tr2i18n( "Funk" ) );
    genreComboBox->insertItem( tr2i18n( "Grunge" ) );
    genreComboBox->insertItem( tr2i18n( "Hip-Hop" ) );
    genreComboBox->insertItem( tr2i18n( "Jazz" ) );
    genreComboBox->insertItem( tr2i18n( "Metal" ) );
    genreComboBox->insertItem( tr2i18n( "New Age" ) );
    genreComboBox->insertItem( tr2i18n( "Oldies" ) );
    genreComboBox->insertItem( tr2i18n( "Other" ) );
    genreComboBox->insertItem( tr2i18n( "Pop" ) );
    genreComboBox->insertItem( tr2i18n( "R&B" ) );
    genreComboBox->insertItem( tr2i18n( "Rap" ) );
    genreComboBox->insertItem( tr2i18n( "Reggae" ) );
    genreComboBox->insertItem( tr2i18n( "Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Techno" ) );
    genreComboBox->insertItem( tr2i18n( "Industrial" ) );
    genreComboBox->insertItem( tr2i18n( "Alternative" ) );
    genreComboBox->insertItem( tr2i18n( "Ska" ) );
    genreComboBox->insertItem( tr2i18n( "Death Metal" ) );
    genreComboBox->insertItem( tr2i18n( "Pranks" ) );
    genreComboBox->insertItem( tr2i18n( "Soundtrack" ) );
    genreComboBox->insertItem( tr2i18n( "Euro-Techno" ) );
    genreComboBox->insertItem( tr2i18n( "Ambient" ) );
    genreComboBox->insertItem( tr2i18n( "Trip-Hop" ) );
    genreComboBox->insertItem( tr2i18n( "Vocal" ) );
    genreComboBox->insertItem( tr2i18n( "Jazz+Funk" ) );
    genreComboBox->insertItem( tr2i18n( "Fusion" ) );
    genreComboBox->insertItem( tr2i18n( "Trance" ) );
    genreComboBox->insertItem( tr2i18n( "Classical" ) );
    genreComboBox->insertItem( tr2i18n( "Instrumental" ) );
    genreComboBox->insertItem( tr2i18n( "Acid" ) );
    genreComboBox->insertItem( tr2i18n( "House" ) );
    genreComboBox->insertItem( tr2i18n( "Game" ) );
    genreComboBox->insertItem( tr2i18n( "Sound Clip" ) );
    genreComboBox->insertItem( tr2i18n( "Gospel" ) );
    genreComboBox->insertItem( tr2i18n( "Noise" ) );
    genreComboBox->insertItem( tr2i18n( "Alt. Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Bass" ) );
    genreComboBox->insertItem( tr2i18n( "Soul" ) );
    genreComboBox->insertItem( tr2i18n( "Punk" ) );
    genreComboBox->insertItem( tr2i18n( "Space" ) );
    genreComboBox->insertItem( tr2i18n( "Meditative" ) );
    genreComboBox->insertItem( tr2i18n( "Instrumental Pop" ) );
    genreComboBox->insertItem( tr2i18n( "Instrumental Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Ethnic" ) );
    genreComboBox->insertItem( tr2i18n( "Gothic" ) );
    genreComboBox->insertItem( tr2i18n( "Darkwave" ) );
    genreComboBox->insertItem( tr2i18n( "Techno-Industrial" ) );
    genreComboBox->insertItem( tr2i18n( "Electronic" ) );
    genreComboBox->insertItem( tr2i18n( "Pop-Folk" ) );
    genreComboBox->insertItem( tr2i18n( "Eurodance" ) );
    genreComboBox->insertItem( tr2i18n( "Dream" ) );
    genreComboBox->insertItem( tr2i18n( "Southern Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Comedy" ) );
    genreComboBox->insertItem( tr2i18n( "Cult" ) );
    genreComboBox->insertItem( tr2i18n( "Gangsta Rap" ) );
    genreComboBox->insertItem( tr2i18n( "Top 40" ) );
    genreComboBox->insertItem( tr2i18n( "Christian Rap" ) );
    genreComboBox->insertItem( tr2i18n( "Pop/Funk" ) );
    genreComboBox->insertItem( tr2i18n( "Jungle" ) );
    genreComboBox->insertItem( tr2i18n( "Native American" ) );
    genreComboBox->insertItem( tr2i18n( "Cabaret" ) );
    genreComboBox->insertItem( tr2i18n( "New Wave" ) );
    genreComboBox->insertItem( tr2i18n( "Psychedelic" ) );
    genreComboBox->insertItem( tr2i18n( "Rave" ) );
    genreComboBox->insertItem( tr2i18n( "Showtunes" ) );
    genreComboBox->insertItem( tr2i18n( "Trailer" ) );
    genreComboBox->insertItem( tr2i18n( "Lo-Fi" ) );
    genreComboBox->insertItem( tr2i18n( "Tribal" ) );
    genreComboBox->insertItem( tr2i18n( "Acid Punk" ) );
    genreComboBox->insertItem( tr2i18n( "Acid Jazz" ) );
    genreComboBox->insertItem( tr2i18n( "Polka" ) );
    genreComboBox->insertItem( tr2i18n( "Retro" ) );
    genreComboBox->insertItem( tr2i18n( "Musical" ) );
    genreComboBox->insertItem( tr2i18n( "Rock & Roll" ) );
    genreComboBox->insertItem( tr2i18n( "Hard Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Folk" ) );
    genreComboBox->insertItem( tr2i18n( "Folk/Rock" ) );
    genreComboBox->insertItem( tr2i18n( "National Folk" ) );
    genreComboBox->insertItem( tr2i18n( "Swing" ) );
    genreComboBox->insertItem( tr2i18n( "Fast-Fusion" ) );
    genreComboBox->insertItem( tr2i18n( "Bebob" ) );
    genreComboBox->insertItem( tr2i18n( "Latin" ) );
    genreComboBox->insertItem( tr2i18n( "Revival" ) );
    genreComboBox->insertItem( tr2i18n( "Celtic" ) );
    genreComboBox->insertItem( tr2i18n( "Bluegrass" ) );
    genreComboBox->insertItem( tr2i18n( "Avantgarde" ) );
    genreComboBox->insertItem( tr2i18n( "Gothic Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Progressive Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Psychedelic Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Symphonic Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Slow Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Big Band" ) );
    genreComboBox->insertItem( tr2i18n( "Chorus" ) );
    genreComboBox->insertItem( tr2i18n( "Easy Listening" ) );
    genreComboBox->insertItem( tr2i18n( "Acoustic" ) );
    genreComboBox->insertItem( tr2i18n( "Humour" ) );
    genreComboBox->insertItem( tr2i18n( "Speech" ) );
    genreComboBox->insertItem( tr2i18n( "Chanson" ) );
    genreComboBox->insertItem( tr2i18n( "Opera" ) );
    genreComboBox->insertItem( tr2i18n( "Chamber Music" ) );
    genreComboBox->insertItem( tr2i18n( "Sonata" ) );
    genreComboBox->insertItem( tr2i18n( "Symphony" ) );
    genreComboBox->insertItem( tr2i18n( "Booty Bass" ) );
    genreComboBox->insertItem( tr2i18n( "Primus" ) );
    genreComboBox->insertItem( tr2i18n( "Porn Groove" ) );
    genreComboBox->insertItem( tr2i18n( "Satire" ) );
    genreComboBox->insertItem( tr2i18n( "Slow Jam" ) );
    genreComboBox->insertItem( tr2i18n( "Club" ) );
    genreComboBox->insertItem( tr2i18n( "Tango" ) );
    genreComboBox->insertItem( tr2i18n( "Samba" ) );
    genreComboBox->insertItem( tr2i18n( "Folklore" ) );
    genreComboBox->insertItem( tr2i18n( "Ballad" ) );
    genreComboBox->insertItem( tr2i18n( "Power Ballad" ) );
    genreComboBox->insertItem( tr2i18n( "Rhythmic Soul" ) );
    genreComboBox->insertItem( tr2i18n( "Freestyle" ) );
    genreComboBox->insertItem( tr2i18n( "Duet" ) );
    genreComboBox->insertItem( tr2i18n( "Punk Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Drum Solo" ) );
    genreComboBox->insertItem( tr2i18n( "A Cappella" ) );
    genreComboBox->insertItem( tr2i18n( "Euro-House" ) );
    genreComboBox->insertItem( tr2i18n( "Dance Hall" ) );
    genreComboBox->insertItem( tr2i18n( "Goa" ) );
    genreComboBox->insertItem( tr2i18n( "Drum & Bass" ) );
    genreComboBox->insertItem( tr2i18n( "Club-House" ) );
    genreComboBox->insertItem( tr2i18n( "Hardcore" ) );
    genreComboBox->insertItem( tr2i18n( "Terror" ) );
    genreComboBox->insertItem( tr2i18n( "Indie" ) );
    genreComboBox->insertItem( tr2i18n( "BritPop" ) );
    genreComboBox->insertItem( tr2i18n( "Negerpunk" ) );
    genreComboBox->insertItem( tr2i18n( "Polsk Punk" ) );
    genreComboBox->insertItem( tr2i18n( "Beat" ) );
    genreComboBox->insertItem( tr2i18n( "Christian Gangsta Rap" ) );
    genreComboBox->insertItem( tr2i18n( "Heavy Metal" ) );
    genreComboBox->insertItem( tr2i18n( "Black Metal" ) );
    genreComboBox->insertItem( tr2i18n( "Crossover" ) );
    genreComboBox->insertItem( tr2i18n( "Contemporary Christian" ) );
    genreComboBox->insertItem( tr2i18n( "Christian Rock" ) );
    genreComboBox->insertItem( tr2i18n( "Merengue" ) );
    genreComboBox->insertItem( tr2i18n( "Salsa" ) );
    genreComboBox->insertItem( tr2i18n( "Thrash Metal" ) );
    genreComboBox->insertItem( tr2i18n( "Anime" ) );
    genreComboBox->insertItem( tr2i18n( "JPop" ) );
    genreComboBox->insertItem( tr2i18n( "Synthpop" ) );
    yearCheckBox->setText( QString::null );
    yearLabel->setText( tr2i18n( "Year:" ) );
    discNumberCheckBox->setText( QString::null );
    discNumberLabel->setText( tr2i18n( "Disc:" ) );
    discNumberSpinBox->setSpecialValueText( QString::null );
    albumCheckBox->setText( QString::null );
}

#include "metadatawidgetbase.moc"
