#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './tagsettings.ui'
**
** Created: Sat Aug 2 19:58:16 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "tagsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <klineedit.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "settingswidget.h"
#include "klineedit.h"
#include "kcombobox.h"

/*
 *  Constructs a TagSettings which is a child of 'parent', with the
 *  name 'name'.' 
 */
TagSettings::TagSettings( QWidget* parent,  const char* name )
    : SettingsWidget( parent, name )
{
    if ( !name )
	setName( "TagSettings" );
    TagSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "TagSettingsLayout"); 
    spacer3 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TagSettingsLayout->addItem( spacer3, 1, 0 );

    tagsGroupBox = new QGroupBox( this, "tagsGroupBox" );
    tagsGroupBox->setColumnLayout(0, Qt::Vertical );
    tagsGroupBox->layout()->setSpacing( 6 );
    tagsGroupBox->layout()->setMargin( 11 );
    tagsGroupBoxLayout = new QGridLayout( tagsGroupBox->layout() );
    tagsGroupBoxLayout->setAlignment( Qt::AlignTop );

    artistLineEdit = new KLineEdit( tagsGroupBox, "artistLineEdit" );

    tagsGroupBoxLayout->addWidget( artistLineEdit, 1, 1 );

    yearLineEdit = new KLineEdit( tagsGroupBox, "yearLineEdit" );

    tagsGroupBoxLayout->addWidget( yearLineEdit, 2, 1 );

    albumLineEdit = new KLineEdit( tagsGroupBox, "albumLineEdit" );

    tagsGroupBoxLayout->addWidget( albumLineEdit, 3, 1 );

    artistLabel = new QLabel( tagsGroupBox, "artistLabel" );

    tagsGroupBoxLayout->addWidget( artistLabel, 1, 0 );

    yearLabel = new QLabel( tagsGroupBox, "yearLabel" );

    tagsGroupBoxLayout->addWidget( yearLabel, 2, 0 );

    AlbumLabel = new QLabel( tagsGroupBox, "AlbumLabel" );

    tagsGroupBoxLayout->addWidget( AlbumLabel, 3, 0 );

    textLabel2 = new QLabel( tagsGroupBox, "textLabel2" );

    tagsGroupBoxLayout->addWidget( textLabel2, 0, 1 );

    textLabel3 = new QLabel( tagsGroupBox, "textLabel3" );

    tagsGroupBoxLayout->addWidget( textLabel3, 0, 2 );

    artistComboBox = new KComboBox( FALSE, tagsGroupBox, "artistComboBox" );

    tagsGroupBoxLayout->addWidget( artistComboBox, 1, 2 );

    albumComboBox = new KComboBox( FALSE, tagsGroupBox, "albumComboBox" );

    tagsGroupBoxLayout->addWidget( albumComboBox, 3, 2 );

    titleComboBox = new KComboBox( FALSE, tagsGroupBox, "titleComboBox" );

    tagsGroupBoxLayout->addWidget( titleComboBox, 6, 2 );

    titleLabel = new QLabel( tagsGroupBox, "titleLabel" );

    tagsGroupBoxLayout->addWidget( titleLabel, 6, 0 );

    titleLineEdit = new KLineEdit( tagsGroupBox, "titleLineEdit" );

    tagsGroupBoxLayout->addWidget( titleLineEdit, 6, 1 );

    trackNumberLabel = new QLabel( tagsGroupBox, "trackNumberLabel" );

    tagsGroupBoxLayout->addWidget( trackNumberLabel, 5, 0 );

    trackNumberLineEdit = new KLineEdit( tagsGroupBox, "trackNumberLineEdit" );

    tagsGroupBoxLayout->addWidget( trackNumberLineEdit, 5, 1 );

    discNumberLabel = new QLabel( tagsGroupBox, "discNumberLabel" );

    tagsGroupBoxLayout->addWidget( discNumberLabel, 4, 0 );

    discNumberLineEdit = new KLineEdit( tagsGroupBox, "discNumberLineEdit" );

    tagsGroupBoxLayout->addWidget( discNumberLineEdit, 4, 1 );

    commentLabel = new QLabel( tagsGroupBox, "commentLabel" );

    tagsGroupBoxLayout->addWidget( commentLabel, 9, 0 );

    commentComboBox = new KComboBox( FALSE, tagsGroupBox, "commentComboBox" );

    tagsGroupBoxLayout->addWidget( commentComboBox, 9, 2 );

    commentLineEdit = new KLineEdit( tagsGroupBox, "commentLineEdit" );

    tagsGroupBoxLayout->addWidget( commentLineEdit, 9, 1 );

    genreLabel = new QLabel( tagsGroupBox, "genreLabel" );

    tagsGroupBoxLayout->addWidget( genreLabel, 7, 0 );

    composerComboBox = new KComboBox( FALSE, tagsGroupBox, "composerComboBox" );

    tagsGroupBoxLayout->addWidget( composerComboBox, 8, 2 );

    composerLineEdit = new KLineEdit( tagsGroupBox, "composerLineEdit" );

    tagsGroupBoxLayout->addWidget( composerLineEdit, 8, 1 );

    composerLabel = new QLabel( tagsGroupBox, "composerLabel" );

    tagsGroupBoxLayout->addWidget( composerLabel, 8, 0 );

    genreComboBox = new KComboBox( FALSE, tagsGroupBox, "genreComboBox" );

    tagsGroupBoxLayout->addWidget( genreComboBox, 7, 2 );

    genreLineEdit = new KLineEdit( tagsGroupBox, "genreLineEdit" );

    tagsGroupBoxLayout->addWidget( genreLineEdit, 7, 1 );

    textLabel5 = new QLabel( tagsGroupBox, "textLabel5" );

    tagsGroupBoxLayout->addMultiCellWidget( textLabel5, 11, 11, 0, 2 );
    spacer3_2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Fixed );
    tagsGroupBoxLayout->addItem( spacer3_2, 10, 1 );

    TagSettingsLayout->addWidget( tagsGroupBox, 0, 0 );
    languageChange();
    resize( QSize(467, 391).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( artistLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( yearLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( albumLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( trackNumberLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( titleLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( commentLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( genreLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( artistComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( albumComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( titleComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( commentComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( genreComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( discNumberLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( trackNumberLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );

    // tab order
    setTabOrder( artistLineEdit, artistComboBox );
    setTabOrder( artistComboBox, yearLineEdit );
    setTabOrder( yearLineEdit, albumLineEdit );
    setTabOrder( albumLineEdit, albumComboBox );
    setTabOrder( albumComboBox, discNumberLineEdit );
    setTabOrder( discNumberLineEdit, trackNumberLineEdit );
    setTabOrder( trackNumberLineEdit, titleLineEdit );
    setTabOrder( titleLineEdit, titleComboBox );
    setTabOrder( titleComboBox, genreLineEdit );
    setTabOrder( genreLineEdit, genreComboBox );
    setTabOrder( genreComboBox, composerLineEdit );
    setTabOrder( composerLineEdit, composerComboBox );
    setTabOrder( composerComboBox, commentLineEdit );
    setTabOrder( commentLineEdit, commentComboBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TagSettings::~TagSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TagSettings::languageChange()
{
    setCaption( tr2i18n( "Tag Settings" ) );
    tagsGroupBox->setTitle( tr2i18n( "Metadata" ) );
    artistLabel->setText( tr2i18n( "Artist" ) );
    yearLabel->setText( tr2i18n( "Year" ) );
    AlbumLabel->setText( tr2i18n( "Album" ) );
    textLabel2->setText( tr2i18n( "<p align=\"center\"><b>Default Value (*)</b></p>" ) );
    textLabel3->setText( tr2i18n( "<p align=\"center\"><b>Case</b></p>" ) );
    artistComboBox->clear();
    artistComboBox->insertItem( tr2i18n( "Don't Change" ) );
    artistComboBox->insertItem( tr2i18n( "Title" ) );
    artistComboBox->insertItem( tr2i18n( "Capitalize" ) );
    artistComboBox->insertItem( tr2i18n( "Lower" ) );
    artistComboBox->insertItem( tr2i18n( "Upper" ) );
    albumComboBox->clear();
    albumComboBox->insertItem( tr2i18n( "Don't Change" ) );
    albumComboBox->insertItem( tr2i18n( "Title" ) );
    albumComboBox->insertItem( tr2i18n( "Capitalize" ) );
    albumComboBox->insertItem( tr2i18n( "Lower" ) );
    albumComboBox->insertItem( tr2i18n( "Upper" ) );
    titleComboBox->clear();
    titleComboBox->insertItem( tr2i18n( "Don't Change" ) );
    titleComboBox->insertItem( tr2i18n( "Title" ) );
    titleComboBox->insertItem( tr2i18n( "Capitalize" ) );
    titleComboBox->insertItem( tr2i18n( "Lower" ) );
    titleComboBox->insertItem( tr2i18n( "Upper" ) );
    titleLabel->setText( tr2i18n( "Title" ) );
    trackNumberLabel->setText( tr2i18n( "Track Number" ) );
    discNumberLabel->setText( tr2i18n( "Disc Number" ) );
    commentLabel->setText( tr2i18n( "Comment" ) );
    commentComboBox->clear();
    commentComboBox->insertItem( tr2i18n( "Don't Change" ) );
    commentComboBox->insertItem( tr2i18n( "Title" ) );
    commentComboBox->insertItem( tr2i18n( "Capitalize" ) );
    commentComboBox->insertItem( tr2i18n( "Lower" ) );
    commentComboBox->insertItem( tr2i18n( "Upper" ) );
    genreLabel->setText( tr2i18n( "Genre" ) );
    composerComboBox->clear();
    composerComboBox->insertItem( tr2i18n( "Don't Change" ) );
    composerComboBox->insertItem( tr2i18n( "Title" ) );
    composerComboBox->insertItem( tr2i18n( "Capitalize" ) );
    composerComboBox->insertItem( tr2i18n( "Lower" ) );
    composerComboBox->insertItem( tr2i18n( "Upper" ) );
    composerLabel->setText( tr2i18n( "Composer" ) );
    genreComboBox->clear();
    genreComboBox->insertItem( tr2i18n( "Don't Change" ) );
    genreComboBox->insertItem( tr2i18n( "Title" ) );
    genreComboBox->insertItem( tr2i18n( "Capitalize" ) );
    genreComboBox->insertItem( tr2i18n( "Lower" ) );
    genreComboBox->insertItem( tr2i18n( "Upper" ) );
    textLabel5->setText( tr2i18n( "<b>(*) Used for path name generation when tag value is missing.</b>" ) );
}

#include "tagsettings.moc"
