#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './bonkencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:55:09 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "bonkencoderdialogbase.h"

#include <qvariant.h>
#include <kdecspinbox.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "kdecspinbox.h"
#include "knuminput.h"
#include "kcombobox.h"
#include "./bonkencoderdialogbase.ui.h"

/*
 *  Constructs a BonkEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
BonkEncoderDialogBase::BonkEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "BonkEncoderDialogBase" );
    BonkEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "BonkEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    BonkEncoderDialogBaseLayout->addLayout( layout7, 2, 0 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, buttonGroup2->sizePolicy().hasHeightForWidth() ) );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    quantizationLevelCheckBox = new QCheckBox( buttonGroup2, "quantizationLevelCheckBox" );

    buttonGroup2Layout->addWidget( quantizationLevelCheckBox, 0, 0 );

    quantizationLevelDecSpinBox = new KDecSpinBox( buttonGroup2, "quantizationLevelDecSpinBox" );
    quantizationLevelDecSpinBox->setEnabled( FALSE );
    quantizationLevelDecSpinBox->setMaxValue( 2147483647 );
    quantizationLevelDecSpinBox->setValue( 100 );
    quantizationLevelDecSpinBox->setPrecision( 2 );

    buttonGroup2Layout->addWidget( quantizationLevelDecSpinBox, 0, 1 );

    downsamplingRatioCheckBox = new QCheckBox( buttonGroup2, "downsamplingRatioCheckBox" );

    buttonGroup2Layout->addWidget( downsamplingRatioCheckBox, 1, 0 );

    downsamplingRatioSpinBox = new KIntSpinBox( buttonGroup2, "downsamplingRatioSpinBox" );
    downsamplingRatioSpinBox->setEnabled( FALSE );
    downsamplingRatioSpinBox->setMaxValue( 2048 );
    downsamplingRatioSpinBox->setValue( 2 );

    buttonGroup2Layout->addWidget( downsamplingRatioSpinBox, 1, 1 );

    predictorSizeCheckBox = new QCheckBox( buttonGroup2, "predictorSizeCheckBox" );

    buttonGroup2Layout->addWidget( predictorSizeCheckBox, 2, 0 );

    predictorSizeSpinBox = new KIntSpinBox( buttonGroup2, "predictorSizeSpinBox" );
    predictorSizeSpinBox->setEnabled( FALSE );
    predictorSizeSpinBox->setMaxValue( 512 );
    predictorSizeSpinBox->setMinValue( 1 );
    predictorSizeSpinBox->setValue( 128 );

    buttonGroup2Layout->addWidget( predictorSizeSpinBox, 2, 1 );

    stereoModeCheckBox = new QCheckBox( buttonGroup2, "stereoModeCheckBox" );

    buttonGroup2Layout->addWidget( stereoModeCheckBox, 3, 0 );

    stereoModeComboBox = new KComboBox( FALSE, buttonGroup2, "stereoModeComboBox" );
    stereoModeComboBox->setEnabled( FALSE );

    buttonGroup2Layout->addWidget( stereoModeComboBox, 3, 1 );

    losslessModeCheckBox = new QCheckBox( buttonGroup2, "losslessModeCheckBox" );

    buttonGroup2Layout->addWidget( losslessModeCheckBox, 4, 0 );

    BonkEncoderDialogBaseLayout->addWidget( buttonGroup2, 1, 0 );
    languageChange();
    resize( QSize(280, 211).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( downsamplingRatioCheckBox, SIGNAL( toggled(bool) ), downsamplingRatioSpinBox, SLOT( setEnabled(bool) ) );
    connect( predictorSizeCheckBox, SIGNAL( toggled(bool) ), predictorSizeSpinBox, SLOT( setEnabled(bool) ) );
    connect( stereoModeCheckBox, SIGNAL( toggled(bool) ), stereoModeComboBox, SLOT( setEnabled(bool) ) );
    connect( quantizationLevelCheckBox, SIGNAL( toggled(bool) ), quantizationLevelDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( losslessModeCheckBox, SIGNAL( toggled(bool) ), this, SLOT( toggleLosslessMode(bool) ) );

    // tab order
    setTabOrder( quantizationLevelCheckBox, quantizationLevelDecSpinBox );
    setTabOrder( quantizationLevelDecSpinBox, downsamplingRatioCheckBox );
    setTabOrder( downsamplingRatioCheckBox, downsamplingRatioSpinBox );
    setTabOrder( downsamplingRatioSpinBox, predictorSizeCheckBox );
    setTabOrder( predictorSizeCheckBox, predictorSizeSpinBox );
    setTabOrder( predictorSizeSpinBox, stereoModeCheckBox );
    setTabOrder( stereoModeCheckBox, stereoModeComboBox );
    setTabOrder( stereoModeComboBox, losslessModeCheckBox );
    setTabOrder( losslessModeCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BonkEncoderDialogBase::~BonkEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BonkEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "Bonk" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    buttonGroup2->setTitle( tr2i18n( "Settings" ) );
    quantizationLevelCheckBox->setText( tr2i18n( "Sample &quantization level" ) );
    quantizationLevelCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    downsamplingRatioCheckBox->setText( tr2i18n( "&Downsampling ratio" ) );
    downsamplingRatioCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    predictorSizeCheckBox->setText( tr2i18n( "&Predictor size" ) );
    predictorSizeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    stereoModeCheckBox->setText( tr2i18n( "&Stereo mode" ) );
    stereoModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    stereoModeComboBox->clear();
    stereoModeComboBox->insertItem( tr2i18n( "Mid/Side" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Left/Right" ) );
    stereoModeComboBox->setCurrentItem( 0 );
    losslessModeCheckBox->setText( tr2i18n( "&Lossless mode" ) );
    losslessModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
}

#include "bonkencoderdialogbase.moc"
