#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './faacencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:55:20 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "faacencoderdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qslider.h>
#include <qradiobutton.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "knuminput.h"
#include "kcombobox.h"

/*
 *  Constructs a FAACEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
FAACEncoderDialogBase::FAACEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "FAACEncoderDialogBase" );
    FAACEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "FAACEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    FAACEncoderDialogBaseLayout->addLayout( layout7, 3, 0 );

    bitrateSettingsGroup = new QButtonGroup( this, "bitrateSettingsGroup" );
    bitrateSettingsGroup->setColumnLayout(0, Qt::Vertical );
    bitrateSettingsGroup->layout()->setSpacing( 6 );
    bitrateSettingsGroup->layout()->setMargin( 11 );
    bitrateSettingsGroupLayout = new QGridLayout( bitrateSettingsGroup->layout() );
    bitrateSettingsGroupLayout->setAlignment( Qt::AlignTop );

    vbrLabel = new QLabel( bitrateSettingsGroup, "vbrLabel" );
    vbrLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, vbrLabel->sizePolicy().hasHeightForWidth() ) );
    vbrLabel->setMinimumSize( QSize( 20, 0 ) );

    bitrateSettingsGroupLayout->addWidget( vbrLabel, 1, 2 );

    vbrSlider = new QSlider( bitrateSettingsGroup, "vbrSlider" );
    vbrSlider->setMinValue( 10 );
    vbrSlider->setMaxValue( 500 );
    vbrSlider->setPageStep( 100 );
    vbrSlider->setValue( 100 );
    vbrSlider->setOrientation( QSlider::Horizontal );
    vbrSlider->setTickmarks( QSlider::Below );
    vbrSlider->setTickInterval( 10 );

    bitrateSettingsGroupLayout->addMultiCellWidget( vbrSlider, 1, 1, 0, 1 );

    vbrRadioButton = new QRadioButton( bitrateSettingsGroup, "vbrRadioButton" );
    vbrRadioButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, vbrRadioButton->sizePolicy().hasHeightForWidth() ) );
    vbrRadioButton->setChecked( TRUE );

    bitrateSettingsGroupLayout->addWidget( vbrRadioButton, 0, 0 );

    vbrLabel2 = new QLabel( bitrateSettingsGroup, "vbrLabel2" );
    vbrLabel2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, vbrLabel2->sizePolicy().hasHeightForWidth() ) );

    bitrateSettingsGroupLayout->addMultiCellWidget( vbrLabel2, 0, 0, 1, 2 );

    abrRadioButton = new QRadioButton( bitrateSettingsGroup, "abrRadioButton" );
    abrRadioButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, abrRadioButton->sizePolicy().hasHeightForWidth() ) );

    bitrateSettingsGroupLayout->addWidget( abrRadioButton, 2, 0 );

    abrSlider = new QSlider( bitrateSettingsGroup, "abrSlider" );
    abrSlider->setEnabled( FALSE );
    abrSlider->setMinValue( 30 );
    abrSlider->setMaxValue( 76 );
    abrSlider->setPageStep( 10 );
    abrSlider->setValue( 76 );
    abrSlider->setOrientation( QSlider::Horizontal );
    abrSlider->setTickmarks( QSlider::Below );
    abrSlider->setTickInterval( 10 );

    bitrateSettingsGroupLayout->addMultiCellWidget( abrSlider, 3, 3, 0, 1 );

    abrLabel2 = new QLabel( bitrateSettingsGroup, "abrLabel2" );
    abrLabel2->setEnabled( FALSE );
    abrLabel2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, abrLabel2->sizePolicy().hasHeightForWidth() ) );

    bitrateSettingsGroupLayout->addMultiCellWidget( abrLabel2, 2, 2, 1, 2 );

    abrLabel = new QLabel( bitrateSettingsGroup, "abrLabel" );
    abrLabel->setEnabled( FALSE );
    abrLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, abrLabel->sizePolicy().hasHeightForWidth() ) );
    abrLabel->setMinimumSize( QSize( 20, 0 ) );

    bitrateSettingsGroupLayout->addWidget( abrLabel, 3, 2 );

    FAACEncoderDialogBaseLayout->addWidget( bitrateSettingsGroup, 1, 0 );

    advancedSettingsGroup = new QButtonGroup( this, "advancedSettingsGroup" );
    advancedSettingsGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, advancedSettingsGroup->sizePolicy().hasHeightForWidth() ) );
    advancedSettingsGroup->setColumnLayout(0, Qt::Vertical );
    advancedSettingsGroup->layout()->setSpacing( 6 );
    advancedSettingsGroup->layout()->setMargin( 11 );
    advancedSettingsGroupLayout = new QGridLayout( advancedSettingsGroup->layout() );
    advancedSettingsGroupLayout->setAlignment( Qt::AlignTop );

    bandwidthSpinBox = new KIntSpinBox( advancedSettingsGroup, "bandwidthSpinBox" );
    bandwidthSpinBox->setEnabled( FALSE );
    bandwidthSpinBox->setMaxValue( 96000 );
    bandwidthSpinBox->setMinValue( 1000 );
    bandwidthSpinBox->setValue( 22050 );

    advancedSettingsGroupLayout->addWidget( bandwidthSpinBox, 0, 2 );

    bandwidthCheckBox = new QCheckBox( advancedSettingsGroup, "bandwidthCheckBox" );
    bandwidthCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, bandwidthCheckBox->sizePolicy().hasHeightForWidth() ) );

    advancedSettingsGroupLayout->addWidget( bandwidthCheckBox, 0, 0 );

    bandwidthLabel = new QLabel( advancedSettingsGroup, "bandwidthLabel" );
    bandwidthLabel->setEnabled( FALSE );

    advancedSettingsGroupLayout->addWidget( bandwidthLabel, 0, 1 );

    mpegVersionComboBox = new KComboBox( FALSE, advancedSettingsGroup, "mpegVersionComboBox" );
    mpegVersionComboBox->setEnabled( FALSE );

    advancedSettingsGroupLayout->addWidget( mpegVersionComboBox, 6, 2 );

    blockTypeCheckBox = new QCheckBox( advancedSettingsGroup, "blockTypeCheckBox" );

    advancedSettingsGroupLayout->addMultiCellWidget( blockTypeCheckBox, 7, 7, 0, 1 );

    objectTypeCheckBox = new QCheckBox( advancedSettingsGroup, "objectTypeCheckBox" );

    advancedSettingsGroupLayout->addMultiCellWidget( objectTypeCheckBox, 5, 5, 0, 1 );

    mpegVersionCheckBox = new QCheckBox( advancedSettingsGroup, "mpegVersionCheckBox" );

    advancedSettingsGroupLayout->addMultiCellWidget( mpegVersionCheckBox, 6, 6, 0, 1 );

    disableTNSCheckBox = new QCheckBox( advancedSettingsGroup, "disableTNSCheckBox" );

    advancedSettingsGroupLayout->addMultiCellWidget( disableTNSCheckBox, 3, 3, 0, 1 );

    blockTypeComboBox = new KComboBox( FALSE, advancedSettingsGroup, "blockTypeComboBox" );
    blockTypeComboBox->setEnabled( FALSE );

    advancedSettingsGroupLayout->addWidget( blockTypeComboBox, 7, 2 );

    disableMSCodingCheckBox = new QCheckBox( advancedSettingsGroup, "disableMSCodingCheckBox" );

    advancedSettingsGroupLayout->addMultiCellWidget( disableMSCodingCheckBox, 4, 4, 0, 1 );

    objectTypeComboBox = new KComboBox( FALSE, advancedSettingsGroup, "objectTypeComboBox" );
    objectTypeComboBox->setEnabled( FALSE );

    advancedSettingsGroupLayout->addWidget( objectTypeComboBox, 5, 2 );

    rawAACCheckBox = new QCheckBox( advancedSettingsGroup, "rawAACCheckBox" );

    advancedSettingsGroupLayout->addMultiCellWidget( rawAACCheckBox, 1, 1, 0, 1 );

    wrapAACDataCheckBox = new QCheckBox( advancedSettingsGroup, "wrapAACDataCheckBox" );

    advancedSettingsGroupLayout->addMultiCellWidget( wrapAACDataCheckBox, 2, 2, 0, 1 );

    FAACEncoderDialogBaseLayout->addWidget( advancedSettingsGroup, 2, 0 );
    languageChange();
    resize( QSize(390, 437).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( bandwidthCheckBox, SIGNAL( toggled(bool) ), bandwidthSpinBox, SLOT( setEnabled(bool) ) );
    connect( vbrSlider, SIGNAL( valueChanged(int) ), vbrLabel, SLOT( setNum(int) ) );
    connect( abrSlider, SIGNAL( valueChanged(int) ), abrLabel, SLOT( setNum(int) ) );
    connect( abrRadioButton, SIGNAL( toggled(bool) ), abrSlider, SLOT( setEnabled(bool) ) );
    connect( abrRadioButton, SIGNAL( toggled(bool) ), vbrSlider, SLOT( setDisabled(bool) ) );
    connect( vbrRadioButton, SIGNAL( toggled(bool) ), abrSlider, SLOT( setDisabled(bool) ) );
    connect( vbrRadioButton, SIGNAL( toggled(bool) ), vbrSlider, SLOT( setEnabled(bool) ) );
    connect( bandwidthCheckBox, SIGNAL( toggled(bool) ), bandwidthLabel, SLOT( setEnabled(bool) ) );
    connect( abrRadioButton, SIGNAL( toggled(bool) ), abrLabel, SLOT( setEnabled(bool) ) );
    connect( vbrRadioButton, SIGNAL( toggled(bool) ), vbrLabel, SLOT( setEnabled(bool) ) );
    connect( abrRadioButton, SIGNAL( toggled(bool) ), abrLabel2, SLOT( setEnabled(bool) ) );
    connect( vbrRadioButton, SIGNAL( toggled(bool) ), vbrLabel2, SLOT( setEnabled(bool) ) );
    connect( objectTypeCheckBox, SIGNAL( toggled(bool) ), objectTypeComboBox, SLOT( setEnabled(bool) ) );
    connect( mpegVersionCheckBox, SIGNAL( toggled(bool) ), mpegVersionComboBox, SLOT( setEnabled(bool) ) );
    connect( blockTypeCheckBox, SIGNAL( toggled(bool) ), blockTypeComboBox, SLOT( setEnabled(bool) ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( vbrRadioButton, vbrSlider );
    setTabOrder( vbrSlider, abrSlider );
    setTabOrder( abrSlider, bandwidthCheckBox );
    setTabOrder( bandwidthCheckBox, bandwidthSpinBox );
    setTabOrder( bandwidthSpinBox, rawAACCheckBox );
    setTabOrder( rawAACCheckBox, wrapAACDataCheckBox );
    setTabOrder( wrapAACDataCheckBox, disableTNSCheckBox );
    setTabOrder( disableTNSCheckBox, disableMSCodingCheckBox );
    setTabOrder( disableMSCodingCheckBox, objectTypeCheckBox );
    setTabOrder( objectTypeCheckBox, objectTypeComboBox );
    setTabOrder( objectTypeComboBox, mpegVersionCheckBox );
    setTabOrder( mpegVersionCheckBox, mpegVersionComboBox );
    setTabOrder( mpegVersionComboBox, blockTypeCheckBox );
    setTabOrder( blockTypeCheckBox, blockTypeComboBox );
    setTabOrder( blockTypeComboBox, okButton );
    setTabOrder( okButton, cancelButton );
    setTabOrder( cancelButton, abrRadioButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FAACEncoderDialogBase::~FAACEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FAACEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "FAAC" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    bitrateSettingsGroup->setTitle( tr2i18n( "Bitrate Settings" ) );
    vbrLabel->setText( tr2i18n( "100" ) );
    QWhatsThis::add( vbrSlider, tr2i18n( "<b>Quality (<i>-q quality</i>)</b><br/>\n"
"Set default variable bitrate (VBR) quantizer quality in percent (default: 100, averages at approx. 120 kbps VBR for a normal stereo input file with 16 bit and 44.1 kHz sample rate; max. value 500, min. 10)." ) );
    vbrRadioButton->setText( tr2i18n( "&Variable bitrate encoding" ) );
    vbrRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( vbrRadioButton, tr2i18n( "<b>Quality (<i>-q quality</i>)</b><br/>\n"
"Set default variable bitrate (VBR) quantizer quality in percent (default: 100, averages at approx. 120 kbps VBR for a normal stereo input file with 16 bit and 44.1 kHz sample rate; max. value 500, min. 10)." ) );
    vbrLabel2->setText( tr2i18n( "<p align=\"right\">quality</p>" ) );
    abrRadioButton->setText( tr2i18n( "&Average bitrate encoding" ) );
    abrRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QWhatsThis::add( abrRadioButton, tr2i18n( "<b>Bitrate (<i>-b bitrate</i>)</b><br/>\n"
"Set average bitrate (ABR) to approximately bitrate kbps." ) );
    QWhatsThis::add( abrSlider, tr2i18n( "<b>Bitrate (<i>-b bitrate</i>)</b><br/>\n"
"Set average bitrate (ABR) to approximately bitrate kbps." ) );
    abrLabel2->setText( tr2i18n( "<p align=\"right\">bitrate</p>" ) );
    abrLabel->setText( tr2i18n( "76" ) );
    advancedSettingsGroup->setTitle( tr2i18n( "Advanced Settings" ) );
    bandwidthCheckBox->setText( tr2i18n( "Band&with" ) );
    bandwidthCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QWhatsThis::add( bandwidthCheckBox, tr2i18n( "<b>Bandwidth (</b><i><b>-c freq</b></i><b>)</b><br/>\n"
"Set the bandwidth in Hz (default: automatic, i.e. adapts maximum value to input sample rate).\n"
"" ) );
    bandwidthLabel->setText( tr2i18n( "<p align=\"right\">Hz</p>" ) );
    mpegVersionComboBox->clear();
    mpegVersionComboBox->insertItem( tr2i18n( "MPEG2" ) );
    mpegVersionComboBox->insertItem( tr2i18n( "MPEG4" ) );
    blockTypeCheckBox->setText( tr2i18n( "&Enforce block type" ) );
    blockTypeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    objectTypeCheckBox->setText( tr2i18n( "AAC o&bject type" ) );
    objectTypeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    mpegVersionCheckBox->setText( tr2i18n( "&MPEG version" ) );
    mpegVersionCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    disableTNSCheckBox->setText( tr2i18n( "No &temporal noise shaping (TNS)" ) );
    disableTNSCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    blockTypeComboBox->clear();
    blockTypeComboBox->insertItem( tr2i18n( "Short Only" ) );
    blockTypeComboBox->insertItem( tr2i18n( "Long Only" ) );
    disableMSCodingCheckBox->setText( tr2i18n( "Don't use &mid/side coding" ) );
    disableMSCodingCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    objectTypeComboBox->clear();
    objectTypeComboBox->insertItem( tr2i18n( "LC (Low Complexity)" ) );
    objectTypeComboBox->insertItem( tr2i18n( "Main" ) );
    objectTypeComboBox->insertItem( tr2i18n( "LTP (Long Term Prediction)" ) );
    objectTypeComboBox->setCurrentItem( 0 );
    rawAACCheckBox->setText( tr2i18n( "&Raw AAC output mode" ) );
    rawAACCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( rawAACCheckBox, tr2i18n( "<b>Raw AAC output mode (</b><i><b>-r</b></i><b>)</b><br/>\n"
"Don't add  ADTS headers. Needed when directly using the AAC bitstream in a MP4 container like e.g. mp4live does (-w, wrap AAC data, uses this mode automatically).\n"
"" ) );
    wrapAACDataCheckBox->setText( tr2i18n( "&Wrap AAC data in MP4 container" ) );
    wrapAACDataCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QWhatsThis::add( wrapAACDataCheckBox, tr2i18n( "<b>Wrap AAC data in MP4 container</b><b> (</b><i><b>-w</b></i><b>)</b><br/>\n"
"Default for &quot;mp4&quot; and &quot;m4a&quot; extensions.\n"
"" ) );
}

void FAACEncoderDialogBase::toggle_bitrate_spinboxes()
{
    qWarning( "FAACEncoderDialogBase::toggle_bitrate_spinboxes(): Not implemented yet" );
}

void FAACEncoderDialogBase::toggle_bitrate_checkboxes()
{
    qWarning( "FAACEncoderDialogBase::toggle_bitrate_checkboxes(): Not implemented yet" );
}

#include "faacencoderdialogbase.moc"
