/****************************************************************************
** Form interface generated from reading ui file './lameencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:55:56 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef LAMEENCODERDIALOGBASE_H
#define LAMEENCODERDIALOGBASE_H

#include <qvariant.h>
#include <qpixmap.h>
#include "encoderdialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QTabWidget;
class QWidget;
class QGroupBox;
class QCheckBox;
class KComboBox;
class QButtonGroup;
class KIntSpinBox;
class QLabel;
class QRadioButton;
class KDecSpinBox;

class LAMEEncoderDialogBase : public EncoderDialog
{
    Q_OBJECT

public:
    LAMEEncoderDialogBase( QWidget* parent = 0, const char* name = 0 );
    ~LAMEEncoderDialogBase();

    QPushButton* okButton;
    QPushButton* cancelButton;
    QTabWidget* tabWidget2;
    QWidget* tab;
    QGroupBox* metadataGroup;
    QCheckBox* noINFOTagCheckBox;
    KComboBox* replayGainComboBox;
    QCheckBox* copyFlagCheckBox;
    QCheckBox* copyrightFlagCheckBox;
    QCheckBox* replayGainCheckBox;
    QButtonGroup* bitrateGroup;
    KIntSpinBox* freeFormatSpinBox;
    KComboBox* maxBitrateComboBox;
    KComboBox* minBitrateComboBox;
    KIntSpinBox* avgBitrateSpinBox;
    QLabel* freeFormatLabel;
    KComboBox* bitrateModeComboBox;
    QRadioButton* bitrateRadioButton;
    QRadioButton* freeFormatRadioButton;
    QCheckBox* maxBitrateCheckBox;
    QCheckBox* enforceMinBitrateCheckBox;
    QCheckBox* minBitrateCheckBox;
    QLabel* minBitrateLabel;
    QLabel* avgBitrateLabel2;
    QLabel* maxBitrateLabel;
    QLabel* avgBitrateLabel1;
    QWidget* tab_2;
    QGroupBox* miscGroup;
    QCheckBox* isoComplyCheckBox;
    QCheckBox* noBitReservoirCheckBox;
    QCheckBox* differentBlockTypesCheckBox;
    QCheckBox* crcCheckBox;
    QButtonGroup* qualityGroup;
    KComboBox* stereoModeComboBox;
    QCheckBox* vbrQualityCheckBox;
    KComboBox* optimizationComboBox;
    KComboBox* algorithmsQualityComboBox;
    KComboBox* vbrQualityComboBox;
    QCheckBox* algorithmsQualityCheckBox;
    QCheckBox* stereoModeCheckBox;
    QCheckBox* optimizationCheckBox;
    QWidget* TabPage;
    QGroupBox* psyGroup;
    KComboBox* psyControlComboBox;
    KIntSpinBox* psyTonalitySpinBox;
    QLabel* psyTonalityLabel;
    QCheckBox* psyControlCheckBox;
    QCheckBox* psyTonalityCheckBox;
    QCheckBox* psyNoTempMaskingCheckBox;
    QCheckBox* psyExperimentalTunningsCheckBox;
    QGroupBox* athGroupBox;
    KComboBox* athShapeComboBox;
    KComboBox* athAATypeComboBox;
    KComboBox* athControlComboBox;
    KIntSpinBox* athLowerSpinBox;
    QLabel* athLowerLabel;
    QCheckBox* athControlCheckBox;
    QCheckBox* athShapeCheckBox;
    QCheckBox* athLowerCheckBox;
    QCheckBox* athAutoAdjustCheckBox;
    KIntSpinBox* athAASensitivitySpinBox;
    QLabel* athAASensitivityLabel;
    QLabel* athAATypeLabel;
    QCheckBox* athAASensitivityCheckBox;
    QWidget* TabPage_2;
    QGroupBox* filtersGroup;
    QCheckBox* noFiltersCheckBox;
    QCheckBox* highpassWidthCheckBox;
    QLabel* highpassWidthLabel;
    QCheckBox* lowpassWidthCheckBox;
    QLabel* lowpassWidthLabel;
    QCheckBox* highpassFrecCheckBox;
    KDecSpinBox* lowpassWidthDecSpinBox;
    KDecSpinBox* highpassFrecDecSpinBox;
    QCheckBox* lowpassFrecCheckBox;
    KDecSpinBox* highpassWidthDecSpinBox;
    KDecSpinBox* lowpassFrecDecSpinBox;
    QLabel* lowpassFrecLabel;
    QLabel* highpassFrecLabel;
    QGroupBox* generalGroup;
    QCheckBox* resampleCheckBox;
    KComboBox* resampleComboBox;
    QLabel* resampleLabel;
    KDecSpinBox* scaleRightDecSpinBox;
    KDecSpinBox* scaleLeftDecSpinBox;
    KDecSpinBox* scaleBothDecSpinBox;
    QLabel* scaleLeftLabel;
    QLabel* scaleBothLabel;
    QLabel* scaleRightLabel;
    QCheckBox* scaleBothCheckBox;
    QCheckBox* scaleLeftCheckBox;
    QCheckBox* scaleRightCheckBox;

public slots:
    void setDisabledHighpassFrec( bool disabled );
    void setDisabledLowpassFrec( bool disabled );
    void setEnabledHighpassWidth( bool enabled );
    void setEnabledLowpassWidth( bool enabled );
    void changeItemATHControl();
    void changeItemBitrateMode();
    void toggleFreeFormat( bool enabled );
    void toggleDownmix( bool enabled );
    void toggleATHAutoAdjust( bool enabled );

protected:
    QGridLayout* LAMEEncoderDialogBaseLayout;
    QHBoxLayout* layout7;
    QSpacerItem* spacer16;
    QGridLayout* tabLayout;
    QGridLayout* metadataGroupLayout;
    QGridLayout* bitrateGroupLayout;
    QSpacerItem* spacer6_2;
    QSpacerItem* spacer6_2_2;
    QSpacerItem* spacer6_2_4;
    QSpacerItem* spacer6_2_5;
    QSpacerItem* spacer6_2_3;
    QGridLayout* tabLayout_2;
    QGridLayout* miscGroupLayout;
    QGridLayout* qualityGroupLayout;
    QGridLayout* TabPageLayout;
    QGridLayout* psyGroupLayout;
    QGridLayout* athGroupBoxLayout;
    QHBoxLayout* layout2;
    QSpacerItem* spacer4;
    QHBoxLayout* layout3;
    QSpacerItem* spacer4_2;
    QGridLayout* TabPageLayout_2;
    QGridLayout* filtersGroupLayout;
    QGridLayout* generalGroupLayout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;

};

#endif // LAMEENCODERDIALOGBASE_H
