#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './lpacencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:56:08 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "lpacencoderdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "kcombobox.h"
#include "knuminput.h"
#include "./lpacencoderdialogbase.ui.h"

/*
 *  Constructs a LPACEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
LPACEncoderDialogBase::LPACEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "LPACEncoderDialogBase" );
    LPACEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "LPACEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    LPACEncoderDialogBaseLayout->addLayout( layout7, 1, 0 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    blockLengthCheckBox = new QCheckBox( groupBox1, "blockLengthCheckBox" );
    blockLengthCheckBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( blockLengthCheckBox, 2, 1 );

    windowTypeCheckBox = new QCheckBox( groupBox1, "windowTypeCheckBox" );
    windowTypeCheckBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( windowTypeCheckBox, 3, 1 );

    blockLengthComboBox = new KComboBox( FALSE, groupBox1, "blockLengthComboBox" );
    blockLengthComboBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( blockLengthComboBox, 2, 2 );
    spacer2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2, 2, 0 );
    spacer2_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2_2, 3, 0 );

    windowTypeComboBox = new KComboBox( FALSE, groupBox1, "windowTypeComboBox" );
    windowTypeComboBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( windowTypeComboBox, 3, 2 );

    compressionLevelComboBox = new KComboBox( FALSE, groupBox1, "compressionLevelComboBox" );
    compressionLevelComboBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( compressionLevelComboBox, 0, 2 );

    randomAccesCheckBox = new QCheckBox( groupBox1, "randomAccesCheckBox" );

    groupBox1Layout->addMultiCellWidget( randomAccesCheckBox, 8, 8, 0, 1 );

    verifyOutputFileCheckBox = new QCheckBox( groupBox1, "verifyOutputFileCheckBox" );

    groupBox1Layout->addMultiCellWidget( verifyOutputFileCheckBox, 10, 10, 0, 1 );

    fileFormatComboBox = new KComboBox( FALSE, groupBox1, "fileFormatComboBox" );
    fileFormatComboBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( fileFormatComboBox, 7, 2 );

    independantChannelsCheckBox = new QCheckBox( groupBox1, "independantChannelsCheckBox" );

    groupBox1Layout->addMultiCellWidget( independantChannelsCheckBox, 9, 9, 0, 1 );

    fileFormatCheckBox = new QCheckBox( groupBox1, "fileFormatCheckBox" );

    groupBox1Layout->addMultiCellWidget( fileFormatCheckBox, 7, 7, 0, 1 );

    adaptativeEntropyCheckBox = new QCheckBox( groupBox1, "adaptativeEntropyCheckBox" );
    adaptativeEntropyCheckBox->setEnabled( FALSE );

    groupBox1Layout->addMultiCellWidget( adaptativeEntropyCheckBox, 6, 6, 1, 2 );
    spacer2_4 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2_4, 6, 0 );
    spacer2_3 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2_3, 5, 0 );

    fullSearchCheckBox = new QCheckBox( groupBox1, "fullSearchCheckBox" );
    fullSearchCheckBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( fullSearchCheckBox, 5, 1 );
    spacer2_3_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2_3_2, 4, 0 );

    predictorOrderCheckBox = new QCheckBox( groupBox1, "predictorOrderCheckBox" );
    predictorOrderCheckBox->setEnabled( FALSE );

    groupBox1Layout->addWidget( predictorOrderCheckBox, 4, 1 );

    predictorOrderSpinBox = new KIntSpinBox( groupBox1, "predictorOrderSpinBox" );
    predictorOrderSpinBox->setEnabled( FALSE );
    predictorOrderSpinBox->setMaxValue( 60 );
    predictorOrderSpinBox->setMinValue( 1 );
    predictorOrderSpinBox->setValue( 30 );

    groupBox1Layout->addWidget( predictorOrderSpinBox, 4, 2 );

    compressionLevelRadioButton = new QRadioButton( groupBox1, "compressionLevelRadioButton" );

    groupBox1Layout->addMultiCellWidget( compressionLevelRadioButton, 0, 0, 0, 1 );

    customEncodingRadioButton = new QRadioButton( groupBox1, "customEncodingRadioButton" );

    groupBox1Layout->addMultiCellWidget( customEncodingRadioButton, 1, 1, 0, 1 );

    LPACEncoderDialogBaseLayout->addWidget( groupBox1, 0, 0 );
    languageChange();
    resize( QSize(367, 365).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( fileFormatCheckBox, SIGNAL( toggled(bool) ), this, SLOT( toggleUseSpecificVersion(bool) ) );
    connect( blockLengthCheckBox, SIGNAL( toggled(bool) ), blockLengthComboBox, SLOT( setEnabled(bool) ) );
    connect( windowTypeCheckBox, SIGNAL( toggled(bool) ), windowTypeComboBox, SLOT( setEnabled(bool) ) );
    connect( predictorOrderCheckBox, SIGNAL( toggled(bool) ), predictorOrderSpinBox, SLOT( setEnabled(bool) ) );
    connect( compressionLevelRadioButton, SIGNAL( toggled(bool) ), this, SLOT( toggledCompressionLevel(bool) ) );
    connect( customEncodingRadioButton, SIGNAL( toggled(bool) ), this, SLOT( toggledCustomEncoding(bool) ) );
    connect( compressionLevelComboBox, SIGNAL( activated(int) ), this, SLOT( changedCompressionLevel(int) ) );

    // tab order
    setTabOrder( compressionLevelRadioButton, compressionLevelComboBox );
    setTabOrder( compressionLevelComboBox, customEncodingRadioButton );
    setTabOrder( customEncodingRadioButton, blockLengthCheckBox );
    setTabOrder( blockLengthCheckBox, blockLengthComboBox );
    setTabOrder( blockLengthComboBox, windowTypeCheckBox );
    setTabOrder( windowTypeCheckBox, windowTypeComboBox );
    setTabOrder( windowTypeComboBox, predictorOrderCheckBox );
    setTabOrder( predictorOrderCheckBox, predictorOrderSpinBox );
    setTabOrder( predictorOrderSpinBox, fullSearchCheckBox );
    setTabOrder( fullSearchCheckBox, adaptativeEntropyCheckBox );
    setTabOrder( adaptativeEntropyCheckBox, fileFormatCheckBox );
    setTabOrder( fileFormatCheckBox, fileFormatComboBox );
    setTabOrder( fileFormatComboBox, randomAccesCheckBox );
    setTabOrder( randomAccesCheckBox, independantChannelsCheckBox );
    setTabOrder( independantChannelsCheckBox, verifyOutputFileCheckBox );
    setTabOrder( verifyOutputFileCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LPACEncoderDialogBase::~LPACEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LPACEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "LPAC" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    groupBox1->setTitle( tr2i18n( "Settings" ) );
    blockLengthCheckBox->setText( tr2i18n( "&Block length" ) );
    blockLengthCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( blockLengthCheckBox, tr2i18n( "<qt>Number of samples which are grouped in a block for processing. Choosing Auto adapts this parameter to the sampling frequency (1024 for sampling frequencies up to 44.1 kHz, otherwise 2048).</qt>" ) );
    windowTypeCheckBox->setText( tr2i18n( "&Window type" ) );
    windowTypeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    blockLengthComboBox->clear();
    blockLengthComboBox->insertItem( tr2i18n( "Auto" ) );
    blockLengthComboBox->insertItem( tr2i18n( "256" ) );
    blockLengthComboBox->insertItem( tr2i18n( "512" ) );
    blockLengthComboBox->insertItem( tr2i18n( "1024" ) );
    blockLengthComboBox->insertItem( tr2i18n( "2048" ) );
    blockLengthComboBox->insertItem( tr2i18n( "4096" ) );
    blockLengthComboBox->insertItem( tr2i18n( "8192" ) );
    windowTypeComboBox->clear();
    windowTypeComboBox->insertItem( tr2i18n( "Hanning" ) );
    windowTypeComboBox->insertItem( tr2i18n( "Hamming" ) );
    windowTypeComboBox->insertItem( tr2i18n( "Rect" ) );
    windowTypeComboBox->insertItem( tr2i18n( "Blackman" ) );
    compressionLevelComboBox->clear();
    compressionLevelComboBox->insertItem( tr2i18n( "Fast" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Simple" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Medium" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "High" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Extra High" ) );
    compressionLevelComboBox->setCurrentItem( 2 );
    QWhatsThis::add( compressionLevelComboBox, tr2i18n( "<qt><b>Compression Level</b><br/><br/>Specify the compression level, from lowest compression and fasted speed (Fast,<i>--fast</i>) to highest compression and lowest speed (Best,<i>--best</i>).<br/>Choosing Maximun (<i>--maximumcompression</i>) will try to obtain the maximum possible compression though at the expense of <i>very slow</i> encoding (mainly used for benchmark).</qt>" ) );
    randomAccesCheckBox->setText( tr2i18n( "&Random access" ) );
    randomAccesCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( randomAccesCheckBox, tr2i18n( "<qt>Add seeking information to the file. This feature slightly increases the file size and is not available in Fast compression mode.</qt>" ) );
    verifyOutputFileCheckBox->setText( tr2i18n( "&Verify compressed file" ) );
    verifyOutputFileCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( verifyOutputFileCheckBox, tr2i18n( "<qt>Decode the compressed file after encoding to ensure that accurate decoding is possible. The total encoding time will increase by approx. 30%.</qt>" ) );
    fileFormatComboBox->clear();
    fileFormatComboBox->insertItem( tr2i18n( "2" ) );
    fileFormatComboBox->insertItem( tr2i18n( "4" ) );
    fileFormatComboBox->insertItem( tr2i18n( "5" ) );
    fileFormatComboBox->insertItem( tr2i18n( "6" ) );
    fileFormatComboBox->setCurrentItem( 3 );
    independantChannelsCheckBox->setText( tr2i18n( "Independent &stereo coding" ) );
    independantChannelsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( independantChannelsCheckBox, tr2i18n( "<qt>Do not attempt to use similarities between left and right channels. Improves compression speed but generally reduces the compression ratio.</qt>" ) );
    fileFormatCheckBox->setText( tr2i18n( "Use specific file &format version" ) );
    fileFormatCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    QWhatsThis::add( fileFormatCheckBox, tr2i18n( "<qt>Use the specified file format version for encoded files. Usefull if you want to use older versions of LPAC for decompression.</qt>" ) );
    adaptativeEntropyCheckBox->setText( tr2i18n( "&Adaptive entropy coding" ) );
    adaptativeEntropyCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QWhatsThis::add( adaptativeEntropyCheckBox, tr2i18n( "<qt>Enhanced adaptation of the entropy coding stage. Improves compression, but slightly slows down speed.<qt/>" ) );
    fullSearchCheckBox->setText( tr2i18n( "&Full search for optimum prediction order" ) );
    fullSearchCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    QWhatsThis::add( fullSearchCheckBox, tr2i18n( "<qt>Searches all possible prediction orders for an optimum. Improves compression, but slows down speed as the value of Prediction Order is increased.</qt>" ) );
    predictorOrderCheckBox->setText( tr2i18n( "Maximum &order of prediction filter" ) );
    predictorOrderCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QWhatsThis::add( predictorOrderCheckBox, tr2i18n( "<qt>Maximum order of the prediction filter. Higher values improve compression, but also slow down speed, especially if full search for optimum predictor order is set.</qt>" ) );
    compressionLevelRadioButton->setText( tr2i18n( "Compression &level" ) );
    compressionLevelRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( compressionLevelRadioButton, tr2i18n( "<qt><b>Fast compression</b><br>Uses fast polynomial prediction. Requires only integer operations, but achieves poorer compression results than the other modes.<br><br><b>Simple compression</b><br>Uses adaptive linear prediction with a small prediction order. Not quite as fast as  Fast Compression, but significantly more efficient.<br><br><b>Medium compression</b><br>Uses adaptive linear prediction with a medium prediction order. Often a good compromise in terms of compression speed and efficiency.<br><br><b>High compression</b><br>Uses adaptive linear prediction with a higher prediction order. Also performes a Fulls Search for Order.<br><br><b>Extra High compression</b><br>Uses adaptive linear prediction with the highest prediction order. Performes a Fulls Search for Order and uses Adaptive Entropy Coding. Slow but most efficient.</qt>" ) );
    customEncodingRadioButton->setText( tr2i18n( "&Custom encoding" ) );
    customEncodingRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QWhatsThis::add( customEncodingRadioButton, tr2i18n( "<qt>This mode allows to manually set advanced encoding parameters.</qt>" ) );
}

#include "lpacencoderdialogbase.moc"
