#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './mppencencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:56:30 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "mppencencoderdialogbase.h"

#include <qvariant.h>
#include <kdecspinbox.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "kdecspinbox.h"
#include "kcombobox.h"
#include "knuminput.h"
#include "./mppencencoderdialogbase.ui.h"

/*
 *  Constructs a MPPEncEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
MPPEncEncoderDialogBase::MPPEncEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "MPPEncEncoderDialogBase" );
    MPPEncEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "MPPEncEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    MPPEncEncoderDialogBaseLayout->addLayout( layout7, 1, 0 );

    settings_tabs = new QTabWidget( this, "settings_tabs" );

    tab = new QWidget( settings_tabs, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    groupBox4 = new QGroupBox( tab, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QGridLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );

    pnsLabel = new QLabel( groupBox4, "pnsLabel" );
    pnsLabel->setEnabled( FALSE );

    groupBox4Layout->addWidget( pnsLabel, 3, 1 );

    tmnDecSpinBox = new KDecSpinBox( groupBox4, "tmnDecSpinBox" );
    tmnDecSpinBox->setEnabled( FALSE );
    tmnDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    tmnDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    tmnDecSpinBox->setMaxValue( 2147483647 );
    tmnDecSpinBox->setMinValue( -2147483647 );
    tmnDecSpinBox->setValue( 180 );
    tmnDecSpinBox->setPrecision( 1 );

    groupBox4Layout->addWidget( tmnDecSpinBox, 2, 2 );

    minSMRDecSpinBox = new KDecSpinBox( groupBox4, "minSMRDecSpinBox" );
    minSMRDecSpinBox->setEnabled( FALSE );
    minSMRDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    minSMRDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    minSMRDecSpinBox->setMaxValue( 2147483647 );
    minSMRDecSpinBox->setValue( 10 );
    minSMRDecSpinBox->setPrecision( 1 );

    groupBox4Layout->addWidget( minSMRDecSpinBox, 0, 2 );

    pnsDecSpinBox = new KDecSpinBox( groupBox4, "pnsDecSpinBox" );
    pnsDecSpinBox->setEnabled( FALSE );
    pnsDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    pnsDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    pnsDecSpinBox->setMaxValue( 2147483647 );
    pnsDecSpinBox->setMinValue( 0 );
    pnsDecSpinBox->setValue( 0 );
    pnsDecSpinBox->setPrecision( 1 );

    groupBox4Layout->addWidget( pnsDecSpinBox, 3, 2 );

    tmnLabel = new QLabel( groupBox4, "tmnLabel" );
    tmnLabel->setEnabled( FALSE );

    groupBox4Layout->addWidget( tmnLabel, 2, 1 );

    nmtLabel = new QLabel( groupBox4, "nmtLabel" );
    nmtLabel->setEnabled( FALSE );

    groupBox4Layout->addWidget( nmtLabel, 1, 1 );

    pnsCheckBox = new QCheckBox( groupBox4, "pnsCheckBox" );
    pnsCheckBox->setEnabled( TRUE );

    groupBox4Layout->addWidget( pnsCheckBox, 3, 0 );

    minSMRCheckBox = new QCheckBox( groupBox4, "minSMRCheckBox" );
    minSMRCheckBox->setEnabled( TRUE );

    groupBox4Layout->addWidget( minSMRCheckBox, 0, 0 );

    nmtDecSpinBox = new KDecSpinBox( groupBox4, "nmtDecSpinBox" );
    nmtDecSpinBox->setEnabled( FALSE );
    nmtDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    nmtDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    nmtDecSpinBox->setMaxValue( 2147483647 );
    nmtDecSpinBox->setMinValue( -2147483647 );
    nmtDecSpinBox->setValue( 65 );
    nmtDecSpinBox->setPrecision( 1 );

    groupBox4Layout->addWidget( nmtDecSpinBox, 1, 2 );

    nmtCheckBox = new QCheckBox( groupBox4, "nmtCheckBox" );
    nmtCheckBox->setEnabled( TRUE );

    groupBox4Layout->addWidget( nmtCheckBox, 1, 0 );

    tmnCheckBox = new QCheckBox( groupBox4, "tmnCheckBox" );
    tmnCheckBox->setEnabled( TRUE );

    groupBox4Layout->addWidget( tmnCheckBox, 2, 0 );

    minSMRLabel = new QLabel( groupBox4, "minSMRLabel" );
    minSMRLabel->setEnabled( FALSE );

    groupBox4Layout->addWidget( minSMRLabel, 0, 1 );

    tabLayout->addWidget( groupBox4, 1, 0 );

    groupBox7 = new QGroupBox( tab, "groupBox7" );
    groupBox7->setColumnLayout(0, Qt::Vertical );
    groupBox7->layout()->setSpacing( 6 );
    groupBox7->layout()->setMargin( 11 );
    groupBox7Layout = new QGridLayout( groupBox7->layout() );
    groupBox7Layout->setAlignment( Qt::AlignTop );

    profileRadioButton = new QRadioButton( groupBox7, "profileRadioButton" );
    profileRadioButton->setEnabled( TRUE );

    groupBox7Layout->addWidget( profileRadioButton, 0, 0 );

    qualityRadioButton = new QRadioButton( groupBox7, "qualityRadioButton" );

    groupBox7Layout->addWidget( qualityRadioButton, 1, 0 );

    qualityDecSpinBox = new KDecSpinBox( groupBox7, "qualityDecSpinBox" );
    qualityDecSpinBox->setEnabled( FALSE );
    qualityDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    qualityDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    qualityDecSpinBox->setValue( 50 );
    qualityDecSpinBox->setPrecision( 1 );

    groupBox7Layout->addWidget( qualityDecSpinBox, 1, 1 );

    profileComboBox = new KComboBox( FALSE, groupBox7, "profileComboBox" );
    profileComboBox->setEnabled( FALSE );
    profileComboBox->setMinimumSize( QSize( 150, 0 ) );
    profileComboBox->setMaximumSize( QSize( 150, 32767 ) );

    groupBox7Layout->addWidget( profileComboBox, 0, 1 );

    tabLayout->addWidget( groupBox7, 0, 0 );
    settings_tabs->insertTab( tab, QString::fromLatin1("") );

    TabPage = new QWidget( settings_tabs, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    ath_groupbox_2 = new QGroupBox( TabPage, "ath_groupbox_2" );
    ath_groupbox_2->setColumnLayout(0, Qt::Vertical );
    ath_groupbox_2->layout()->setSpacing( 6 );
    ath_groupbox_2->layout()->setMargin( 11 );
    ath_groupbox_2Layout = new QGridLayout( ath_groupbox_2->layout() );
    ath_groupbox_2Layout->setAlignment( Qt::AlignTop );

    noiseShapingOrderCheckBox = new QCheckBox( ath_groupbox_2, "noiseShapingOrderCheckBox" );

    ath_groupbox_2Layout->addWidget( noiseShapingOrderCheckBox, 1, 0 );

    minvalCheckBox = new QCheckBox( ath_groupbox_2, "minvalCheckBox" );

    ath_groupbox_2Layout->addWidget( minvalCheckBox, 3, 0 );

    slewrateCheckBox = new QCheckBox( ath_groupbox_2, "slewrateCheckBox" );

    ath_groupbox_2Layout->addWidget( slewrateCheckBox, 5, 0 );

    msModeComboBox = new KComboBox( FALSE, ath_groupbox_2, "msModeComboBox" );
    msModeComboBox->setEnabled( FALSE );
    msModeComboBox->setMinimumSize( QSize( 150, 0 ) );
    msModeComboBox->setMaximumSize( QSize( 150, 32767 ) );

    ath_groupbox_2Layout->addWidget( msModeComboBox, 0, 1 );

    minvalComboBox = new KComboBox( FALSE, ath_groupbox_2, "minvalComboBox" );
    minvalComboBox->setEnabled( FALSE );
    minvalComboBox->setMinimumSize( QSize( 150, 0 ) );
    minvalComboBox->setMaximumSize( QSize( 150, 32767 ) );

    ath_groupbox_2Layout->addWidget( minvalComboBox, 3, 1 );

    clearVoiceDetectionComboBox = new KComboBox( FALSE, ath_groupbox_2, "clearVoiceDetectionComboBox" );
    clearVoiceDetectionComboBox->setEnabled( FALSE );
    clearVoiceDetectionComboBox->setMinimumSize( QSize( 150, 0 ) );
    clearVoiceDetectionComboBox->setMaximumSize( QSize( 150, 32767 ) );

    ath_groupbox_2Layout->addWidget( clearVoiceDetectionComboBox, 2, 1 );

    noiseShapingOrderComboBox = new KComboBox( FALSE, ath_groupbox_2, "noiseShapingOrderComboBox" );
    noiseShapingOrderComboBox->setEnabled( FALSE );
    noiseShapingOrderComboBox->setMinimumSize( QSize( 150, 0 ) );
    noiseShapingOrderComboBox->setMaximumSize( QSize( 150, 32767 ) );

    ath_groupbox_2Layout->addWidget( noiseShapingOrderComboBox, 1, 1 );

    oldClippingSolvingCheckBox = new QCheckBox( ath_groupbox_2, "oldClippingSolvingCheckBox" );

    ath_groupbox_2Layout->addWidget( oldClippingSolvingCheckBox, 6, 0 );

    clearVoiceDetectionCheckBox = new QCheckBox( ath_groupbox_2, "clearVoiceDetectionCheckBox" );

    ath_groupbox_2Layout->addWidget( clearVoiceDetectionCheckBox, 2, 0 );

    msModeCheckBox = new QCheckBox( ath_groupbox_2, "msModeCheckBox" );

    ath_groupbox_2Layout->addWidget( msModeCheckBox, 0, 0 );

    fftThresholdCheckBox = new QCheckBox( ath_groupbox_2, "fftThresholdCheckBox" );

    ath_groupbox_2Layout->addWidget( fftThresholdCheckBox, 4, 0 );

    slewrateDecSpinBox = new KDecSpinBox( ath_groupbox_2, "slewrateDecSpinBox" );
    slewrateDecSpinBox->setEnabled( FALSE );
    slewrateDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    slewrateDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    slewrateDecSpinBox->setMaxValue( 10000000 );
    slewrateDecSpinBox->setValue( 1000 );
    slewrateDecSpinBox->setPrecision( 1 );

    ath_groupbox_2Layout->addWidget( slewrateDecSpinBox, 5, 1 );

    fftThresholdDecSpinBox = new KDecSpinBox( ath_groupbox_2, "fftThresholdDecSpinBox" );
    fftThresholdDecSpinBox->setEnabled( FALSE );
    fftThresholdDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    fftThresholdDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    fftThresholdDecSpinBox->setMaxValue( 500000 );
    fftThresholdDecSpinBox->setValue( 50 );
    fftThresholdDecSpinBox->setPrecision( 1 );

    ath_groupbox_2Layout->addWidget( fftThresholdDecSpinBox, 4, 1 );

    TabPageLayout->addWidget( ath_groupbox_2, 0, 0 );
    settings_tabs->insertTab( TabPage, QString::fromLatin1("") );

    TabPage_2 = new QWidget( settings_tabs, "TabPage_2" );
    TabPageLayout_2 = new QGridLayout( TabPage_2, 1, 1, 11, 6, "TabPageLayout_2"); 

    athGroupBox = new QGroupBox( TabPage_2, "athGroupBox" );
    athGroupBox->setColumnLayout(0, Qt::Vertical );
    athGroupBox->layout()->setSpacing( 6 );
    athGroupBox->layout()->setMargin( 11 );
    athGroupBoxLayout = new QGridLayout( athGroupBox->layout() );
    athGroupBoxLayout->setAlignment( Qt::AlignTop );

    lhqModeCheckBox = new QCheckBox( athGroupBox, "lhqModeCheckBox" );

    athGroupBoxLayout->addMultiCellWidget( lhqModeCheckBox, 0, 0, 0, 1 );

    lhqModeComboBox = new KComboBox( FALSE, athGroupBox, "lhqModeComboBox" );
    lhqModeComboBox->setEnabled( FALSE );
    lhqModeComboBox->setMinimumSize( QSize( 150, 0 ) );
    lhqModeComboBox->setMaximumSize( QSize( 150, 32767 ) );

    athGroupBoxLayout->addWidget( lhqModeComboBox, 0, 3 );

    adaptativeLHKComboBox = new KComboBox( FALSE, athGroupBox, "adaptativeLHKComboBox" );
    adaptativeLHKComboBox->setEnabled( FALSE );
    adaptativeLHKComboBox->setMinimumSize( QSize( 150, 0 ) );
    adaptativeLHKComboBox->setMaximumSize( QSize( 150, 32767 ) );

    athGroupBoxLayout->addWidget( adaptativeLHKComboBox, 4, 3 );

    adaptativeLHQCheckBox = new QCheckBox( athGroupBox, "adaptativeLHQCheckBox" );

    athGroupBoxLayout->addMultiCellWidget( adaptativeLHQCheckBox, 4, 4, 0, 1 );

    exploitPostMaskingCheckBox = new QCheckBox( athGroupBox, "exploitPostMaskingCheckBox" );

    athGroupBoxLayout->addMultiCellWidget( exploitPostMaskingCheckBox, 5, 5, 0, 1 );

    lhqGainLabel = new QLabel( athGroupBox, "lhqGainLabel" );
    lhqGainLabel->setEnabled( FALSE );

    athGroupBoxLayout->addWidget( lhqGainLabel, 2, 2 );

    lhqMaxLevelLabel = new QLabel( athGroupBox, "lhqMaxLevelLabel" );
    lhqMaxLevelLabel->setEnabled( FALSE );

    athGroupBoxLayout->addWidget( lhqMaxLevelLabel, 3, 2 );

    exploitPostMaskingComboBox = new KComboBox( FALSE, athGroupBox, "exploitPostMaskingComboBox" );
    exploitPostMaskingComboBox->setEnabled( FALSE );
    exploitPostMaskingComboBox->setMinimumSize( QSize( 150, 0 ) );
    exploitPostMaskingComboBox->setMaximumSize( QSize( 150, 32767 ) );

    athGroupBoxLayout->addWidget( exploitPostMaskingComboBox, 5, 3 );

    lhqHighFrecRollOffLabel = new QLabel( athGroupBox, "lhqHighFrecRollOffLabel" );
    lhqHighFrecRollOffLabel->setEnabled( TRUE );

    athGroupBoxLayout->addWidget( lhqHighFrecRollOffLabel, 1, 1 );

    lhqGainCheckBox = new QCheckBox( athGroupBox, "lhqGainCheckBox" );

    athGroupBoxLayout->addMultiCellWidget( lhqGainCheckBox, 2, 2, 0, 1 );

    lhqMaxLevelCheckBox = new QCheckBox( athGroupBox, "lhqMaxLevelCheckBox" );

    athGroupBoxLayout->addMultiCellWidget( lhqMaxLevelCheckBox, 3, 3, 0, 1 );
    spacer2 = new QSpacerItem( 12, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    athGroupBoxLayout->addItem( spacer2, 1, 0 );

    lhqHighFrecRollOffSpinBox = new KIntSpinBox( athGroupBox, "lhqHighFrecRollOffSpinBox" );
    lhqHighFrecRollOffSpinBox->setEnabled( FALSE );
    lhqHighFrecRollOffSpinBox->setMinimumSize( QSize( 150, 0 ) );
    lhqHighFrecRollOffSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    lhqHighFrecRollOffSpinBox->setMaxValue( 99 );
    lhqHighFrecRollOffSpinBox->setMinValue( 0 );
    lhqHighFrecRollOffSpinBox->setValue( 50 );

    athGroupBoxLayout->addWidget( lhqHighFrecRollOffSpinBox, 1, 3 );

    lhqMaxLevelDecSpinBox = new KDecSpinBox( athGroupBox, "lhqMaxLevelDecSpinBox" );
    lhqMaxLevelDecSpinBox->setEnabled( FALSE );
    lhqMaxLevelDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    lhqMaxLevelDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    lhqMaxLevelDecSpinBox->setMaxValue( 2147483647 );
    lhqMaxLevelDecSpinBox->setMinValue( -2147483647 );
    lhqMaxLevelDecSpinBox->setValue( 760 );
    lhqMaxLevelDecSpinBox->setPrecision( 1 );

    athGroupBoxLayout->addWidget( lhqMaxLevelDecSpinBox, 3, 3 );

    lhqGainDecSpinBox = new KDecSpinBox( athGroupBox, "lhqGainDecSpinBox" );
    lhqGainDecSpinBox->setEnabled( FALSE );
    lhqGainDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    lhqGainDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    lhqGainDecSpinBox->setMaxValue( 2147483647 );
    lhqGainDecSpinBox->setMinValue( -2147483647 );
    lhqGainDecSpinBox->setPrecision( 1 );

    athGroupBoxLayout->addWidget( lhqGainDecSpinBox, 2, 3 );

    TabPageLayout_2->addWidget( athGroupBox, 0, 0 );
    settings_tabs->insertTab( TabPage_2, QString::fromLatin1("") );

    TabPage_3 = new QWidget( settings_tabs, "TabPage_3" );
    TabPageLayout_3 = new QGridLayout( TabPage_3, 1, 1, 11, 6, "TabPageLayout_3"); 

    general_group = new QGroupBox( TabPage_3, "general_group" );
    general_group->setColumnLayout(0, Qt::Vertical );
    general_group->layout()->setSpacing( 6 );
    general_group->layout()->setMargin( 11 );
    general_groupLayout = new QGridLayout( general_group->layout() );
    general_groupLayout->setAlignment( Qt::AlignTop );

    fadeShapeCheckBox = new QCheckBox( general_group, "fadeShapeCheckBox" );

    general_groupLayout->addWidget( fadeShapeCheckBox, 4, 0 );

    fadeOutCheckBox = new QCheckBox( general_group, "fadeOutCheckBox" );

    general_groupLayout->addWidget( fadeOutCheckBox, 3, 0 );

    durationDecSpinBox = new KDecSpinBox( general_group, "durationDecSpinBox" );
    durationDecSpinBox->setEnabled( FALSE );
    durationDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    durationDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    durationDecSpinBox->setMaxValue( 2147483647 );
    durationDecSpinBox->setMinValue( 1 );
    durationDecSpinBox->setValue( 6000 );
    durationDecSpinBox->setPrecision( 1 );

    general_groupLayout->addWidget( durationDecSpinBox, 1, 2 );

    fadeInDecSpinBox = new KDecSpinBox( general_group, "fadeInDecSpinBox" );
    fadeInDecSpinBox->setEnabled( FALSE );
    fadeInDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    fadeInDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    fadeInDecSpinBox->setMaxValue( 2147483647 );
    fadeInDecSpinBox->setPrecision( 1 );

    general_groupLayout->addWidget( fadeInDecSpinBox, 2, 2 );

    fadeOutDecSpinBox = new KDecSpinBox( general_group, "fadeOutDecSpinBox" );
    fadeOutDecSpinBox->setEnabled( FALSE );
    fadeOutDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    fadeOutDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    fadeOutDecSpinBox->setMaxValue( 2147483647 );
    fadeOutDecSpinBox->setPrecision( 1 );

    general_groupLayout->addWidget( fadeOutDecSpinBox, 3, 2 );

    startPositionCheckBox = new QCheckBox( general_group, "startPositionCheckBox" );

    general_groupLayout->addWidget( startPositionCheckBox, 0, 0 );

    fadeInCheckBox = new QCheckBox( general_group, "fadeInCheckBox" );

    general_groupLayout->addWidget( fadeInCheckBox, 2, 0 );

    fadeOutLabel = new QLabel( general_group, "fadeOutLabel" );
    fadeOutLabel->setEnabled( FALSE );

    general_groupLayout->addWidget( fadeOutLabel, 3, 1 );

    startPositionLabel = new QLabel( general_group, "startPositionLabel" );
    startPositionLabel->setEnabled( FALSE );

    general_groupLayout->addWidget( startPositionLabel, 0, 1 );

    durationCheckBox = new QCheckBox( general_group, "durationCheckBox" );

    general_groupLayout->addWidget( durationCheckBox, 1, 0 );

    fadeShapeDecSpinBox = new KDecSpinBox( general_group, "fadeShapeDecSpinBox" );
    fadeShapeDecSpinBox->setEnabled( FALSE );
    fadeShapeDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    fadeShapeDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    fadeShapeDecSpinBox->setMaxValue( 2147483647 );
    fadeShapeDecSpinBox->setMinValue( 1 );
    fadeShapeDecSpinBox->setPrecision( 5 );

    general_groupLayout->addWidget( fadeShapeDecSpinBox, 4, 2 );

    leftScaleCheckBox = new QCheckBox( general_group, "leftScaleCheckBox" );

    general_groupLayout->addWidget( leftScaleCheckBox, 5, 0 );

    rightScaleCheckBox = new QCheckBox( general_group, "rightScaleCheckBox" );

    general_groupLayout->addWidget( rightScaleCheckBox, 6, 0 );

    bandwidthCheckBox = new QCheckBox( general_group, "bandwidthCheckBox" );

    general_groupLayout->addWidget( bandwidthCheckBox, 7, 0 );

    bandwidthSpinBox = new KIntSpinBox( general_group, "bandwidthSpinBox" );
    bandwidthSpinBox->setEnabled( FALSE );
    bandwidthSpinBox->setMinimumSize( QSize( 150, 0 ) );
    bandwidthSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    bandwidthSpinBox->setMaxValue( 22000 );
    bandwidthSpinBox->setMinValue( 1400 );
    bandwidthSpinBox->setValue( 22000 );

    general_groupLayout->addWidget( bandwidthSpinBox, 7, 2 );

    durationLabel = new QLabel( general_group, "durationLabel" );
    durationLabel->setEnabled( FALSE );

    general_groupLayout->addWidget( durationLabel, 1, 1 );

    startPositionDecSpinBox = new KDecSpinBox( general_group, "startPositionDecSpinBox" );
    startPositionDecSpinBox->setEnabled( FALSE );
    startPositionDecSpinBox->setMinimumSize( QSize( 150, 0 ) );
    startPositionDecSpinBox->setMaximumSize( QSize( 150, 32767 ) );
    startPositionDecSpinBox->setMaxValue( 2147483647 );
    startPositionDecSpinBox->setPrecision( 1 );

    general_groupLayout->addWidget( startPositionDecSpinBox, 0, 2 );

    fadeInLabel = new QLabel( general_group, "fadeInLabel" );
    fadeInLabel->setEnabled( FALSE );

    general_groupLayout->addWidget( fadeInLabel, 2, 1 );

    bandwidthLabel = new QLabel( general_group, "bandwidthLabel" );
    bandwidthLabel->setEnabled( FALSE );

    general_groupLayout->addWidget( bandwidthLabel, 7, 1 );

    leftScaleLabel = new QLabel( general_group, "leftScaleLabel" );
    leftScaleLabel->setEnabled( FALSE );

    general_groupLayout->addWidget( leftScaleLabel, 5, 1 );

    rightScaleLabel = new QLabel( general_group, "rightScaleLabel" );
    rightScaleLabel->setEnabled( FALSE );

    general_groupLayout->addWidget( rightScaleLabel, 6, 1 );

    leftScaleDecSpinBox = new KDecSpinBox( general_group, "leftScaleDecSpinBox" );
    leftScaleDecSpinBox->setEnabled( FALSE );
    leftScaleDecSpinBox->setMaxValue( 2147483647 );
    leftScaleDecSpinBox->setValue( 100000 );
    leftScaleDecSpinBox->setPrecision( 5 );

    general_groupLayout->addWidget( leftScaleDecSpinBox, 5, 2 );

    rightScaleDecSpinBox = new KDecSpinBox( general_group, "rightScaleDecSpinBox" );
    rightScaleDecSpinBox->setEnabled( FALSE );
    rightScaleDecSpinBox->setMaxValue( 2147483647 );
    rightScaleDecSpinBox->setValue( 100000 );
    rightScaleDecSpinBox->setPrecision( 5 );

    general_groupLayout->addWidget( rightScaleDecSpinBox, 6, 2 );

    TabPageLayout_3->addWidget( general_group, 0, 0 );
    settings_tabs->insertTab( TabPage_3, QString::fromLatin1("") );

    MPPEncEncoderDialogBaseLayout->addWidget( settings_tabs, 0, 0 );
    languageChange();
    resize( QSize(432, 346).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( msModeCheckBox, SIGNAL( toggled(bool) ), msModeComboBox, SLOT( setEnabled(bool) ) );
    connect( adaptativeLHQCheckBox, SIGNAL( toggled(bool) ), adaptativeLHKComboBox, SLOT( setEnabled(bool) ) );
    connect( clearVoiceDetectionCheckBox, SIGNAL( toggled(bool) ), clearVoiceDetectionComboBox, SLOT( setEnabled(bool) ) );
    connect( minvalCheckBox, SIGNAL( toggled(bool) ), minvalComboBox, SLOT( setEnabled(bool) ) );
    connect( fftThresholdCheckBox, SIGNAL( toggled(bool) ), fftThresholdDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( slewrateCheckBox, SIGNAL( toggled(bool) ), slewrateDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( noiseShapingOrderCheckBox, SIGNAL( toggled(bool) ), noiseShapingOrderComboBox, SLOT( setEnabled(bool) ) );
    connect( lhqModeCheckBox, SIGNAL( toggled(bool) ), lhqModeComboBox, SLOT( setEnabled(bool) ) );
    connect( lhqModeCheckBox, SIGNAL( toggled(bool) ), lhqHighFrecRollOffSpinBox, SLOT( setEnabled(bool) ) );
    connect( lhqGainCheckBox, SIGNAL( toggled(bool) ), lhqGainLabel, SLOT( setEnabled(bool) ) );
    connect( lhqGainCheckBox, SIGNAL( toggled(bool) ), lhqGainDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( lhqMaxLevelCheckBox, SIGNAL( toggled(bool) ), lhqMaxLevelLabel, SLOT( setEnabled(bool) ) );
    connect( lhqMaxLevelCheckBox, SIGNAL( toggled(bool) ), lhqMaxLevelDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( exploitPostMaskingCheckBox, SIGNAL( toggled(bool) ), exploitPostMaskingComboBox, SLOT( setEnabled(bool) ) );
    connect( startPositionCheckBox, SIGNAL( toggled(bool) ), startPositionLabel, SLOT( setEnabled(bool) ) );
    connect( startPositionCheckBox, SIGNAL( toggled(bool) ), startPositionDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( durationCheckBox, SIGNAL( toggled(bool) ), durationLabel, SLOT( setEnabled(bool) ) );
    connect( durationCheckBox, SIGNAL( toggled(bool) ), durationDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( fadeShapeCheckBox, SIGNAL( toggled(bool) ), fadeShapeDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( leftScaleCheckBox, SIGNAL( toggled(bool) ), leftScaleLabel, SLOT( setEnabled(bool) ) );
    connect( rightScaleCheckBox, SIGNAL( toggled(bool) ), rightScaleLabel, SLOT( setEnabled(bool) ) );
    connect( bandwidthCheckBox, SIGNAL( toggled(bool) ), bandwidthLabel, SLOT( setEnabled(bool) ) );
    connect( bandwidthCheckBox, SIGNAL( toggled(bool) ), bandwidthSpinBox, SLOT( setEnabled(bool) ) );
    connect( profileRadioButton, SIGNAL( toggled(bool) ), profileComboBox, SLOT( setEnabled(bool) ) );
    connect( qualityRadioButton, SIGNAL( toggled(bool) ), qualityDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( fadeInCheckBox, SIGNAL( toggled(bool) ), this, SLOT( toggleFadeIn(bool) ) );
    connect( fadeOutCheckBox, SIGNAL( toggled(bool) ), this, SLOT( toggleFadeOut(bool) ) );
    connect( leftScaleCheckBox, SIGNAL( toggled(bool) ), leftScaleDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( rightScaleCheckBox, SIGNAL( toggled(bool) ), rightScaleDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( minSMRCheckBox, SIGNAL( toggled(bool) ), minSMRLabel, SLOT( setEnabled(bool) ) );
    connect( minSMRCheckBox, SIGNAL( toggled(bool) ), minSMRDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( nmtCheckBox, SIGNAL( toggled(bool) ), nmtLabel, SLOT( setEnabled(bool) ) );
    connect( nmtCheckBox, SIGNAL( toggled(bool) ), nmtDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( pnsCheckBox, SIGNAL( toggled(bool) ), pnsLabel, SLOT( setEnabled(bool) ) );
    connect( pnsCheckBox, SIGNAL( toggled(bool) ), pnsDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( tmnCheckBox, SIGNAL( toggled(bool) ), tmnLabel, SLOT( setEnabled(bool) ) );
    connect( tmnCheckBox, SIGNAL( toggled(bool) ), tmnDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( profileRadioButton, SIGNAL( toggled(bool) ), this, SLOT( profileRadioButtonToggled(bool) ) );
    connect( qualityRadioButton, SIGNAL( toggled(bool) ), this, SLOT( qualityRadioButtonToggled(bool) ) );

    // tab order
    setTabOrder( settings_tabs, profileRadioButton );
    setTabOrder( profileRadioButton, profileComboBox );
    setTabOrder( profileComboBox, qualityRadioButton );
    setTabOrder( qualityRadioButton, qualityDecSpinBox );
    setTabOrder( qualityDecSpinBox, minSMRCheckBox );
    setTabOrder( minSMRCheckBox, minSMRDecSpinBox );
    setTabOrder( minSMRDecSpinBox, nmtCheckBox );
    setTabOrder( nmtCheckBox, nmtDecSpinBox );
    setTabOrder( nmtDecSpinBox, tmnCheckBox );
    setTabOrder( tmnCheckBox, tmnDecSpinBox );
    setTabOrder( tmnDecSpinBox, pnsCheckBox );
    setTabOrder( pnsCheckBox, pnsDecSpinBox );
    setTabOrder( pnsDecSpinBox, msModeCheckBox );
    setTabOrder( msModeCheckBox, msModeComboBox );
    setTabOrder( msModeComboBox, noiseShapingOrderCheckBox );
    setTabOrder( noiseShapingOrderCheckBox, noiseShapingOrderComboBox );
    setTabOrder( noiseShapingOrderComboBox, clearVoiceDetectionCheckBox );
    setTabOrder( clearVoiceDetectionCheckBox, clearVoiceDetectionComboBox );
    setTabOrder( clearVoiceDetectionComboBox, minvalCheckBox );
    setTabOrder( minvalCheckBox, minvalComboBox );
    setTabOrder( minvalComboBox, fftThresholdCheckBox );
    setTabOrder( fftThresholdCheckBox, fftThresholdDecSpinBox );
    setTabOrder( fftThresholdDecSpinBox, slewrateCheckBox );
    setTabOrder( slewrateCheckBox, slewrateDecSpinBox );
    setTabOrder( slewrateDecSpinBox, oldClippingSolvingCheckBox );
    setTabOrder( oldClippingSolvingCheckBox, lhqModeCheckBox );
    setTabOrder( lhqModeCheckBox, lhqModeComboBox );
    setTabOrder( lhqModeComboBox, lhqHighFrecRollOffSpinBox );
    setTabOrder( lhqHighFrecRollOffSpinBox, lhqGainCheckBox );
    setTabOrder( lhqGainCheckBox, lhqGainDecSpinBox );
    setTabOrder( lhqGainDecSpinBox, lhqMaxLevelCheckBox );
    setTabOrder( lhqMaxLevelCheckBox, lhqMaxLevelDecSpinBox );
    setTabOrder( lhqMaxLevelDecSpinBox, adaptativeLHQCheckBox );
    setTabOrder( adaptativeLHQCheckBox, adaptativeLHKComboBox );
    setTabOrder( adaptativeLHKComboBox, exploitPostMaskingCheckBox );
    setTabOrder( exploitPostMaskingCheckBox, exploitPostMaskingComboBox );
    setTabOrder( exploitPostMaskingComboBox, startPositionCheckBox );
    setTabOrder( startPositionCheckBox, startPositionDecSpinBox );
    setTabOrder( startPositionDecSpinBox, durationCheckBox );
    setTabOrder( durationCheckBox, durationDecSpinBox );
    setTabOrder( durationDecSpinBox, fadeInCheckBox );
    setTabOrder( fadeInCheckBox, fadeInDecSpinBox );
    setTabOrder( fadeInDecSpinBox, fadeOutCheckBox );
    setTabOrder( fadeOutCheckBox, fadeOutDecSpinBox );
    setTabOrder( fadeOutDecSpinBox, fadeShapeCheckBox );
    setTabOrder( fadeShapeCheckBox, fadeShapeDecSpinBox );
    setTabOrder( fadeShapeDecSpinBox, leftScaleCheckBox );
    setTabOrder( leftScaleCheckBox, leftScaleDecSpinBox );
    setTabOrder( leftScaleDecSpinBox, rightScaleCheckBox );
    setTabOrder( rightScaleCheckBox, rightScaleDecSpinBox );
    setTabOrder( rightScaleDecSpinBox, bandwidthCheckBox );
    setTabOrder( bandwidthCheckBox, bandwidthSpinBox );
    setTabOrder( bandwidthSpinBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MPPEncEncoderDialogBase::~MPPEncEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MPPEncEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "Musepack" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    groupBox4->setTitle( tr2i18n( "Thresholds" ) );
    pnsLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    tmnLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    nmtLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    pnsCheckBox->setText( tr2i18n( "&Perceptual noise substitution" ) );
    pnsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    minSMRCheckBox->setText( tr2i18n( "&Minimum signal to mask ratio" ) );
    minSMRCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    nmtCheckBox->setText( tr2i18n( "&Noise masks tone ratio" ) );
    nmtCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( nmtCheckBox, QString::null );
    QWhatsThis::add( nmtCheckBox, tr2i18n( "Minimum SMR for pure noisy sound" ) );
    tmnCheckBox->setText( tr2i18n( "&Tone masks noise ratio" ) );
    tmnCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( tmnCheckBox, QString::null );
    QWhatsThis::add( tmnCheckBox, tr2i18n( "Minimum SMR for pure sinusoidal sound." ) );
    minSMRLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    groupBox7->setTitle( tr2i18n( "Quality" ) );
    profileRadioButton->setText( tr2i18n( "&Profile" ) );
    profileRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    qualityRadioButton->setText( tr2i18n( "&Quality" ) );
    qualityRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    profileComboBox->clear();
    profileComboBox->insertItem( tr2i18n( "Telephone" ) );
    profileComboBox->insertItem( tr2i18n( "Thumb" ) );
    profileComboBox->insertItem( tr2i18n( "Radio" ) );
    profileComboBox->insertItem( tr2i18n( "Standard" ) );
    profileComboBox->insertItem( tr2i18n( "Xtreme" ) );
    profileComboBox->insertItem( tr2i18n( "Insane" ) );
    profileComboBox->insertItem( tr2i18n( "BrainDead" ) );
    profileComboBox->setCurrentItem( 3 );
    settings_tabs->changeTab( tab, tr2i18n( "General" ) );
    ath_groupbox_2->setTitle( tr2i18n( "Misc" ) );
    noiseShapingOrderCheckBox->setText( tr2i18n( "&Adaptive noise shaping order" ) );
    noiseShapingOrderCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    minvalCheckBox->setText( tr2i18n( "Calculation of &minval" ) );
    minvalCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    slewrateCheckBox->setText( tr2i18n( "Slewrate for &transient detection" ) );
    slewrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    msModeComboBox->clear();
    msModeComboBox->insertItem( tr2i18n( "Off" ) );
    msModeComboBox->insertItem( tr2i18n( "Reduced" ) );
    msModeComboBox->insertItem( tr2i18n( "On" ) );
    msModeComboBox->insertItem( tr2i18n( "Decoupled" ) );
    msModeComboBox->insertItem( tr2i18n( "Enhanced (1.5/3 dB)" ) );
    msModeComboBox->insertItem( tr2i18n( "Enhanced (2/6 dB)" ) );
    msModeComboBox->insertItem( tr2i18n( "Enhanced (2.5/9 dB)" ) );
    msModeComboBox->insertItem( tr2i18n( "Enhanced (3/12 dB)" ) );
    msModeComboBox->insertItem( tr2i18n( "Enhanced (3/oo dB)" ) );
    msModeComboBox->setCurrentItem( 5 );
    minvalComboBox->clear();
    minvalComboBox->insertItem( tr2i18n( "1 - Buschmann" ) );
    minvalComboBox->insertItem( tr2i18n( "2 - Klemm" ) );
    minvalComboBox->insertItem( tr2i18n( "3 - Klemm" ) );
    clearVoiceDetectionComboBox->clear();
    clearVoiceDetectionComboBox->insertItem( tr2i18n( "Off" ) );
    clearVoiceDetectionComboBox->insertItem( tr2i18n( "On" ) );
    clearVoiceDetectionComboBox->insertItem( tr2i18n( "Dual" ) );
    clearVoiceDetectionComboBox->setCurrentItem( 2 );
    noiseShapingOrderComboBox->clear();
    noiseShapingOrderComboBox->insertItem( tr2i18n( "Off" ) );
    noiseShapingOrderComboBox->insertItem( tr2i18n( "1" ) );
    noiseShapingOrderComboBox->insertItem( tr2i18n( "2" ) );
    noiseShapingOrderComboBox->insertItem( tr2i18n( "3" ) );
    noiseShapingOrderComboBox->insertItem( tr2i18n( "4" ) );
    noiseShapingOrderComboBox->insertItem( tr2i18n( "5" ) );
    noiseShapingOrderComboBox->insertItem( tr2i18n( "6" ) );
    noiseShapingOrderComboBox->setCurrentItem( 6 );
    oldClippingSolvingCheckBox->setText( tr2i18n( "O&ld filterbank clipping solving strategy" ) );
    oldClippingSolvingCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    clearVoiceDetectionCheckBox->setText( tr2i18n( "Clear &voice detection" ) );
    clearVoiceDetectionCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    msModeCheckBox->setText( tr2i18n( "MS &stereo mode" ) );
    msModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    fftThresholdCheckBox->setText( tr2i18n( "Short &FFT threshold" ) );
    fftThresholdCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    settings_tabs->changeTab( TabPage, tr2i18n( "Advanced" ) );
    athGroupBox->setTitle( tr2i18n( "Level threshold in quiet (LHQ, aka ATH)" ) );
    lhqModeCheckBox->setText( tr2i18n( "&LHQ mode" ) );
    lhqModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    lhqModeComboBox->clear();
    lhqModeComboBox->insertItem( tr2i18n( "ISO" ) );
    lhqModeComboBox->insertItem( tr2i18n( "Buschmann" ) );
    lhqModeComboBox->insertItem( tr2i18n( "Filburt" ) );
    lhqModeComboBox->insertItem( tr2i18n( "Klemm" ) );
    lhqModeComboBox->insertItem( tr2i18n( "Buschmann-Klemm mix" ) );
    lhqModeComboBox->insertItem( tr2i18n( "Buschmann-Klemm min" ) );
    lhqModeComboBox->setCurrentItem( 5 );
    adaptativeLHKComboBox->clear();
    adaptativeLHKComboBox->insertItem( tr2i18n( "Off" ) );
    adaptativeLHKComboBox->insertItem( tr2i18n( "On" ) );
    adaptativeLHKComboBox->setCurrentItem( 1 );
    adaptativeLHQCheckBox->setText( tr2i18n( "&Adaptive LHQ" ) );
    adaptativeLHQCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    exploitPostMaskingCheckBox->setText( tr2i18n( "Exploit &postmasking" ) );
    exploitPostMaskingCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    lhqGainLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    lhqMaxLevelLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    exploitPostMaskingComboBox->clear();
    exploitPostMaskingComboBox->insertItem( tr2i18n( "Off" ) );
    exploitPostMaskingComboBox->insertItem( tr2i18n( "On" ) );
    exploitPostMaskingComboBox->setCurrentItem( 1 );
    lhqHighFrecRollOffLabel->setText( tr2i18n( "High frecuency roll off" ) );
    lhqGainCheckBox->setText( tr2i18n( "LHQ &gain" ) );
    lhqGainCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    lhqMaxLevelCheckBox->setText( tr2i18n( "LHQ &max level" ) );
    lhqMaxLevelCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    settings_tabs->changeTab( TabPage_2, tr2i18n( "Expert" ) );
    general_group->setTitle( tr2i18n( "Processing" ) );
    fadeShapeCheckBox->setText( tr2i18n( "Fade sha&pe" ) );
    fadeShapeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    fadeOutCheckBox->setText( tr2i18n( "Fade o&ut" ) );
    fadeOutCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    startPositionCheckBox->setText( tr2i18n( "&Start position" ) );
    startPositionCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    fadeInCheckBox->setText( tr2i18n( "Fade &in" ) );
    fadeInCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    fadeOutLabel->setText( tr2i18n( "<p align=\"right\">sec</p>" ) );
    startPositionLabel->setText( tr2i18n( "<p align=\"right\">sec</p>" ) );
    durationCheckBox->setText( tr2i18n( "Max &duration" ) );
    durationCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    leftScaleCheckBox->setText( tr2i18n( "&Left channel scale" ) );
    leftScaleCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    rightScaleCheckBox->setText( tr2i18n( "&Right channel scale" ) );
    rightScaleCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    bandwidthCheckBox->setText( tr2i18n( "Band&width" ) );
    bandwidthCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    durationLabel->setText( tr2i18n( "<p align=\"right\">sec</p>" ) );
    fadeInLabel->setText( tr2i18n( "<p align=\"right\">sec</p>" ) );
    bandwidthLabel->setText( tr2i18n( "<p align=\"right\">Hz</p>" ) );
    leftScaleLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    rightScaleLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    settings_tabs->changeTab( TabPage_3, tr2i18n( "Audio Processing" ) );
}

#include "mppencencoderdialogbase.moc"
