#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './twolameencoderdialogbase.ui'
**
** Created: Sat Aug 2 19:57:22 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "twolameencoderdialogbase.h"

#include <qvariant.h>
#include <kdecspinbox.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qbuttongroup.h>
#include <kcombobox.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "kcombobox.h"
#include "kdecspinbox.h"
#include "knuminput.h"
#include "./twolameencoderdialogbase.ui.h"

/*
 *  Constructs a TwoLAMEEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
TwoLAMEEncoderDialogBase::TwoLAMEEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "TwoLAMEEncoderDialogBase" );
    TwoLAMEEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "TwoLAMEEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    TwoLAMEEncoderDialogBaseLayout->addLayout( layout7, 1, 0 );

    tabWidget = new QTabWidget( this, "tabWidget" );

    tab = new QWidget( tabWidget, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    bitrateGroup = new QButtonGroup( tab, "bitrateGroup" );
    bitrateGroup->setColumnLayout(0, Qt::Vertical );
    bitrateGroup->layout()->setSpacing( 6 );
    bitrateGroup->layout()->setMargin( 11 );
    bitrateGroupLayout = new QGridLayout( bitrateGroup->layout() );
    bitrateGroupLayout->setAlignment( Qt::AlignTop );

    bitrateComboBox = new KComboBox( FALSE, bitrateGroup, "bitrateComboBox" );
    bitrateComboBox->setEnabled( FALSE );

    bitrateGroupLayout->addWidget( bitrateComboBox, 1, 3 );

    bitrateLabel = new QLabel( bitrateGroup, "bitrateLabel" );
    bitrateLabel->setEnabled( FALSE );

    bitrateGroupLayout->addWidget( bitrateLabel, 1, 2 );
    spacer6_2_4_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrateGroupLayout->addItem( spacer6_2_4_2, 3, 0 );
    spacer6_2_4 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrateGroupLayout->addItem( spacer6_2_4, 1, 0 );

    cbrRadioButton = new QRadioButton( bitrateGroup, "cbrRadioButton" );
    cbrRadioButton->setChecked( TRUE );

    bitrateGroupLayout->addMultiCellWidget( cbrRadioButton, 0, 0, 0, 1 );

    vbrRadioButton = new QRadioButton( bitrateGroup, "vbrRadioButton" );

    bitrateGroupLayout->addMultiCellWidget( vbrRadioButton, 2, 2, 0, 1 );

    qualityCheckBox = new QCheckBox( bitrateGroup, "qualityCheckBox" );

    bitrateGroupLayout->addWidget( qualityCheckBox, 3, 1 );

    bitrateCheckBox = new QCheckBox( bitrateGroup, "bitrateCheckBox" );

    bitrateGroupLayout->addWidget( bitrateCheckBox, 1, 1 );

    stereoModeComboBox = new KComboBox( FALSE, bitrateGroup, "stereoModeComboBox" );
    stereoModeComboBox->setEnabled( FALSE );

    bitrateGroupLayout->addWidget( stereoModeComboBox, 4, 3 );

    stereoModeCheckBox = new QCheckBox( bitrateGroup, "stereoModeCheckBox" );

    bitrateGroupLayout->addMultiCellWidget( stereoModeCheckBox, 4, 4, 0, 2 );

    qualityDecSpinBox = new KDecSpinBox( bitrateGroup, "qualityDecSpinBox" );
    qualityDecSpinBox->setEnabled( FALSE );
    qualityDecSpinBox->setMaxValue( 500 );
    qualityDecSpinBox->setMinValue( -500 );
    qualityDecSpinBox->setValue( 50 );
    qualityDecSpinBox->setPrecision( 1 );

    bitrateGroupLayout->addWidget( qualityDecSpinBox, 3, 3 );

    tabLayout->addWidget( bitrateGroup, 0, 0 );
    tabWidget->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    psyGroup = new QGroupBox( tab_2, "psyGroup" );
    psyGroup->setColumnLayout(0, Qt::Vertical );
    psyGroup->layout()->setSpacing( 6 );
    psyGroup->layout()->setMargin( 11 );
    psyGroupLayout = new QGridLayout( psyGroup->layout() );
    psyGroupLayout->setAlignment( Qt::AlignTop );

    psyModelComboBox = new KComboBox( FALSE, psyGroup, "psyModelComboBox" );
    psyModelComboBox->setEnabled( FALSE );

    psyGroupLayout->addWidget( psyModelComboBox, 0, 3 );

    psyModelCheckBox = new QCheckBox( psyGroup, "psyModelCheckBox" );

    psyGroupLayout->addMultiCellWidget( psyModelCheckBox, 0, 0, 0, 1 );

    athLevelCheckBox = new QCheckBox( psyGroup, "athLevelCheckBox" );

    psyGroupLayout->addMultiCellWidget( athLevelCheckBox, 1, 1, 0, 1 );

    athLevelLabel = new QLabel( psyGroup, "athLevelLabel" );
    athLevelLabel->setEnabled( FALSE );
    athLevelLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, athLevelLabel->sizePolicy().hasHeightForWidth() ) );

    psyGroupLayout->addWidget( athLevelLabel, 1, 2 );

    quickModeSpinBox = new KIntSpinBox( psyGroup, "quickModeSpinBox" );
    quickModeSpinBox->setEnabled( FALSE );
    quickModeSpinBox->setMaxValue( 999999999 );
    quickModeSpinBox->setMinValue( 1 );

    psyGroupLayout->addWidget( quickModeSpinBox, 2, 3 );

    quickModeLabel = new QLabel( psyGroup, "quickModeLabel" );
    quickModeLabel->setEnabled( FALSE );
    quickModeLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, quickModeLabel->sizePolicy().hasHeightForWidth() ) );

    psyGroupLayout->addMultiCellWidget( quickModeLabel, 2, 2, 1, 2 );

    quickModeCheckBox = new QCheckBox( psyGroup, "quickModeCheckBox" );

    psyGroupLayout->addWidget( quickModeCheckBox, 2, 0 );

    athLevelDecSpinBox = new KDecSpinBox( psyGroup, "athLevelDecSpinBox" );
    athLevelDecSpinBox->setEnabled( FALSE );
    athLevelDecSpinBox->setMaxValue( 999999999 );
    athLevelDecSpinBox->setPrecision( 1 );

    psyGroupLayout->addWidget( athLevelDecSpinBox, 1, 3 );

    tabLayout_2->addWidget( psyGroup, 0, 0 );
    tabWidget->insertTab( tab_2, QString::fromLatin1("") );

    TabPage = new QWidget( tabWidget, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    miscGroup = new QGroupBox( TabPage, "miscGroup" );
    miscGroup->setColumnLayout(0, Qt::Vertical );
    miscGroup->layout()->setSpacing( 6 );
    miscGroup->layout()->setMargin( 11 );
    miscGroupLayout = new QGridLayout( miscGroup->layout() );
    miscGroupLayout->setAlignment( Qt::AlignTop );

    originalCheckBox = new QCheckBox( miscGroup, "originalCheckBox" );
    originalCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, originalCheckBox->sizePolicy().hasHeightForWidth() ) );

    miscGroupLayout->addMultiCellWidget( originalCheckBox, 1, 1, 0, 2 );

    paddingCheckBox = new QCheckBox( miscGroup, "paddingCheckBox" );

    miscGroupLayout->addMultiCellWidget( paddingCheckBox, 2, 2, 0, 2 );

    copyrightCheckBox = new QCheckBox( miscGroup, "copyrightCheckBox" );

    miscGroupLayout->addMultiCellWidget( copyrightCheckBox, 0, 0, 0, 2 );

    energyCheckBox = new QCheckBox( miscGroup, "energyCheckBox" );

    miscGroupLayout->addMultiCellWidget( energyCheckBox, 4, 4, 0, 2 );

    reserveBitsSpinBox = new KIntSpinBox( miscGroup, "reserveBitsSpinBox" );
    reserveBitsSpinBox->setEnabled( FALSE );
    reserveBitsSpinBox->setMaxValue( 4096 );

    miscGroupLayout->addWidget( reserveBitsSpinBox, 5, 2 );

    crcCheckBox = new QCheckBox( miscGroup, "crcCheckBox" );

    miscGroupLayout->addMultiCellWidget( crcCheckBox, 3, 3, 0, 2 );

    reserveBitsLabel = new QLabel( miscGroup, "reserveBitsLabel" );
    reserveBitsLabel->setEnabled( FALSE );
    reserveBitsLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, reserveBitsLabel->sizePolicy().hasHeightForWidth() ) );

    miscGroupLayout->addWidget( reserveBitsLabel, 5, 1 );

    reserveBitsCheckBox = new QCheckBox( miscGroup, "reserveBitsCheckBox" );

    miscGroupLayout->addWidget( reserveBitsCheckBox, 5, 0 );

    TabPageLayout->addWidget( miscGroup, 0, 0 );
    tabWidget->insertTab( TabPage, QString::fromLatin1("") );

    TabPage_2 = new QWidget( tabWidget, "TabPage_2" );
    TabPageLayout_2 = new QGridLayout( TabPage_2, 1, 1, 11, 6, "TabPageLayout_2"); 

    generalGroup = new QGroupBox( TabPage_2, "generalGroup" );
    generalGroup->setColumnLayout(0, Qt::Vertical );
    generalGroup->layout()->setSpacing( 6 );
    generalGroup->layout()->setMargin( 11 );
    generalGroupLayout = new QGridLayout( generalGroup->layout() );
    generalGroupLayout->setAlignment( Qt::AlignTop );

    scaleBothCheckBox = new QCheckBox( generalGroup, "scaleBothCheckBox" );

    generalGroupLayout->addWidget( scaleBothCheckBox, 0, 0 );

    scaleLeftCheckBox = new QCheckBox( generalGroup, "scaleLeftCheckBox" );

    generalGroupLayout->addWidget( scaleLeftCheckBox, 1, 0 );

    scaleRightCheckBox = new QCheckBox( generalGroup, "scaleRightCheckBox" );

    generalGroupLayout->addWidget( scaleRightCheckBox, 2, 0 );

    swapChannelsCheckBox = new QCheckBox( generalGroup, "swapChannelsCheckBox" );

    generalGroupLayout->addWidget( swapChannelsCheckBox, 4, 0 );

    scaleBothDecSpinBox = new KDecSpinBox( generalGroup, "scaleBothDecSpinBox" );
    scaleBothDecSpinBox->setEnabled( FALSE );
    scaleBothDecSpinBox->setMaxValue( 2147483647 );
    scaleBothDecSpinBox->setValue( 1000000 );
    scaleBothDecSpinBox->setPrecision( 6 );

    generalGroupLayout->addWidget( scaleBothDecSpinBox, 0, 2 );

    scaleLeftDecSpinBox = new KDecSpinBox( generalGroup, "scaleLeftDecSpinBox" );
    scaleLeftDecSpinBox->setEnabled( FALSE );
    scaleLeftDecSpinBox->setMaxValue( 2147483647 );
    scaleLeftDecSpinBox->setValue( 1000000 );
    scaleLeftDecSpinBox->setPrecision( 6 );

    generalGroupLayout->addWidget( scaleLeftDecSpinBox, 1, 2 );

    scaleRightDecSpinBox = new KDecSpinBox( generalGroup, "scaleRightDecSpinBox" );
    scaleRightDecSpinBox->setEnabled( FALSE );
    scaleRightDecSpinBox->setMaxValue( 2147483647 );
    scaleRightDecSpinBox->setValue( 1000000 );
    scaleRightDecSpinBox->setPrecision( 6 );

    generalGroupLayout->addWidget( scaleRightDecSpinBox, 2, 2 );

    scaleRightLabel = new QLabel( generalGroup, "scaleRightLabel" );
    scaleRightLabel->setEnabled( FALSE );

    generalGroupLayout->addWidget( scaleRightLabel, 2, 1 );

    scaleLeftLabel = new QLabel( generalGroup, "scaleLeftLabel" );
    scaleLeftLabel->setEnabled( FALSE );

    generalGroupLayout->addWidget( scaleLeftLabel, 1, 1 );

    scaleBothLabel = new QLabel( generalGroup, "scaleBothLabel" );
    scaleBothLabel->setEnabled( FALSE );

    generalGroupLayout->addWidget( scaleBothLabel, 0, 1 );

    TabPageLayout_2->addWidget( generalGroup, 0, 0 );
    tabWidget->insertTab( TabPage_2, QString::fromLatin1("") );

    TwoLAMEEncoderDialogBaseLayout->addWidget( tabWidget, 0, 0 );
    languageChange();
    resize( QSize(385, 282).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( bitrateCheckBox, SIGNAL( toggled(bool) ), bitrateLabel, SLOT( setEnabled(bool) ) );
    connect( bitrateCheckBox, SIGNAL( toggled(bool) ), bitrateComboBox, SLOT( setEnabled(bool) ) );
    connect( stereoModeCheckBox, SIGNAL( toggled(bool) ), stereoModeComboBox, SLOT( setEnabled(bool) ) );
    connect( psyModelCheckBox, SIGNAL( toggled(bool) ), psyModelComboBox, SLOT( setEnabled(bool) ) );
    connect( athLevelCheckBox, SIGNAL( toggled(bool) ), athLevelLabel, SLOT( setEnabled(bool) ) );
    connect( quickModeCheckBox, SIGNAL( toggled(bool) ), quickModeLabel, SLOT( setEnabled(bool) ) );
    connect( quickModeCheckBox, SIGNAL( toggled(bool) ), quickModeSpinBox, SLOT( setEnabled(bool) ) );
    connect( scaleBothCheckBox, SIGNAL( toggled(bool) ), scaleBothLabel, SLOT( setEnabled(bool) ) );
    connect( scaleBothCheckBox, SIGNAL( toggled(bool) ), scaleBothDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( scaleLeftCheckBox, SIGNAL( toggled(bool) ), scaleLeftLabel, SLOT( setEnabled(bool) ) );
    connect( scaleLeftCheckBox, SIGNAL( toggled(bool) ), scaleLeftDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( scaleRightCheckBox, SIGNAL( toggled(bool) ), scaleRightLabel, SLOT( setEnabled(bool) ) );
    connect( scaleRightCheckBox, SIGNAL( toggled(bool) ), scaleRightDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( athLevelCheckBox, SIGNAL( toggled(bool) ), athLevelDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( vbrRadioButton, SIGNAL( toggled(bool) ), this, SLOT( toggleVariableBitRate(bool) ) );
    connect( cbrRadioButton, SIGNAL( toggled(bool) ), this, SLOT( toggleConstantBitRate(bool) ) );
    connect( qualityCheckBox, SIGNAL( toggled(bool) ), qualityDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( reserveBitsCheckBox, SIGNAL( toggled(bool) ), reserveBitsLabel, SLOT( setEnabled(bool) ) );
    connect( reserveBitsCheckBox, SIGNAL( toggled(bool) ), reserveBitsSpinBox, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( tabWidget, cbrRadioButton );
    setTabOrder( cbrRadioButton, bitrateCheckBox );
    setTabOrder( bitrateCheckBox, bitrateComboBox );
    setTabOrder( bitrateComboBox, qualityCheckBox );
    setTabOrder( qualityCheckBox, qualityDecSpinBox );
    setTabOrder( qualityDecSpinBox, stereoModeCheckBox );
    setTabOrder( stereoModeCheckBox, stereoModeComboBox );
    setTabOrder( stereoModeComboBox, psyModelCheckBox );
    setTabOrder( psyModelCheckBox, psyModelComboBox );
    setTabOrder( psyModelComboBox, athLevelCheckBox );
    setTabOrder( athLevelCheckBox, athLevelDecSpinBox );
    setTabOrder( athLevelDecSpinBox, quickModeCheckBox );
    setTabOrder( quickModeCheckBox, quickModeSpinBox );
    setTabOrder( quickModeSpinBox, copyrightCheckBox );
    setTabOrder( copyrightCheckBox, originalCheckBox );
    setTabOrder( originalCheckBox, paddingCheckBox );
    setTabOrder( paddingCheckBox, crcCheckBox );
    setTabOrder( crcCheckBox, energyCheckBox );
    setTabOrder( energyCheckBox, reserveBitsCheckBox );
    setTabOrder( reserveBitsCheckBox, reserveBitsSpinBox );
    setTabOrder( reserveBitsSpinBox, scaleBothCheckBox );
    setTabOrder( scaleBothCheckBox, scaleBothDecSpinBox );
    setTabOrder( scaleBothDecSpinBox, scaleLeftCheckBox );
    setTabOrder( scaleLeftCheckBox, scaleLeftDecSpinBox );
    setTabOrder( scaleLeftDecSpinBox, scaleRightCheckBox );
    setTabOrder( scaleRightCheckBox, scaleRightDecSpinBox );
    setTabOrder( scaleRightDecSpinBox, swapChannelsCheckBox );
    setTabOrder( swapChannelsCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TwoLAMEEncoderDialogBase::~TwoLAMEEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TwoLAMEEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "TwoLAME" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    bitrateGroup->setTitle( tr2i18n( "Encoding" ) );
    bitrateComboBox->clear();
    bitrateComboBox->insertItem( tr2i18n( "32" ) );
    bitrateComboBox->insertItem( tr2i18n( "40" ) );
    bitrateComboBox->insertItem( tr2i18n( "48" ) );
    bitrateComboBox->insertItem( tr2i18n( "56" ) );
    bitrateComboBox->insertItem( tr2i18n( "64" ) );
    bitrateComboBox->insertItem( tr2i18n( "80" ) );
    bitrateComboBox->insertItem( tr2i18n( "96" ) );
    bitrateComboBox->insertItem( tr2i18n( "112" ) );
    bitrateComboBox->insertItem( tr2i18n( "128" ) );
    bitrateComboBox->insertItem( tr2i18n( "160" ) );
    bitrateComboBox->insertItem( tr2i18n( "192" ) );
    bitrateComboBox->insertItem( tr2i18n( "224" ) );
    bitrateComboBox->insertItem( tr2i18n( "256" ) );
    bitrateComboBox->insertItem( tr2i18n( "320" ) );
    bitrateComboBox->setCurrentItem( 10 );
    bitrateLabel->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    cbrRadioButton->setText( tr2i18n( "&Constant bitrate" ) );
    cbrRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    vbrRadioButton->setText( tr2i18n( "&Variable bitrate" ) );
    vbrRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    qualityCheckBox->setText( tr2i18n( "&Quality level" ) );
    qualityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    bitrateCheckBox->setText( tr2i18n( "&Bitrate" ) );
    bitrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( bitrateCheckBox, tr2i18n( "<b>Bitrate</b><br>\n"
"The default bitrate depends on the number of input channels and samplerate:<br>\n"
"<font family=\"monospace\">------------------------------<br>Sample Rate   Mono    Stereo<br>------------------------------<br>48000         96      192<br>44100         96      192<br>32000         80      160<br>24000         48      96<br>22050         48      96<br>16000         32      64<br>------------------------------</font>" ) );
    stereoModeComboBox->clear();
    stereoModeComboBox->insertItem( tr2i18n( "Auto" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Stereo" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Dual Channel" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Joint Stereo" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Mono" ) );
    stereoModeCheckBox->setText( tr2i18n( "&Stereo mode" ) );
    stereoModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( stereoModeCheckBox, tr2i18n( "<b>Stereo Mode</b><br>\n"
"The default behaviour is to choose the mode automatically based on the input.<br><br>\n"
"<b>Stereo</b><br>\n"
"In this mode, the encoder makes no use of potentially existing correlations between the two input channels. It can, however, negotiate the bit demand between both channel, i.e. give one channel more bits if the other contains silence or needs less bits because of a lower complexity.</b><br>\n"
"<b>Joint Stereo</b><br>\n"
"In this mode, the encoder will make use of a correlation between both channels. The signal will be matrixed into a sum (&quot;mid&quot;), computed by L+R, and difference (&quot;side&quot;) signal, computed by L-R, and more bits are allocated to the mid channel. This will effectively increase the bandwidth if the signal does not have too much stereo separation, thus giving a significant gain in encoding quality.<br>\n"
"Using mid/side stereo inappropriately can result in audible compression artifacts. To much switching between mid/side and regular stereo can also sound bad.</b><br>\n"
"<b>Dual Channels</b><br>\n"
"In this mode, the 2 channels will be totally indenpendently encoded. Each channel will have exactly half of the bitrate. This mode is designed for applications like dual languages encoding (for example: English in one channel and French in the other). Using this encoding mode for regular stereo files will result in a lower quality encoding.<br>\n"
"<b>Mono</b><br>\n"
"The input will be encoded as a mono signal. If it was a stereo signal, it will be downsampled to mono." ) );
    tabWidget->changeTab( tab, tr2i18n( "Encoding" ) );
    psyGroup->setTitle( tr2i18n( "Psychoacoustic Model" ) );
    psyModelComboBox->clear();
    psyModelComboBox->insertItem( tr2i18n( "-1" ) );
    psyModelComboBox->insertItem( tr2i18n( "0" ) );
    psyModelComboBox->insertItem( tr2i18n( "1" ) );
    psyModelComboBox->insertItem( tr2i18n( "2" ) );
    psyModelComboBox->insertItem( tr2i18n( "3" ) );
    psyModelComboBox->insertItem( tr2i18n( "4" ) );
    psyModelComboBox->setCurrentItem( 4 );
    psyModelCheckBox->setText( tr2i18n( "&Model" ) );
    psyModelCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QWhatsThis::add( psyModelCheckBox, tr2i18n( "<b>Psychoacoustic Models</b><br>\n"
"In MPEG audio encoding, a psychoacoustic model (PAM) is used to determine which are the sonically important parts of the waveform that is being encoded. The PAM looks for loud sounds which may mask soft sounds, noise which may affect the level of sounds nearby, sounds which are too soft for us to hear and should be ignored and so on. The information from the PAM is used to determine which parts of the spectrum should get more bits and thus be encoded at greater quality - and which parts are inaudible/unimportant and should thus get fewer bits.<br><br>\n"
"<b>Psychoacoustic Model -1</b><br>\n"
"This PAM doesn't actually look at the samples being encoded to decide upon the output values. There is simply a set of 32 default values which are used, regardless of input.<br>\n"
"<b>Pros</b>: Fast. Low complexity. Surprisingly good, given that the other PAMs go to the effort of calculating FFTs and subbands and masking, and this one does absolutely nothing.<br>\n"
"<b>Cons</b>: Absolutely no attempt to consider any of the masking effects that would help the audio sound better.<br>\n"
"<br>\n"
"<b>Psychoacoustic Model 0</b><br>\n"
"This PAM looks at the sizes of the scalefactors for the audio and combines it with the Absolute Threshold of Hearing (ATH) to make the 32 SMR values.<br>\n"
"<b>Pros</b>: Fast. Low complexity.<br>\n"
"<b>Cons</b>: This model has absolutely no mathematical basis and does not use any perceptual model of hearing. It simply juggles some of the numbers of the input sound to determine the values.<br>\n"
"<br>\n"
"<b>Psychoacoustic Model 1 and 2</b><br>\n"
"These PAMs are from the ISO standard (note that just because they are the standard, doesn't mean that they are any good -look at LAME which basically threw out the MP3 standard psycho models and made their own).<br>\n"
"<b>Pros</b>: A reference for future PAMs.<br>\n"
"<b>Cons</b>: Terrible ISO code, buggy tables, poor documentation.<br>\n"
"<br>\n"
"<b>Psychoacoustic Model 3</b><br>\n"
"A re-implementation of psychoacoustic model 1. ISO11172 was used as the guide for re-writing this PAM from the ground up.<br>\n"
"<b>Pros</b>: No more obscure tables of values from the ISO code. Hopefully a good base to work upon for tweaking PAMs.<br>\n"
"<b>Cons</b>: At the moment, doesn't really sound any better than PAM1.<br>\n"
"<br>\n"
"<b>Psychoacoustic Model 4</b><br>\n"
"A cleaned up version of PAM2.<br>\n"
"<b>Pros</b>: Faster than PAM2. No more obscure tables of values from the ISO standard. Hopefully a good base to work from for improving the PAMs.<br>\n"
"<b>Cons</b>: Still has the same \"warbling\"/\"Davros\" problems as PAM2.<br>" ) );
    athLevelCheckBox->setText( tr2i18n( "&ATH Level" ) );
    athLevelCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    athLevelLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    quickModeLabel->setText( tr2i18n( "<p align=\"right\">frames</p>" ) );
    quickModeCheckBox->setText( tr2i18n( "&Quick mode" ) );
    quickModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QWhatsThis::add( quickModeCheckBox, tr2i18n( "<b>Quick mode</b><br/>\n"
"Only re-calculate psycho-acoustic model every specified number of frames." ) );
    tabWidget->changeTab( tab_2, tr2i18n( "Advanced" ) );
    miscGroup->setTitle( tr2i18n( "Miscellaneous" ) );
    originalCheckBox->setText( tr2i18n( "Turn on &original flag" ) );
    originalCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    paddingCheckBox->setText( tr2i18n( "Turn on &padding" ) );
    paddingCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    copyrightCheckBox->setText( tr2i18n( "Turn on &copyright flag" ) );
    copyrightCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    energyCheckBox->setText( tr2i18n( "Turn on &energy level extensions" ) );
    energyCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    crcCheckBox->setText( tr2i18n( "Enable C&RC error protection" ) );
    crcCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    reserveBitsLabel->setText( tr2i18n( "<p align=\"right\">bits</p>" ) );
    reserveBitsCheckBox->setText( tr2i18n( "Reserve bits in each frame" ) );
    reserveBitsCheckBox->setAccel( QKeySequence( QString::null ) );
    tabWidget->changeTab( TabPage, tr2i18n( "Miscellaneous" ) );
    generalGroup->setTitle( tr2i18n( "Audio Processing" ) );
    scaleBothCheckBox->setText( tr2i18n( "Scale &both channels" ) );
    scaleBothCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( scaleBothCheckBox, tr2i18n( "<b>Scale both channels</b><br/>\n"
"Scale the input audio prior to encoding. All of the input audio is multiplied by specified value. Value between 0 and 1 will reduce the audio gain, and a value above 1 will increase the gain of the audio." ) );
    scaleLeftCheckBox->setText( tr2i18n( "Scale &left channel" ) );
    scaleLeftCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( scaleLeftCheckBox, tr2i18n( "<b>Scale left channel</b><br/>\n"
"Scale the input left channel audio prior to encoding. All of the input audio is multiplied by specified value. Value between 0 and 1 will reduce the audio gain, and a value above 1 will increase the gain of the audio." ) );
    scaleRightCheckBox->setText( tr2i18n( "Scale &right channel" ) );
    scaleRightCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( scaleRightCheckBox, tr2i18n( "<b>Scale right channel</b><br/>\n"
"Scale the input right channel audio prior to encoding. All of the input audio is multiplied by specified value. Value between 0 and 1 will reduce the audio gain, and a value above 1 will increase the gain of the audio." ) );
    swapChannelsCheckBox->setText( tr2i18n( "&Swap left and right channels" ) );
    swapChannelsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    scaleRightLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    scaleLeftLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    scaleBothLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    tabWidget->changeTab( TabPage_2, tr2i18n( "Audio Processing" ) );
}

#include "twolameencoderdialogbase.moc"
